﻿#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
#include <numeric>

using namespace std;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(0);

    int t;
    cin >> t;

    while (t--) {
        string s;
        long long k;
        cin >> s >> k;

        int n = s.size();
        vector<int> pos(n);
        iota(pos.begin(), pos.end(), 0); 

        for (int i = 0; i < n; ++i) {
            if (k <= 0) break;

            int min_pos = i;
            for (int j = i + 1; j < n && j <= i + k; ++j) {
                if (s[j] < s[min_pos]) {
                    min_pos = j;
                }
            }

            if (min_pos != i) {
                long long moves = min_pos - i;

                if (moves <= k) {
                    char temp = s[min_pos];
                    for (int j = min_pos; j > i; --j) {
                        s[j] = s[j - 1];
                    }
                    s[i] = temp; 
                    k -= moves; 
                }
            }
        }

        cout << s << '\n';
    }

    return 0;
}
