﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
using namespace std;

vector<long long> find_minimum_number(string s, long long k) {
    long long n = s.length();
    vector<long long> min_num(n);
    for (int i = 0; i < n; i++) {
        min_num[i] = s[i] - '0';
    }

    for (int i = 0; i < n - 1; i++) {
        if (min_num[i] > min_num[i + 1] && k > 0) {
            swap(min_num[i], min_num[i + 1]);
            k--;
            i = 0;
        }
    }
    return min_num;
}

int main() {
    long long t;
    vector<vector<long long>> otvet;
    cin >> t;
    while (t--) {
        string s;
        long long k;
        cin >> s >> k;
        otvet.push_back(find_minimum_number(s, k));
    }
    for (auto i : otvet)
    {
        for (auto j : i)
        {
            cout << j;
        }
        cout << endl;
    }

    return 0;
}