﻿#include <iostream>
#include <vector>
#include <string>
using namespace std;

string find_minimum_number(string s, long long k) {
    long long n = s.length();
    for (int i = 0; i < n && k > 0; i++) {
        char min_char = s[i];
        int min_index = i;
        for (int j = i + 1; j < n && j <= i + k; j++) {
            if (s[j] < min_char) {
                min_char = s[j];
                min_index = j;
            }
        }

        if (min_index != i) {
            for (int j = min_index; j > i; j--) {
                swap(s[j], s[j - 1]);
            }
            k -= (min_index - i);
        }
    }
    return s;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);
    long long t;
    cin >> t;
    while (t--) {
        string s;
        long long k;
        cin >> s >> k;
        cout << find_minimum_number(s, k) << endl;
    }

    return 0;
}