def max_triangle_area(points): 
    min_x = float('inf') 
    max_x = float('-inf') 
 
    max_y_above = 0 
    min_y_below = 0 
 
    for x, y in points: 
        if y == 0:  
            min_x = min(min_x, x) 
            max_x = max(max_x, x) 
        elif y > 0:   
            max_y_above = max(max_y_above, y) 
        elif y < 0: 
            min_y_below = min(min_y_below, y) 
 
    if min_x == float('inf') or max_x == float('-inf') or min_x == max_x: 
        return 0.0 
 
    max_area = 0.0 
    if max_y_above > 0: 
        max_area = max(max_area, 0.5 * (max_x - min_x) * max_y_above) 
    if min_y_below < 0: 
        max_area = max(max_area, 0.5 * (max_x - min_x) * abs(min_y_below)) 
 
    return max_area 
 
n = int(input().strip())  
points = [tuple(map(int, input().strip().split())) for _ in range(n)]   
 
print(f"{max_triangle_area(points):.9f}")