from collections import Counter

def main():
    n = int(input())
    piles = list(map(int, input().split()))
    
    unique_sizes = len(set(piles))
    
    if unique_sizes == n:
        print("Alice")
        return
    
    count = Counter(piles)
    max_same = max(count.values())
    
    if max_same * 2 > n:
        print("Dmitry")
        return
    
    piles.sort()
    for i in range(1, n):
        if piles[i] == piles[i-1]:
            print("Alice")
            return
            
    print("Dmitry")



if __name__ == "__main__":
    main()