from collections import deque

def main():
    t = int(input().strip())
    ans = []
    
    for _ in range(t):
        s, k = input().split()
        s = list(s)
        n = len(s)
        k = int(k)
        k = min(k, n * (n - 1) // 2)
        
        i = 0
        while i < n and k > 0:
            deque_min = deque()
            
            for j in range(i, min(n, i + k + 1)):
                while deque_min and s[deque_min[-1]] > s[j]:
                    deque_min.pop()
                deque_min.append(j)
            
            min_index = deque_min[0]
            
            if min_index != i:
                s.insert(i, s.pop(min_index))
                k -= (min_index - i)
            
            i += 1
        
        ans.append("".join(s))
    
    print("\n".join(ans))

if __name__ == "__main__":
    main()
