def is_raci_matrix_valid(n, m, matrix):
    for i in range(n):
        # Проверка наличия ровно одного 'A' в строке
        if matrix[i].count('A') != 1:
            return "No"

        # Проверка наличия хотя бы одного 'R' в строке, если нет 'A'
        if 'R' not in matrix[i] and 'A' not in matrix[i]:
            return "No"

    return "Yes"


# Чтение входных данных
n, m = map(int, input().split())
matrix = [input().split() for _ in range(n)]

# Проверка корректности матрицы RACI
result = is_raci_matrix_valid(n, m, matrix)
print(result)