def max_triangle_area(points):
    max_area = 0.0

    # Перебираем все пары точек, чтобы найти основание на оси Ox
    for i in range(len(points)):
        for j in range(i + 1, len(points)):
            x1, y1 = points[i]
            x2, y2 = points[j]

            # Проверяем, что обе точки лежат на оси Ox
            if y1 == 0 and y2 == 0:
                base = abs(x2 - x1)

                # Перебираем все точки, чтобы найти вершину треугольника
                for k in range(len(points)):
                    if k != i and k != j:
                        x3, y3 = points[k]

                        # Проверяем, что точка не лежит на оси Ox
                        if y3 != 0:
                            height = abs(y3)
                            area = 0.5 * base * height
                            max_area = max(max_area, area)

    return max_area


# Чтение входных данных
n = int(input())
points = [tuple(map(int, input().split())) for _ in range(n)]

# Вычисление максимальной площади треугольника
result = max_triangle_area(points)
print(result)