def minimize_number(s, k):
    n = list(s)
    l = len(n)
    
    for i in range(l):
        if k <= 0:
            break
        
        min_index = i
        for j in range(i + 1, min(l, i + k + 1)):
            if n[j] < n[min_index]:
                min_index = j
        
        if min_index != i:
            min_digit = n[min_index]
            for j in range(min_index, i, -1):
                n[j] = n[j - 1]
            n[i] = min_digit
            k -= (min_index - i)
    
    return ''.join(n)

import sys
input = sys.stdin.read
data = input().splitlines()

t = int(data[0])
results = []

for i in range(1, t + 1):
    s, k = data[i].rsplit(' ', 1)
    k = int(k)
    result = minimize_number(s, k)
    results.append(result)

sys.stdout.write('\n'.join(results) + '\n')