#include <iostream>
#include <cmath>
#include <utility>
#include <ios>
#include <vector>

#define ll long long

using namespace std;

int main(int argc, char** argv)
{
	cout << fixed;

	ll t, k;
	string s;
	cin >> t;

	vector<int> valuable;

	for (auto i = 0; i < t; ++i)
	{
		cin >> s >> k;

		if (s.size() == 1)
		{
			cout << s;
			continue;
		}

		valuable.clear();
		valuable.reserve(s.size() - 1);

		for (auto j = 1; j < s.size(); ++j)
		{
			valuable.push_back(s[j-1] - s[j]);
		}

		size_t j = 0;
		ll curr_k{};
		while (curr_k < k && j < valuable.size())
		{
			if (valuable[j] > 0)
			{
				swap(s[j], s[j+1]);
				valuable[j] = s[j] - s[j + 1];
				if (j + 1 < valuable.size())
					valuable[j+1] = s[j+1] - s[j+2];
				if (j)
				{
					valuable[j-1] = s[j-1] - s[j];
					--j;
				}
				++curr_k;
			}
			else
			{
				++j;
			}
		}

		cout << s << endl;
	}

	return 0;
}

