from functools import lru_cache

@lru_cache
def solve(s, k):
    ans = ''
    data = s[:k+1]
    while data and k > 0:
        n = min(data)
        i = data.find(n)
        k -= i
        ans += n
        s = s[:i] + s[i + 1:]
        data = s[:k+1]
    return ans + s


t = int(input())

for _ in range(t):
    s, k = input().split()
    k = int(k)
    answer = solve(s, k)
    print(answer)
