#include <iostream>
#include <vector>

using namespace std;

bool isTreeMatrix(const vector<vector<long long>>& d, int n) {
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            if (i == j) continue;
            for (int k = 0; k < n; ++k) {
                if (i != k && j != k) {
                    if (d[i][j] > d[i][k] + d[k][j]) {
                        return false;
                    }
                }
            }
        }
    }
    return true;
}

int main() {
    int n;
    cin >> n;
    
    vector<vector<long long>> d(n, vector<long long>(n));
    
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            cin >> d[i][j];
        }
    }
    
    if (isTreeMatrix(d, n)) {
        cout << "Yes" << endl;
    } else {
        cout << "No" << endl;
    }
    
    return 0;
}
