#include <iostream>
#include <string>

int main() {
  int num;
  std::cin >> num;
  for (int str = 0; str < num; str++) {
    std::string s;
    long long k;
    std::cin >> s >> k;

    int left = 0;
    while (left < s.length() && k > 0) {
      int minPos = left;
      int right = left + 1;

      while (right < s.length() && right - left <= k) {
        if (s[right] < s[minPos]) {
          minPos = right;
        }
        right++;
      }

      if (minPos != left) {
        char minDigit = s[minPos];
        for (int j = minPos; j > left; j--) {
          s[j] = s[j - 1];
        }
        s[left] = minDigit;
        k -= minPos - left;
      }

      left++;
    }

    int start = 0;
    while (start < s.length() && s[start] == '0') {
      start++;
    }

    std::cout << (start == s.length() ? "0" : s.substr(start)) << std::endl;
  }
  return 0;
}
