def is_raci_matrix_correct(n, m, matrix):
    for task in matrix:
        count_a = task.count('A')
        count_r = task.count('R')
        
        if count_a > 1:
            return "No"
        
        if count_a == 0 and count_r == 0:
            return "No"
        
    return "Yes"

import sys

input = sys.stdin.read
data = input().strip().splitlines()
n, m = map(int, data[0].split())
matrix = [line.split() for line in data[1:n+1]]

result = is_raci_matrix_correct(n, m, matrix)
print(result)