def is_wooden_matrix(n, matrix):
    # Проверка на неравенство треугольника
    for i in range(n):
        for j in range(n):
            for k in range(n):
                if matrix[i][j] > matrix[i][k] + matrix[k][j]:
                    return "No"
    return "Yes"

def main():
    import sys
    input = sys.stdin.read
    data = input().splitlines()
    
    n = int(data[0])
    matrix = [list(map(int, data[i + 1].split())) for i in range(n)]
    
    # Проверка на положительные элементы вне главной диагонали и на нули на диагонали
    for i in range(n):
        for j in range(n):
            if i == j and matrix[i][j] != 0:
                print("No")
                return
            if i != j and (matrix[i][j] <= 0):
                print("No")
                return
    
    result = is_wooden_matrix(n, matrix)
    print(result)

if __name__ == "__main__":
    main()