import sys

def derevanaya(n, matrix):
    for i in range(n):
        for j in range(n):
            if i == j:
                if matrix[i][j] != 0:
                    return "No"
            elif matrix[i][j] != matrix[j][i] or matrix[i][j] < 0:
                return "No"
    
    for i in range(n):
        for j in range(n):
            for k in range(n):
                if matrix[i][j] > matrix[i][k] + matrix[k][j]:
                    return "No"
    
    return "Yes"

input = sys.stdin.read
data = input().strip().splitlines()

n = int(data[0])

matrix = []

for i in range(1, n + 1):
    row = list(map(int, data[i].split()))
    matrix.append(row)

result = derevanaya(n, matrix)
print(result)
