﻿#include <iostream>
#include <vector>
#include <string>
using namespace std;

int main() {
    int n;
    cin >> n;
    vector<bool> has_program(26, false);  //отметка программы

    //чтение названий
    for (int i = 0; i < n; ++i) {
        string program;
        cin >> program;
        has_program[program[0] - 'a'] = true;
    }

    // вывод таблицы
    for (int i = 0; i < 26; ++i) {
        if (has_program[i]) {
            cout << static_cast<char>('a' + i);  // выводим букву, если есть программа
        }
        else {
            cout << '.';  // точка если нет буквы
        }

        // разделение строк
        if ((i + 1) % 6 == 0) {
            cout << '\n';
        }
    }


    return 0;
}
