﻿#include <iostream>
#include <string>

using namespace std;

string minimizeWithSwaps(string s, long long k) {
    int n = s.size();

    for (int i = 0; i < n && k > 0; ++i) {

        int minPos = i;
        for (int j = i + 1; j < n && j - i <= k; ++j) {
            if (s[j] < s[minPos]) {
                minPos = j;
            }
        }


        if (minPos != i) {

            k -= (minPos - i);


            char minChar = s[minPos];
            for (int j = minPos; j > i; --j) {
                s[j] = s[j - 1];
            }
            s[i] = minChar;
        }
    }

    return s;
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t;
    cin >> t;

    while (t--) {
        string s;
        long long k;
        cin >> s >> k;
        cout << minimizeWithSwaps(s, k) << '\n';
    }

    return 0;
}
