﻿#include <iostream>
#include <vector>
#include <tuple>

using namespace std;

int main() {
    ios::sync_with_stdio(false); // Ускоряем ввод-вывод
    cin.tie(nullptr);

    int n;
    cin >> n;

    vector<vector<long long>> d(n, vector<long long>(n)); // Используем long long для избежания переполнения

    // Считываем матрицу
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            cin >> d[i][j];
        }
    }

    // Проверяем неравенство треугольника
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            for (int k = 0; k < n; k++) {
                if (d[i][j] > d[i][k] + d[k][j]) {
                    cout << "No\n";
                    return 0;
                }
            }
        }
    }

    cout << "Yes\n"; // Все проверки пройдены
    return 0;
}
