#include <bits/stdc++.h>

using namespace std;

#ifdef DEBUG
#define DEB 1
#else
#define DEB 0
#define cerr \
  if (DEB)   \
  cerr
#endif
#define MTEST() \
  int _t;       \
  cin >> _t;    \
  for (int _tn = 0; _tn < _t; ++_tn)
#define ALL(c) c.begin(), c.end()
#define SZ(c) (int)c.size()

typedef long long ll;

void run_solve();

signed main() {
#if DEB
  assert(freopen("test.in", "r", stdin));
  assert(freopen("test.out", "w", stdout));
#endif
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);
  cerr.precision(3);
  cerr << fixed;
  int start = (int)clock();
  run_solve();
  double run_time = (double)(clock() - start) / CLOCKS_PER_SEC;
  cerr << "TIME: " << run_time << '\n';
  return 0;
}

const int N = 1007;

int n;
struct Point {
  int x, y;
} p[N];

void run_solve() {
  cout.precision(9);
  cout << fixed;
  cin >> n;
  for (int i = 0; i < n; ++i) {
    cin >> p[i].x >> p[i].y;
  }
  int mx = -N, mn = N, h = 0;
  for (int i = 0; i < n; ++i) {
    if (p[i].y == 0) {
      mx = max(mx, p[i].x);
      mn = min(mn, p[i].x);
    }
    h = max(h, abs(p[i].y));
  }
  if (mx <= mn) {
    cout << "0\n";
  } else {
    cout << 1.0 / 2 * h * (mx - mn) << '\n';
  }
}