#include <bits/stdc++.h>

using namespace std;

#ifdef DEBUG
#define DEB 1
#else
#define DEB 0
#define cerr \
  if (DEB)   \
  cerr
#endif
#define MTEST() \
  int _t;       \
  cin >> _t;    \
  for (int _tn = 0; _tn < _t; ++_tn)
#define ALL(c) c.begin(), c.end()
#define SZ(c) (int)c.size()

typedef long long ll;

void run_solve();

signed main() {
#if DEB
  assert(freopen("test.in", "r", stdin));
  assert(freopen("test.out", "w", stdout));
#endif
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);
  cerr.precision(3);
  cerr << fixed;
  int start = (int)clock();
  run_solve();
  double run_time = (double)(clock() - start) / CLOCKS_PER_SEC;
  cerr << "TIME: " << run_time << '\n';
  return 0;
}

const int N = 100;

map<int, string> lights = {
    {0, "1110111"}, {1, "0010010"}, {2, "1011101"}, {3, "1011011"},
    {4, "0111010"}, {5, "1101011"}, {6, "1101111"}, {7, "1010010"},
    {8, "1111111"}, {9, "1111011"},
};

int x[N];

int f(int d, string mask, bool first) {
  if (d == 0 && first) {
    return 0;
  }
  string cur = lights[d];
  for (int i = 0; i < 7; ++i) {
    if (!mask[i]) {
      cur[i] = '0';
    }
  }
  for (int res = 0; res < 10; ++res) {
    if (lights[res] == cur) {
      return res;
    }
  }
  return -1000;
}

bool ok(int y) {
  return 0 < y && y < N;
}

void run_solve() {
  string a, b;
  cin >> a >> b;
  for (char& c : a) {
    c -= '0';
  }
  for (char& c : b) {
    c -= '0';
  }
  int ans = 0;
  for (int y = 1; y < N; ++y) {
    x[y] = f(y / 10, a, true) * 10 + f(y % 10, b, false);
    int k = 0;
    while (y - k - 1 >= 1 && ok(x[y - k]) && ok(x[y - k - 1]) &&
           x[y - k] + 1 == x[y - k - 1]) {
      ++k;
    }
    ans = max(ans, k);
  }
  cout << ans << '\n';
}