﻿#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <unordered_map>
#include <unordered_set>
#include <queue>
#include <stack>
#include <algorithm>
#include <string>
#include <numeric>
#include <limits>
#include <sstream>
#include <array>
#include <cmath>

struct Point {
    int x;
    int y;

    Point(int X, int Y) {
        x = X;
        y = Y;
    }
};

static long double calculate(Point& a, Point& b, Point& c) {

    return 0.5 * abs(a.x * (b.y - c.y) + b.x * (c.y - a.y) + c.x * (a.y - b.y));
}

int main()
{
    int n;
    std::cin >> n;
    int x, y;
    std::cin >> x >> y;
    Point x_min(x, y);
    Point x_max(x, y);
    std::vector<Point>yPoints;
    long double area = 0;
    for (int i = 0; i < n - 1; i++) {
        std::cin >> x >> y;
        if (y == 0) {
            if (x_min.x > x) {
                x_min.x = x;
                x_min.y = y;
            }
            if (x_max.x < x) {
                x_max.x = x;
                x_max.y = y;
            }
        }
        else
        {
            Point tmp(x, y);
            yPoints.push_back(tmp);
        }
    }
    if (n >= 3) {
        for (auto& el : yPoints)
        {
            area = std::max(area, calculate(x_min, x_max, el));
        }
        std::cout.precision(10);
        std::cout << area;
    }

    else
        std::cout << 0;
}