from functools import lru_cache

@lru_cache(None)
def f(r, g, b, last):
    if r < 0 or g < 0 or b < 0:
        return 0
    if r == 0 and g == 0 and b == 0:
        return 1
    if last == 'R':
        return (f(r, g - 1, b, 'G') if g > 0 else 0) + (f(r, g, b - 1, 'B') if b > 0 else 0)
    elif last == 'G':
        return (f(r - 1, g, b, 'R') if r > 0 else 0) + (f(r, g, b - 1, 'B') if b > 0 else 0)
    elif last == 'B':
        return (f(r - 1, g, b, 'R') if r > 0 else 0) + (f(r, g - 1, b, 'G') if g > 0 else 0)

def total_arrangements(r, g, b):
    return f(r - 1, g, b, 'R') + f(r, g - 1, b, 'G') + f(r, g, b - 1, 'B')

r, g, b = map(int, input().split())
print(total_arrangements(r, g, b))
