import kotlin.math.min

fun rec(n: String, k: Int): String {
    if (n.isEmpty()) return ""
    val n0 = n.substring(0, min(k+1, n.length))
    if (n0.isEmpty()) return n
    val m = n0.min()
    val ind = n0.indexOf(m)
    val n1 = n.replaceFirst(m.toString(), "")
    return m.toString() + rec(n1, k - ind)
}

fun solve() {
    val (n, k) = readln().split(" ").map { it.toLong() }
    println(rec(n.toString(), k.toInt()))
}

fun main() {
    val t = readln().toInt()
    for (i in 1..t) solve()
}
