#pragma GCC optimization ("O3")
#pragma GCC optimization ("unroll-loops")
#include <iostream>
#include <cmath>
#include <algorithm>
#include <vector>
#include <queue>
#include <iomanip>
#include <set>
using namespace std;
#define int long long
template <class T, class V, class Container> basic_ostream <T, V> & operator << (basic_ostream <T, V> & os, Container const& x) { os << "[ "; for (auto& y : x) os << y << " "; return os << "]"; }
template <class T, class V> ostream & operator << (ostream & os, pair<T, V> const& p) { return os << "{" << p.first << "," << p.second << "}"; }
void deb_out() { cerr << endl; }
template <typename Head, typename... Tail> void deb_out(Head H, Tail... T) { cerr << " " << H; deb_out(T...); }
#define deb(...) cerr << "(" << #__VA_ARGS__ << "):", deb_out(__VA_ARGS__)
int mod=1000000007;
int nod(int a,int b)
{
    if(a<0){a=-a;}
    if(b<0){b=-b;}
    if(b==0){return a;}
    return nod(b,a%b);
}
int nok(int a,int b)
{
    if(a==0||b==0){return 0;}
    return a/nod(a,b)*b;
}
int Nod(vector<int> a)
{
    if(a.size()==0){return 0;}
    if(a.size()==1){return a[0];}
    vector<int> b;
    vector<int> c;
    int n=a.size();
    for(int i=0;i<n/2;i++)
    {
        b.push_back(a[i]);
    }
    for(int i=n/2;i<n;i++)
    {
        c.push_back(a[i]);
    }
    return nod(Nod(b),Nod(c));
}
int Nok(vector<int> a)
{
    if(a.size()==0){return 1;}
    if(a.size()==1){return a[0];}
    vector<int> b;
    vector<int> c;
    int n=a.size();
    for(int i=0;i<n/2;i++)
    {
        b.push_back(a[i]);
    }
    for(int i=n/2;i<n;i++)
    {
        c.push_back(a[i]);
    }
    return nok(Nok(b),Nok(c));
}
int fastpow(int a,int b)
{
    if(a==0){return 0;}
    if(b==0){return 1;}
    if(b==1){return a;}
    int c=fastpow(a,b/2);
    if(b%2==0)
    {
        return (c*c)%mod;
    }
    return (((c*c)%mod)*a)%mod;
}
int C(int n,int k,vector<int> &fact)
{
    return (fact[n]*fastpow(( (fact[k])*fact[n-k])%mod,mod-2))%mod;
}





void dfs(vector<vector<int> > &a, int x, int pred, vector<vector<int> > &d,int nach,vector<vector<int> > b )
{
    if(pred==-1){d[nach][x]=0;}
    else
    {
        d[nach][x]=d[nach][pred]+b[pred][x];
    }
    for(int i=0;i<a[x].size();i++)
    {
        if(a[x][i]!=pred)
        {
            dfs(a,a[x][i],x,d,nach,b);
        }
    }
}



vector<pair<int,int> > del(int n)
{
    vector<pair<int,int> > c;
    int h=2;
    int x=1;
    while(n>1)
    {
        while(n%h!=0&&h<=sqrt(n))
        {
            h++;
            x=1;
        }
        if(n%h!=0)
        {
            h=n;
            x=1;
        }
        if(x==0)
        {
            c[c.size()-1].second++;
        }
        else
        {
            pair<int,int> p;
            p.first=h;
            p.second=1;
            c.push_back(p);
            x=0;
        }
        n/=h;
    }
    return c;
}

void find_root(int a, vector<int> &root){
    if(a!=root[a]){
        find_root(root[a], root);
        root[a]=root[root[a]];
    }
}




signed main()
{

    std::ios_base::sync_with_stdio(false);
    std::cin.tie(nullptr);
        int n;
        cin >> n;
        vector<vector<int> > a(n);
        vector<vector<int> >b(n);
        vector<pair<int, pair<int,int> > > c;
        for(int i=0;i<n;i++)
        {
            for(int j=0;j<n;j++)
            {
                int x;
                cin >> x;
                if(i<j)
                {
                    pair<int,pair<int,int> > p;
                    p.first=x;
                    p.second.first=i;
                    p.second.second=j;
                    c.push_back(p);
                }
                b[i].push_back(x);
            }
        }
        sort(c.begin(),c.end());
        vector<int > uk(n);
        //cout << "25%" << endl;
        for(int i=0;i<n;i++)
        {
            uk[i]=i;
        }
        vector<int> mas(n,1);
        int h=0;
        for(int i=0;i<c.size();i++)
        {
            //cout << i << " ";
            //deb(c[i]);
            if(h==n-1){break;}
            int x=c[i].second.first;
            int y=c[i].second.second;
            int z=x;
            int t=y;
            find_root(x, uk);
            x=uk[x];
            //cout << "50%" << endl;

find_root(y, uk);
            y=uk[y];
            //cout << "50%" << endl;
            //cout << x << " " << y << endl;
            if(x!=y)
            {
                //cout << x << y;
                if(mas[x]<mas[y])
                {
                    swap(x,y);
                }
                if(mas[x]==mas[y]){
                    mas[x]++;
                }
                uk[y]=x;
                a[z].push_back(t);
                a[t].push_back(z);
                h++;
            }
            //cout << "50%" << endl;
        }
        //cout << "75%" << endl;
        if(h<n-1)
        {
            cout << "NO" << endl;
            return 0;
        }
        //deb(a);
        vector<vector<int> >  d(n);
        for(int i=0;i<n;i++)
        {
            for(int j=0;j<n;j++)
            {
                d[i].push_back(0);
            }
        }
        for(int i=0;i<n;i++)
        {
            d[i][i]=0;
            dfs(a,i,-1,d,i,b);
        }
        //deb(d);
        for(int i=0;i<n;i++)
        {
            for(int j=0;j<n;j++)
            {
                if(b[i][j]!=d[i][j])
                {
                    cout << "NO" << endl;
                    return 0;
                }
            }
        }
        cout << "YES" << endl;
}
