#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <set>
#include <map>
#include <algorithm>
#include <vector>
#include <string>
#include <queue>
#include <climits>

using namespace std;

int main()
{
#ifdef _DEBUG
	freopen("input.txt", "r", stdin);
#endif
	ios::sync_with_stdio(0);
	cin.tie(0);
	cout.tie(0);

	string s;
	cin >> s;
	if (s == "{}") {
		cout << 0;
		return 0;
	}
	if (s == "{{}}") {
		cout << 1;
		return 0;
	}
	int count = 0;
	for (char& c : s)
		count += c == ',';
	int sum = 0;
	int last = 0;
	for (int i = 2; ; i++) {
		last = sum + i - 1;
		sum += last;
		if (last == count) {
			cout << i;
			return 0;
		}
	}
};