#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <set>
#include <map>
#include <algorithm>
#include <vector>
#include <string>
#include <queue>
#include <climits>
#include <cmath>

int main() {
    #ifdef _DEBUG
        freopen("input.txt", "r", stdin);
    #endif

    std::ios::sync_with_stdio(0);
    std::cin.tie(0);
    std::cout.tie(0);

    long long n;
    std::cin >> n;

    long long left_x = LONG_MAX;
    long long right_x = LONG_MIN;
    long long max_y = LONG_MIN;

    long long x, y;

    for (int i = 0; i < n; ++i) {
        std::cin >> x >> y;
        if (y == 0) {
            left_x = std::min(left_x, x);
            right_x = std::max(right_x, x);
        } else {
            max_y = std::max(max_y, std::abs(y));
        }
    }

    if (left_x == LONG_MAX || right_x == LONG_MIN || max_y == LONG_MIN) {
        std::cout << 0 << std::endl;
        return 0;
    }

    long long upper = (right_x - left_x) * max_y;

    if (upper % 2 == 0) {
        std::cout << upper / 2 << std::endl;
    } else {
        std::cout << upper / 2 << ".5" << std::endl;
    }

    return 0;
}

/*
3 
0 0 
1 0 
2 -3
*/

/*
1.5
*/

// -------------------------------

/*
3 
1 0 
2 1 
3 3
*/

/*
0
*/

// -------------------------------

/*

*/

/*

*/

// -------------------------------

/*

*/

/*

*/

// -------------------------------