#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/priority_queue.hpp>
#include <ext/pb_ds/tree_policy.hpp>
using namespace std;
using namespace __gnu_pbds;
namespace r = ranges;
namespace v = views;

#pragma GCC optimize("O3,unroll-loops")
#pragma GCC target("avx2,bmi,bmi2,lzcnt,popcnt")

typedef unsigned int uint;
typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;

#ifdef LOCAL
#include "debug.h"
#else
#define debug(...) 533
#endif

template <typename K, typename V, template <typename> typename Comp = less> using ordered_map = tree<K, V, Comp<K>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename T, template <typename> typename Comp = less> using ordered_set = ordered_map<T, null_type, Comp>;
mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());
template<typename T> T random(T l, T r) { return uniform_int_distribution<T>(l, r)(rng); }

constinit int mod = 1'000'000'007;

void solve(istream &cin = std::cin, ostream &cout = std::cout) {
    string s;
    ll k;
    cin >> s >> k;
    ordered_set<int> used;
    __gnu_pbds::priority_queue<pair<char, int>, greater<>> q;
    for (int idx = 0; auto &c: s) q.push({c, idx++});
    string ans;
    // debug(q);
    while (!q.empty()) {
        auto [c, pos] = q.top();
        q.pop();
        int cnt = used.order_of_key(pos);
        used.insert(pos);
        int cost = pos - cnt;
        if (cost <= k) {
            // debug(k, cost);
            k -= cost;
            ans += c;
            continue;
        }
        // debug(k, cost);
        vector<pair<int, char>> can;
        while (!q.empty()) {
            auto [c, pos] = q.top();
            can.emplace_back(pos, c);
            q.pop();
        }
        r::sort(can);
        for (auto i: can | v::take(cost - k)) {
            ans += i.second;
        }
        ans += c;
        for (auto i: can | v::drop(cost - k)) {
            ans += i.second;
        }
        break;
    }
    cout << ans << '\n';
    // int n;
    // cin >> n;
    // vector<vector<int>> a(n, vector<int> (n));
    // for (auto &i: a) for (auto &j: i) cin >> j;
    // vector<int> d(n, numeric_limits<int>::max());
    // vector<bool> used(n);
    // d[0] = 0;
    // used[d] = true;
    // vector<vector<pair<int, int>>> graf(n);
    // while (true) {
    //     int v = -1;
    //     for (auto i: v::iota(0, n)) {
    //         if (used[i]) continue;
    //         if (v == -1 || d[i] < d[v]) v = i;
    //     }
    //     if (v == -1) break;
    //     graf[v].emplace_back(d[v].second, d[v].first);
    //     used[v] = true;
    //     for (auto i: v::iota(0, n)) {
    //         if (a[v][i] < d[i].first) {
    //             d[i] = {a[v][i], v};
    //         }
    //     }
    // }
    // function<void(int, int, int, int)> dfs = [&](int v, int last, int start, int d) {
    //     if (a[start][v] != d) {
    //         cout << "No\n";
    //         exit(0);
    //     }
    //     for (auto &[i, w]: graf[v]) {
    //         if (i == last) continue;
    //         dfs(i, v, start, d + w);
    //     }
    // };
    // for (auto i: v::iota(0, n)) dfs(i, -1, i, 0);
    // cout << "Yes\n";
}
/*

*/
signed main() {
    ios_base::sync_with_stdio(false); cin.tie(nullptr);
    int test = 1;
#if LOCAL
    ifstream cin("../danya.in"); // ofstream cout("danya.out");
    cin >> test;
    if (test == 0) cerr << "CHANGE .IN FILE" << endl;
    for (const auto i: v::iota(1) | v::take(test)) {
        const auto divider = string(30, '=');
        cout << divider << ' ' << i << ' ' << divider << '\n';
        solve(cin, cout);
        cout << '\n';
    }
#else
    // ifstream cin(".in"); ofstream cout(".out");
    cin >> test;
    for (const auto _: v::iota(0, test)) {
        solve(cin, cout);
    }
#endif
}
