#include <bits/stdc++.h>

using namespace std;

#ifdef LOCAL
#define dbg(x) cerr << __LINE__ << " " << #x << " " << x << endl
#define ln cerr << __LINE__ << " fine, thanks" << endl
#else
#define dbg(x) void(0)
#define ln void(0)
#endif 

template <typename T>
istream& operator>>(istream& in, vector<T>& a)
{
    for (auto& e : a) in >> e;
    return in;
}

template <typename T>
ostream& operator<<(ostream& out, const vector<T>& a)
{
    for (auto &e : a)
    {
        out << e << " ";
        if (typeid(T) != typeid(int) && typeid(T) != typeid(long long))
            out << "\n";
    }
    return out;
}

#define forn(i, n) for (int i = 0; (i) != (n); (i)++)
#define all(v) (v).begin(), (v).end()
#define rall(v) (v).rbegin(), (v).rend()
#define popcount(x) __builtin_popcount(x)
#define popcountll(x) __builtin_popcountll(x)
#define fi first
#define se second
#define re return
#define pb push_back
#define uniq(x) sort(all(x)); (x).resize(unique(all(x)) - (x).begin())
#define safe(x, n) (0 <= (x) && (x) < (n))
#define withBit(mask, i) ((mask & (1LL << (i))) > 0)

void solve()
{
    uint64_t n;
    std::cin >> n;
    std::vector<int64_t> zeros, rest;
    for (auto i = 0; i < n; i++) {
        int64_t x, y;
        cin >> x >> y;
        if (y == 0) {
            zeros.push_back(x);
        } else {
            rest.push_back(y);
        }
    }

    if (zeros.size() <= 1 || zeros.size() == n) {
        std::cout << 0;
        return;
    }

    int64_t min_ = 1e9, max_ = -1e9;
    for (auto x : zeros) {
        min_ = std::min(min_, x);
        max_ = std::max(max_, x);
    }

    uint64_t ans = 0;
    for (auto y : rest) {
        ans = std::max<uint64_t>(ans, std::abs(y));
    }

    uint64_t res = (max_ - min_) * ans;

    std::cout <<  res / 2 << ((res % 2 == 0) ? "" : ".5");
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);

    #ifdef LOCAL
    double st = clock();
    #endif 

    int t = 1;
    #ifdef tests
    cin >> t;
    #endif
    while (t--)
    {
        solve();
    }

    #ifdef LOCAL
    cerr << setprecision(5) << "Succeed in " << (clock() - st) / CLOCKS_PER_SEC << " s\n";
    #endif 
}
