#include <bits/stdc++.h>

using namespace std;

#ifdef LOCAL
#define dbg(x) cerr << __LINE__ << " " << #x << " " << x << endl
#define ln cerr << __LINE__ << " fine, thanks" << endl
#else
#define dbg(x) void(0)
#define ln void(0)
#endif 

typedef long long ll;

template <typename T>
istream& operator>>(istream& in, vector<T>& a)
{
    for (auto& e : a) in >> e;
    return in;
}

template <typename F, typename S>
istream& operator>>(istream& in, pair<F, S>& p)
{
    in >> p.first >> p.second;
    return in;
}

template <typename T>
ostream& operator<<(ostream& out, const vector<T>& a)
{
    for (auto &e : a)
    {
        out << e << " ";
        if (typeid(T) != typeid(int) && typeid(T) != typeid(long long))
            out << "\n";
    }
    return out;
}

template <typename T>
ostream& operator<<(ostream& out, const set<T>& a)
{
    for (auto &e : a) out << e << " ";
    return out;
}

template <typename F, typename S>
ostream& operator<<(ostream& out, const pair<F, S>& p)
{
    out << p.first << " " << p.second;
    return out;
}

#define forn(i, n) for (int i = 0; (i) != (n); (i)++)
#define all(v) (v).begin(), (v).end()
#define rall(v) (v).rbegin(), (v).rend()
#define popcount(x) __builtin_popcount(x)
#define popcountll(x) __builtin_popcountll(x)
#define fi first
#define se second
#define re return
#define pb push_back
#define uniq(x) sort(all(x)); (x).resize(unique(all(x)) - (x).begin())
#define safe(x, n) (0 <= (x) && (x) < (n))
#define withBit(mask, i) ((mask & (1LL << (i))) > 0)

void solve()
{
    int n;
    scanf("for (int i = 0; i < %d; i++) {\n", &n);
    vector<int> f, t;
    while (true) {
        std::string s;
        getline(cin, s);
        if (s[0] != ' ') s = "    " + s;
        if (s.starts_with("    if")) {
            int from, to;
            sscanf(s.data(), "    if (i == %d) i = %d", &from, &to);
            f.pb(from);
            t.pb(to);
        } else {
            break;
        }
    }

    int k = f.size();

    map<int, pair<int, int> > to;
    for (int i = k - 1; i >= 0; i--) {
        if (to.find(t[i]) != to.end()) {
            pair<int, int> tmp = to[t[i]];
            to[f[i]] = { tmp.first, tmp.second + 1 };
        } else {
            to[f[i]] = { t[i], 1 };
        }
    }

    
    
    

    ll ans = 0;

    set<int> visit;
    int i = 0;
    while (true) {
        if (visit.find(i) != visit.end()) {
            cout << "-1\n";
            return;
        }
        visit.insert(i);

        auto iter = to.lower_bound(i);
        if (iter == to.end()) {
            ans += 1ll * (n - i) * (2 + k + 1);
            ans += 2;
            cout << ans << "\n";
            return;
        }
        int w = (*iter).first;
        ans += 1ll * (w - i) * (2 + k + 1);
        pair<int, int> x = (*iter).second;
        
        ans += 2 + k + x.second + 1;
        i = x.first + 1;
    }
    exit(1);
}

int main()
{
    

    #ifdef LOCAL
    double st = clock();
    #endif 

    int t = 1;
    #ifdef tests
    cin >> t;
    #endif
    while (t--)
    {
        solve();
    }

    #ifdef LOCAL
    cerr << setprecision(5) << "Succeed in " << (clock() - st) / CLOCKS_PER_SEC << " s\n";
    #endif 
}
