#include <bits/stdc++.h>

// #define FSTREAM
// #define MULTITEST

using namespace std;

typedef long long ll;
typedef long double ld;

void solve() {
    ll n;
    cin >> n;
    vector<ll> a(n);
    for (ll i = 0; i < n; ++i) {
        cin >> a[i];
    }
    ll s, f;
    cin >> s >> f;
    --s;
    --f;
    bool to_reverse = false;
    if (s > f) {
        to_reverse = true;
        ll tmp = f;
        f = s;
        s = tmp;
    }
    vector<pair<int, pair<int, int>>> ans;
    ll last = s;
    ll prev_d = -1;
    for (ll i = s + 1; i <= f; ++i) {
        ll new_d = abs(a[i] - a[i - 1]);
        if (new_d == 1) {
            cout << "Impossible";
            return;
        }
        if (prev_d == -1) {
            prev_d = new_d;
            continue;
        }
        ll g = __gcd(prev_d, new_d);
        if (g == 1) {
            ans.emplace_back(prev_d, make_pair(last + 1, i));
            last = i - 1;
            prev_d = new_d;
            continue;
        }
        prev_d = g;
    }
    ans.emplace_back(prev_d, make_pair(last + 1, f + 1));
    if (to_reverse) {
        reverse(ans.begin(), ans.end());
    }
    for (int i = 0; i < ans.size(); ++i) {
        ll kaban = ans[i].first;
        if (kaban == 0) {
            kaban = 239;
        }
        cout << "KABan-" << kaban << ' ' << ans[i].second.first << ' ' << ans[i].second.second << endl;
    }
}

signed main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
#ifdef FSTREAM
    freopen("input.txt", "r", stdin);
#endif
    size_t t = 1;
#ifdef MULTITEST
    cin >> t;
#endif
    for (size_t i = 0; i < t; ++i) {
        solve();
    }
    return 0;
}