def is_valid_matrix(matrix):
    valid_chars = {'R', 'A', 'C', 'I', '-'}
    for row in matrix:
        if row.count('A') != 1:
            return False
        for char in row:
            if char.upper() not in valid_chars:
                return False
    return True

if __name__ == '__main__':
    n, m = map(int, input().split())
    matrix = [input().split() for _ in range(n)]
    
    if is_valid_matrix(matrix):
        print("Yes")
    else:
        print("No")