import sys
import math
def input(): return sys.stdin.readline().rstrip("\r\n")
def sint(): return int(input())
def mint(): return map(int, input().split())
def aint(): return list(map(int, input().split()))


pmod = 998244353

r, g, b = mint()
t = r + g + b

if r - 1 > g + b or g - 1 > b + r or b - 1 > r + g:
    print('0')
    exit()

ans = 0
for k in range(t + 1):
    for ri in range(k + 1):
        for gi in range(k - ri + 1):
            bi = k - ri - gi
            if bi <= b and ri <= r and gi <= g:
                ans += (-1)**k * (math.comb(r - 1, ri) % pmod)*(math.comb(g - 1, gi) % pmod)*(math.comb(b - 1, bi) % pmod)*(math.factorial(
                    t - k) % pmod)/((math.factorial(r - ri) % pmod)*(math.factorial(g - gi) % pmod)*(math.factorial(b - bi) % pmod)) % pmod

ans = ans % pmod
print(int(ans))
