#include <iostream>
#include <math.h>
#include <vector>
#include <algorithm>
#include <iomanip>
#include <cmath>
#include <string>
#include <time.h>
#include <map>
#include <set>
#include <cstring>
#include <conio.h>

using namespace std;

bool matDer(const vector<vector<int>>& m) {

    int n = m.size();

    for (int i = 0; i < n; ++i) {
        if (m[i][i] != 0) return false;
        for (int j = 0; j < n; ++j) {
            if (m[i][j] != m[j][i]) return false;
            if (i != j && m[i][j] <= 0) return false;
        }
    }

    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            if (i != j) {
                for (int k = 0; k < n; ++k) {
                    if (j != k && i != k) {
                        if (m[i][j] + m[j][k] < m[i][k]) {
                            return false;
                        }
                    }
                }
            }
        }
    }

    return true;
}

int main() {

    int n;
    cin >> n;
    vector<vector<int>> m(n, vector<int>(n));

    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            cin >> m[i][j];
        }
    }

    if (matDer(m)) {
        cout << "Yes" << endl;
    } else {
        cout << "No" << endl;
    }

    return 0;
}
