#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
using namespace std;
int main() {
    int n;
    vector<string> programs;
    vector<bool> letters(26, false);

    cin >> n;
    for (int i = 0; i < n; i++) {
        string program;
        cin >> program;
        programs.push_back(program);
    }

    for (const auto& program : programs) {
        letters[program[0] - 'a'] = true;
    }

    for (int i = 0; i < 4; i++) {
        for (int j = 0; j < 6; j++) {
            if (letters[i * 6 + j]) {
                cout << char('a' + i * 6 + j);
            } else {
                cout << ".";
            }
        }
        cout << endl;
    }
    for (int i = 24; i < 26; i++) {
        if (letters[i]) {
            cout << char('a' + i);
        } else {
          cout << ".";
        }
    }
   cout << endl;

    return 0;
}
