#include <iostream>
#include <vector>
#include <string>

std::vector<std::vector<int>> d = {
    {1, 1, 1, 0, 1, 1, 1}, // 0
    {0, 0, 1, 0, 0, 1, 0}, // 1
    {1, 0, 1, 1, 1, 0, 1}, // 2
    {1, 0, 1, 1, 0, 1, 1}, // 3
    {0, 1, 1, 1, 0, 1, 0}, // 4
    {1, 1, 0, 1, 0, 1, 1}, // 5
    {1, 1, 0, 1, 1, 1, 1}, // 6
    {1, 0, 1, 0, 0, 1, 0}, // 7
    {1, 1, 1, 1, 1, 1, 1}, // 8
    {1, 1, 1, 1, 0, 1, 1}  // 9
};


int parse(std::vector<int> v) {
    for(int i = 0; i < 10; i++) {
        int f = 0;
        for(int j = 0; j < 7; j++) {
            if(v[j] != d[i][j]) {
                f = 1;
            }
        }
        if(!f) return i;
    }

    return -1;
}


int main() {
    std::string s; std::cin >> s;
    std::string s2; std::cin >> s2;
    std::vector<int> v(8);
    std::vector<int> v2(8);
    for(int i = 6; i >= 0; i--) {
        if(s[i] == '1')
            v[i] = 1;
        else {
            v[i] = -1;
        }
        if(s2[i] == '1')
            v2[i] = 1;
        else {
            v2[i] = -1;
        }
        // if(v2[i] == '1')
        //     v2[i] = s2[i] - '0';
        // else v2[i] = -1;
    }

    std::vector<int> nums(10);
    for(int i = 0; i < 10; i++) {
        std::vector<int> cur_num(7);
        cur_num = d[i];
        for(int j = 0; j < 7; j++) {
            if(v[j] == -1) {
                cur_num[j] = 0;
            }
        }

        nums[i] = parse(cur_num);
    }

    std::vector<int> nums2(10);
    for(int i = 0; i < 10; i++) {
        std::vector<int> cur_num(7);
        cur_num = d[i];
        for(int j = 0; j < 7; j++) {
            if(v2[j] == -1) {
                cur_num[j] = 0;
            }
        }

        nums2[i] = parse(cur_num);
    }

    std::vector<int> res(100);

    for(int i = 0; i < 10; i++) {
        for(int j = 0; j < 10; j++) {
            if(nums[i] != -1 && nums2[j] != -1){
                res[i * 10 + j] = nums[i] * 10 + nums2[j];
            } else {
                res[i * 10 + j] = -1;
            }
        }
    }

    int max_res = 0;
    int flag = 0;
    int cur_res = 0;
    for(int i = 1; i < 99; i++) {
        if(res[i] == -1) {
            continue;
        }
        if(res[i+1] != -1) {
            if(flag && res[i] == res[i+1] + 1) {
                cur_res++;
            }
            else if(res[i] == res[i+1] + 1) {
                flag = 1;
                cur_res = 1;
            }
            else if(flag && res[i] != res[i+1] + 1) {
                flag = 0;
                max_res = std::max(max_res, cur_res);
                cur_res = 0;
            }
        } else {
            flag = 0;
            max_res = std::max(max_res, cur_res);
            cur_res = 0;
        } 
        
    }
    std::cout << max_res << std::endl;


    return 0;
}
