import heapq


def min_number_after_operations(s, k):
    n = len(s)
    s = list(s) 
    result = []
    current_pos = 0

    while current_pos < n and k > 0:
        min_heap = []
        for j in range(current_pos, min(n, current_pos + k + 1)):
            heapq.heappush(min_heap, (s[j], j))

        min_digit, min_index = heapq.heappop(min_heap)

        result.append(min_digit)

        moves = min_index - current_pos

        k -= moves
        if moves > 0:
            s.pop(min_index)
            s.insert(current_pos, min_digit)

        current_pos += 1

    result.extend(s[current_pos:])

    return ''.join(result)



t = int(input())
results = []

for i in range(1, t + 1):
    s, k = input().split()
    k = int(k)
    print((min_number_after_operations(s, k)))