// 🍪🍪🍪

#include <bits/stdc++.h>

using namespace std;
using ll = long long;
using ld = long double;

const int MAXN = 2e5 + 23;
const int INF = 1e9 + 23;
const ll BIGINF = 1e17 + 23;
const int MOD = 1e9 + 7;
const int MAX_LOG = 26;

#define SINGLE_TEST
// #define ULTRA_MEGA_COOL_RAND
#define int long long
// #define PRAGM
#define all(x) x.begin(), x.end()
#define pb push_back
#define help                          \
    ios_base::sync_with_stdio(false); \
    cin.tie(nullptr);
#define me cout.tie(nullptr);
#define fileIO(x)                                     \
    freopen(((string)x + ".in").c_str(), "r", stdin); \
    freopen(((string)x + ".out").c_str(), "w", stdout);
#ifdef PRAGM
#pragma GCC optimize("Ofast,no-stack-protector,unroll-loops,fast-math,O3")
#pragma GCC target("sse,sse2,sse3,ssse3,sse4,tune=native")
#endif

int smartGcd(int a, int b)
{
    if (a == -1)
        return b;
    if (b == -1)
        return a;
    return __gcd(a, b);
}

int interact(int x)
{
    cout << x << endl;
    cout.flush();
    int res;
    cin >> res;
    return res;
}

inline void solve()
{
    int n;
    cin >> n;
    vector<pair<int, int>> points(n);
    for (auto &p : points) {
        cin >> p.first >> p.second;
    }

    int min_idx = 0;
    int min_x = 1001;
    int max_idx = 0;
    int max_x = -1001;
    for (int i = 0; i < n; i++) {
        auto p = points[i];
        if (p.second != 0)
            continue;

        if (p.first < min_x) {
            min_x = p.first;
            min_idx = i;
        }

        if (p.first > max_x) {
            max_x = p.first;
            max_idx = i;
        }
    }

    int base_len = max_x - min_x;

    int max_y = 0;
    for (int i = 0; i < n; i++) {
        max_y = max(max_y, abs(points[i].second));
    }

    int double_ans = base_len * max_y;
    if (double_ans == 0 || n < 3) {
        cout << 0 << endl;
    }

    if (double_ans % 2 == 0) {
        cout << double_ans / 2 << endl;
    } else {
        cout << double_ans / 2 << ".5" << endl;
    }
}

signed main()
{
    // freopen("b2.txt", "r", stdin);
    help me

#ifdef ULTRA_MEGA_COOL_RAND
        srand(clock());
#endif

    int cases = 1;
#ifndef SINGLE_TEST
    cin >> cases;
#endif
    while (cases--)
        solve();
    return 0;
}
