#include <bits/stdc++.h>
using namespace std;

#define ll  long long
#define ull unsigned long long
#define string str

#define INF (ll)1e20

struct Point {
    double x, y;

    Point(double x1, double y1) {
        x = x1;
        y = y1;
    }
};

bool comparator(Point a, Point b) {
    return a.x < b.x;
}

void solve() {
    int n;
    cin >> n;
    vector<Point> points_on_ox;
    vector<Point> points_other;
    for (int i = 0; i < n; ++i) {
        double x, y;
        cin >> x >> y;
        if (y == 0)
            points_on_ox.push_back(Point(x, y));
        else 
            points_other.push_back(Point(x, y));
    }
    if (n < 3) {
        cout << std::setprecision(9) << 0.;
        return;
    }
    sort(points_on_ox.begin(), points_on_ox.end(), comparator);
    Point bX = points_on_ox[0];
    Point sX = points_on_ox[points_on_ox.size() - 1];

    double ans = 0;
    for (int i = 0; i < points_other.size(); ++i) {
        auto pp = points_other[i];

        double a = sqrt((sX.x-bX.x)*(sX.x-bX.x) + (sX.y-bX.y)*(sX.y-bX.y));
        double b = sqrt((pp.x-bX.x)*(pp.x-bX.x) + (pp.y-bX.y)*(pp.y-bX.y));
        double c = sqrt((sX.x-pp.x)*(sX.x-pp.x) + (sX.y-pp.y)*(sX.y-pp.y));

        double p = (a+b+c)/2;
        if (ans < sqrt(p*(p-a)*(p-b)*(p-c)))
            ans = sqrt(p*(p-a)*(p-b)*(p-c));
    }
    cout << std::setprecision(9) << ans ;
}

int main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t = 1;
    //cin >> t;
    while(t) {
        solve();
        --t;
    }

    return 0;
} 