#include <iostream>
#include <string>
#include <vector>
#include <deque>
using namespace std;

int main() {
#ifdef LOCAL
    freopen("in.txt", "r", stdin);
#endif
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t;
    cin >> t;
    while (t--) {
        string s;
        long long k;
        cin >> s >> k;
        int n = s.size();

        vector<deque<int>> pos_digit(10);
        for (int i = 0; i < n; ++i) {
            int digit = s[i] - '0';
            pos_digit[digit].push_back(i);
        }

        for (int i = 0; i < n && k > 0; ++i) {
            bool found = false;
            for (int d = 1; d <= 9; ++d) {
                while (!pos_digit[d].empty() && pos_digit[d].front() < i) {
                    pos_digit[d].pop_front();
                }
                if (pos_digit[d].empty()) continue;
                int pos = pos_digit[d].front();
                if (pos - i > k) continue;
                if (pos == i) {
                    found = true;
                    break;
                }
                pos_digit[d].pop_front();
                char min_char = s[pos];
                for (int j = pos; j > i; --j) {
                    s[j] = s[j - 1];
                    int digit_j = s[j] - '0';
                    auto& dq = pos_digit[digit_j];
                    for (int& idx : dq)
                        if (idx == j - 1) {
                            idx = j;
                            break;
                        }
                }
                s[i] = min_char;
                k -= pos - i;
                found = true;
                break;
            }
            if (!found) continue;
        }

        cout << s << '\n';
    }
    return 0;
}