#include <iostream>
//#include "optimization.h"
#include <vector>
#include <utility>
#include <map>
#include <string>
#include <set>
#include <unordered_set>
#include <stack>
#include <cmath>
#include <iomanip>
#include <queue>
#include <iterator>
//#include <algorithm>
#include <unordered_map>
#include <deque>
#include <cstdlib>
#include <numeric>
#include <functional>
#include <list>

using namespace std;
#define int long long

//#define int __int128_t
#define INT128_MIN (-INF - 1)
#define INTMAX 2147483647
//#define MAX 10001
//#define INF 1e14
const int MAX = 1e5+1;
//const int INF = 2e17;
unsigned long long sumOfEvenBinomialCoefficients(int f, int k) {
    unsigned long long sum = 0;
    int count = 0;
    unsigned long long currentCoefficient = 1;

    for (int j = 0; j <= f; ++j) {
        if (j % 2 == 0) {
            sum += currentCoefficient;
            count++;
            if (count == k) break;
        }
        currentCoefficient = currentCoefficient * (f - j) / (j + 1);
    }

    return sum;
}

int findMinimumN(unsigned long long N, int k) {
    int f = 0;

    while (true) {
        unsigned long long sum = sumOfEvenBinomialCoefficients(f, k);
        if (sum >= N) {
            return f;
        }
        f++;
    }
}


signed main() {
#ifdef LOCAL
    freopen("main.in", "r", stdin);
#endif
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(nullptr);
    std::cout.tie(nullptr);

    int t;
    cin >> t;
    while (t--) {
        long long n, k;
        cin >> n >> k;
        int ans = findMinimumN(n,k+1);
        cout << ans - 1 <<"\n";
    }
    return 0;
}