#include <iostream>
#include <string>
#include <algorithm>
 
using namespace std;
 
void solve(long long test_cases) {
    while (test_cases--) {
        string s;
        long long k;
        cin >> s >> k;
        long long n = s.length();

        int index = 0;
        while (index + 1 < n && k > 0) {
            if (s[index] > s[index + 1]) {
                // index - 1 must be shifted left
                int j = index;
                while (k > 0 && j >= 0 && s[j] > s[j + 1]) {
                    std::swap(s[j], s[j + 1]);
                    j--;
                    k -= 1;
                }
            }
            index += 1;
        }
 
        cout << s << "\n";
    }
}
 
int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    long long test_cases;
    cin >> test_cases;
    solve(test_cases);
    return 0;
}
