import java.util.*

fun main() {
    val a = readln().toInt()
    val arr = readln().split(" ").map { it.toInt() }
    val (s, f) = readln().split(" ").map { it.toInt() }
    try {
        println(findShortestPath(a, arr.toIntArray(), s, f).joinToString("\n"))
    }
    catch (e: Exception) {
        println("Impossible")

    }
}

fun findShortestPath(n: Int, a: IntArray, s: Int, f: Int): List<String> {
    val visited = BooleanArray(n) { false }
    val queue: Queue<Pair<Int, List<String>>> = LinkedList()
    queue.add(Pair(s, listOf()))

    while (queue.isNotEmpty()) {
        val (currentCity, path) = queue.poll()

        if (currentCity == f) {
            return path
        }

        for (m in 2..109) {
            var nextCity = currentCity
            while (nextCity <= n && a[nextCity] % m == a[currentCity] % m) {
                nextCity++
            }
            if (!visited[nextCity]) {
                visited[nextCity] = true
                queue.add(Pair(nextCity, path + "Kaban-$m $currentCity $nextCity"))
            }
        }
    }

    return listOf("Impossible")
}
