#include <bits/stdc++.h>
using namespace std;

//#define INTERACTIVE

#define ll long long
#define ld long double
#define F first
#define S second
#define pb push_back

#pragma GCC optimize("Ofast")

double getSquare(int x1i, int x2i, int x3i, int y3i) {
    double x1 = x1i, x2 = x2i, x3 = x3i, y3 = y3i;
    double a = sqrt((x2-x1)*(x2-x1));
    double b = sqrt((x3-x1)*(x3-x1) + y3*y3);
    double c = sqrt((x3-x2)*(x3-x2) + y3*y3);
    double p = (a+b+c)/2;
    return sqrt(p * (p-a) * (p-b) * (p-c));
}

int32_t main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
#ifdef LOCAL
#ifndef INTERACTIVE
    freopen("input.txt", "r", stdin);
    freopen("output1.txt", "w", stdout);
    #define endl '\n'
#endif
#endif
    int n;
    cin >> n;
    int x,y;
    vector<int> ox;
    vector<pair<int, int>> nox;
    for (int i = 0; i < n; ++i) {
        cin >> x >> y;
        if (!y) {
            ox.pb(x);
        } else {
            nox.emplace_back(x, y);
        }
    }
    sort(ox.begin(), ox.end());
    double maxS = 0;
    for (int p1 = 0; p1 < ox.size(); ++p1) {
        for (int p2 = p1+1; p2 < ox.size(); ++p2) {
            if (ox[p1] == ox[p2]) {
                continue;
            }
            for (auto &p3 : nox) {
                maxS = max(maxS, getSquare(ox[p1], ox[p2], p3.F, p3.S));
            }
        }
    }
    if (maxS < 1e-10) {
        cout << 0 << endl;
    } else {
        cout << fixed << setprecision(10) << maxS << endl;
    }
}
