#include <iostream>
#include <vector>

int main() {
    int n;
    std::cin >> n;
    std::vector<uint32_t> piles(n);

    for (int i = 0; i < n; ++i) {
        std::cin >> piles[i];
    }

    uint32_t nim_sum = 0;
    for (uint32_t pile : piles) {
        nim_sum ^= pile;
    }

    if (nim_sum == 0) {
        std::cout << "Dmitry" << std::endl;
    }
    else {
        std::cout << "Alice" << std::endl;
    }

    return 0;
}