#include <iostream>
#include <vector>

int main() {
    int n;
    std::cin >> n;
    if (n < 1 || n > 1000) {
        return 0;
    }
    std::vector<std::vector<int>> matrix(n, std::vector<int>(n));

    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            std::cin >> matrix[i][j];
            if (matrix[i][j] < 0) {
                std::cout << "No";
                return 0;
            }
        }
    }

    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            if (matrix[i][j] != matrix[j][i]) {
                std::cout << "No";
                return 0;
            }
            if (i == j && matrix[i][j] != 0) {
                std::cout << "No";
                return 0;
            }
        }
    }

    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            for (int k = 0; k < n; k++) {
                if (matrix[i][j] + matrix[j][k] < matrix[i][k]) {
                    std::cout << "No";
                    return 0;
                }
            }
        }
    }

    std::cout << "Yes";
    return 0;
}
