#include <stdio.h>

typedef struct {
    int x;
    int y;
} pair;

int abs(int a) {
    if (a < 0) return a * -1;
    
    return a;
}

double square(pair *arr, int arr_size) {
    pair h;

    for (int i = 0; i < arr_size; i++) {
        if (arr[i].y != 0) {
            h.x = arr[i].x;
            h.y = arr[i].y;
            break;
        }
    }

    int min = 1001;
    int max = -1001;

    for (int i = 0; i < arr_size; i++) {
        if (arr[i].y != 0) continue;
        if (arr[i].x < min) min = arr[i].x;
        if (arr[i].x > max) max = arr[i].x;
    }

    return 0.5 * abs(h.y) * abs(max - min); 
}

int main(void) {
    int n;

    scanf("%d", &n);

    pair arr[n];

    for (int i = 0; i < n; i++) {
        int temp_x, temp_y;
        scanf("%d %d", &temp_x, &temp_y);

        pair temp;
        temp.x = temp_x;
        temp.y = temp_y;

        arr[i] = temp;
    }

    int c = 0;

    for (int i = 0; i < sizeof(arr)/sizeof(arr[0]); i++) {
        if (arr[i].y == 0) c++;    
    }

    if (c < 2) {
        printf("0\n");
        return 0;
    }

    pair min_x;
    min_x.x = 1001;
    pair max_x;
    max_x.x = -1001;

    for (int i = 0; i < n; i++) {
        if (arr[i].y != 0) continue;

        if (arr[i].x < min_x.x) min_x.x = arr[i].x;
        if (arr[i].x > max_x.x) max_x.x = arr[i].x;
    }

    pair max_y;
    max_y.y = 0;

    for (int i = 0; i < n; i++) {
        if (abs(arr[i].y) > max_y.y) {
            max_y.x = arr[i].x;
            max_y.y = abs(arr[i].y);
        };
    }

    pair npair[3];
    npair[0].x = min_x.x;
    npair[0].y = min_x.y;
    npair[1].x = max_x.x;
    npair[1].y = max_x.y;
    npair[2].x = max_y.x;
    npair[2].y = max_y.y;

    printf("%lf\n", square(npair, 3));
}
