#include <algorithm>
#include <bitset>
#include <complex>
#include <deque>
#include <exception>
#include <fstream>
#include <functional>
#include <iomanip>
#include <ios>
#include <iosfwd>
#include <iostream>
#include <istream>
#include <iterator>
#include <limits>
#include <list>
#include <locale>
#include <map>
#include <memory>
#include <new>
#include <numeric>
#include <ostream>
#include <queue>
#include <set>
#include <sstream>
#include <stack>
#include <stdexcept>
#include <streambuf>
#include <string>
#include <typeinfo>
#include <utility>
#include <valarray>
#include <vector>

using namespace std;

#define ll long long
#define ld long double
#define vl vector<ll>
#define pr pair<ll, ll>
#define all(a) a.begin(), a.end()

ll gcd(ll a, ll b) { return (b ? gcd(b, a % b) : a); }

ll lcm(ll a, ll b) { return a / gcd(a, b) * b; }

const ld PI = 3.14159265;
const ll MAXN = 10000 + 13;
const ll MAXM = 1000 + 13;
const ll MOD = 1e9 + 7;

void solve() {
    ll n;
    cin >> n;
    vector<bool> cnt(26);
    while (n--) {
        string s;
        cin >> s;
        cnt[s[0] - 'a'] = 1;
    }
    for (int i = 0; i < 26; ++i) {
        if (i > 0 && i % 6 == 0) {
            cout << '\n';
        }

        cout << char(cnt[i] ? 'a' + i : '.');
    }
}

int main() {
    ios::sync_with_stdio(false);
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);

    ll t = 1;
    //cin >> t;
    while (t--) {
        solve();
    }
}