#include <algorithm>
#include <bitset>
#include <complex>
#include <deque>
#include <exception>
#include <fstream>
#include <functional>
#include <iomanip>
#include <ios>
#include <iosfwd>
#include <iostream>
#include <istream>
#include <iterator>
#include <limits>
#include <list>
#include <locale>
#include <map>
#include <memory>
#include <new>
#include <numeric>
#include <ostream>
#include <queue>
#include <set>
#include <sstream>
#include <stack>
#include <stdexcept>
#include <streambuf>
#include <string>
#include <typeinfo>
#include <utility>
#include <valarray>
#include <vector>

using namespace std;

#define ll long long
#define ld long double
#define vl vector<ll>
#define pr pair<ll, ll>
#define all(a) a.begin(), a.end()

ll gcd(ll a, ll b) { return (b ? gcd(b, a % b) : a); }

ll lcm(ll a, ll b) { return a / gcd(a, b) * b; }

const ld PI = 3.14159265;
const ll MAXN = 10000 + 13;
const ll MAXM = 1000 + 13;
const ll MOD = 1e9 + 7;

void solve() {
    ll n;
    cin >> n;
    vector<ll> a(n);
    for (auto &elem: a) {
        cin >> elem;
    }

    ll s, f;
    cin >> s >> f;
    --s;
    --f;

    if (s < f) {
        vector<ll> diff(n - 1);
        for (ll i = 0; i < n - 1; i++) {
            diff[i] = abs(a[i + 1] - a[i]);
        }


        ll curr = s;
        vector<pair<ll, pair<ll, ll> > > res;

        while (curr < f) {
            ll l = curr;
            ll curr_gcd = diff[curr];
            if (curr_gcd == 1) {
                cout << "Impossible" << endl;
                return;
            }
            while (1) {
                if (curr < f - 1 && gcd(curr_gcd, diff[curr + 1]) != 1) {
                    curr_gcd = gcd(curr_gcd, diff[curr + 1]);
                    curr++;
                } else {
                    break;
                }
            }
            ll r = curr + 1;
            res.push_back({curr_gcd, {l, r}});
            ++curr;
        }

        for (auto elem: res) {
            cout << "Kaban-" << ((elem.first == 0) ? 52 : elem.first) << ' ' << elem.second.first + 1 << ' ' << elem.second.second + 1<< endl;
        }
    } else {
        swap(s, f);

        vector<ll> diff(n - 1);
        for (ll i = 0; i < n - 1; i++) {
            diff[i] = abs(a[i + 1] - a[i]);
        }
        ll curr = s;

        vector<pair<ll, pair<ll, ll> > > res;

        while (curr < f) {
            ll l = curr;
            ll curr_gcd = diff[curr];
            if (curr_gcd == 1) {
                cout << "Impossible" << endl;
                return;
            }
            while (1) {
                if (curr < f - 1 && gcd(curr_gcd, diff[curr + 1]) != 1) {
                    curr_gcd = gcd(curr_gcd, diff[curr + 1]);
                    curr++;
                } else {
                    break;
                }
            }
            ll r = curr + 1;
            res.push_back({curr_gcd, {l, r}});
            ++curr;
        }

        for(ll i = res.size() - 1; i >= 0; i--){
            cout << "Kaban-" << ((res[i].first == 0) ? 52 : res[i].first) << ' ' << res[i].second.second + 1<< ' ' << res[i].second.first + 1 << endl;
        }
    }

}

int main() {
    ios::sync_with_stdio(false);
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    //freopen("input.txt", "r", stdin);
    //freopen("output.txt", "w", stdout);

    ll t = 1;
    //cin >> t;
    while (t--) {
        solve();
    }
}