#include <iostream>
#include <vector>
#include <string>

using namespace std;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t;
    cin >> t;
    while (t--) {
        string s;
        long long k;
        cin >> s >> k;

        int n = s.size();
        vector<char> result(n);
        vector<bool> used(n, false);
        
        for (int i = 0; i < n; ++i) {
            char min_char = '9' + 1; 
            int min_index = -1;

            for (int j = i; j < n && j <= i + k; ++j) {
                if (!used[j] && s[j] < min_char) {
                    min_char = s[j];
                    min_index = j;
                }
            }

            if (min_index != -1) {
                for (int j = min_index; j > i; --j) {
                    swap(s[j], s[j - 1]);
                    --k; 
                    if (k <= 0) break;
                }
                used[i] = true; 
            }
        }

        cout << s << '\n';
    }

    return 0;
}
