﻿#include <iostream>
#include <vector> // Подключаем библиотеку для работы с вектором
using namespace std;

int main() {
    int n;
    cin >> n; // Количество элементов массива 
    vector<int> piles(n); // Вектор для хранения количества камней в каждой кучке

    for (int i = 0; i < n; ++i) {
        cin >> piles[i];
    }

    int xor_sum = 0;
    for (int stones : piles) {
        xor_sum ^= stones; // Вычисляем XOR всех кучек
    }

    // Определяем победителя в зависимости от XOR суммы
    if (xor_sum == 0) {
        cout << "Dmitry" << endl;
    }
    else {
        cout << "Alice" << endl;
    }
}