#include <iostream>
#include <vector>
#include <stdexcept> //   
using namespace std;

int main() {
    int n;
    cin >> n; //    

    if (n <= 0) {
        cerr << "    ." << endl;
        return 1;
    }

    vector<int> piles(n); //        

    for (int i = 0; i < n; ++i) {
        cin >> piles[i];
        if (piles[i] < 0) {
            cerr << "     ." << endl;
            return 1;
        }
    }

    int xor_sum = 0;
    for (int stones : piles) {
        xor_sum ^= stones; //  XOR  
    }

    //      XOR 
    if (xor_sum == 0) {
        cout << "Dmitry" << endl;
    }
    else {
        cout << "Alice" << endl;
    }

    return 0;
}