def is_wooden_matrix(n, matrix):
    
    for i in range(n):
        if matrix[i][i] != 0:
            return "No"
        for j in range(i + 1, n):
            if matrix[i][j] != matrix[j][i]: 
                return "No"

    for i in range(n):
        for j in range(n):
            for k in range(n):
                if i != j and j != k and i != k:  
                    if matrix[i][j] > matrix[i][k] + matrix[k][j]:  
                        return "No"

    return "Yes"

n = int(input())
matrix = [list(map(int, input().split())) for _ in range(n)]
result = is_wooden_matrix(n, matrix)
print(result)