def is_wooden_matrix(matrix: list) -> bool:
    n = len(matrix)
    for i in range(n):
        for j in range(n):
            for k in range(n):
                if matrix[i][j] + matrix[j][k] < matrix[i][k]:
                    return False
    return True


def main():
    n = int(input())
    matrix = list()
    for _ in range(n):
        row = list(map(int, input().split()))
        matrix.append(row)
    result = is_wooden_matrix(matrix=matrix)
    print("Yes" if result else "No")


if __name__ == "__main__":
    main()