#define GLIBCXX_DEBUG

#include <bits/stdc++.h>

using namespace std;

template <class T>
T gcd(T a, T b) {
    while (b) a = a % b, swap(a, b);
    return a;
}

const long long mod = 998244353;

int64_t poww(int64_t val, int64_t d, int64_t modd = mod) {
    int64_t ans = 1, mn = val;
    while (d) {
        if (d & 1) ans = mn * ans % modd;
        mn = mn * mn % modd, d >>= 1;
    }
    return ans;
}

void solve() {
    string s; cin >> s;
    if(s.size()==2){
        cout << 0 << '\n';
    }else{
        int cnt = 0;
        int bal = 0;
        for (int i = 0; i < (int)s.size(); ++i){
            if(s[i]==',' && bal==1) cnt++;
            if(s[i]=='{') bal++;
            else if(s[i]=='}') bal--;
        }
        cout << cnt+1 << '\n';
    }
}

signed main() {
    ios::sync_with_stdio(false), cin.tie(nullptr), cout.tie(nullptr);
    int t = 1;
    while (t--) solve();
}
