#define GLIBCXX_DEBUG
  
#include <bits/stdc++.h>
  
using namespace std;
using ll = long long;
template <class T>
T gcd(T a, T b) {
    while (b) a = a % b, swap(a, b);
    return a;
}
  
const ll mod = 998244353;
  
int64_t poww(int64_t val, int64_t d, int64_t modd = mod) {
    int64_t ans = 1, mn = val;
    while (d) {
        if (d & 1) ans = mn * ans % modd;
        mn = mn * mn % modd, d >>= 1;
    }
    return ans;
}
 
map<pair<ll,pair<ll,ll>>, ll> mem;
 
ll calc(ll n, ll k, bool flag = false) {
    if (mem.find({n,{k,flag}}) != mem.end()) return mem[{n,{k,flag}}];
    if (n == 1 || n == 0) return 0;
    if (k == 0) return max(0LL,n-1);
    ll a,b;
    if (!flag) {
        a = max(calc(n/2,k-1,true), calc(n-n/2,k,false));
        b = max(calc(n-n/2,k-1,true), calc(n/2,k,false));
    }
    else {
        a = max(calc(n/2,k,true), calc(n-n/2,k,false));
        b = max(calc(n-n/2,k,true), calc(n/2,k,false));
    }
    return mem[{n,{k,flag}}] = min(a,b)+1;
}
  
void solve() {
    ll n,k;
    cin >> n >> k;
    ll ans = calc(n,k,false);
    cout << ans << '\n';
}
  
signed main() {
    ios::sync_with_stdio(false), cin.tie(nullptr), cout.tie(nullptr);
    int t = 1;
    cin >> t;
    while (t--) solve();
}
