#define GLIBCXX_DEBUG

#include <bits/stdc++.h>

using namespace std;
using ll = long long;
template <class T>
T gcd(T a, T b) {
    while (b) a = a % b, swap(a, b);
    return a;
}

const ll mod = 998244353;

int64_t poww(int64_t val, int64_t d, int64_t modd = mod) {
    int64_t ans = 1, mn = val;
    while (d) {
        if (d & 1) ans = mn * ans % modd;
        mn = mn * mn % modd, d >>= 1;
    }
    return ans;
}

ll mt[1001][1001];

void solve() {
    ll n;
    cin >> n;
    vector<vector<ll>> s(n,vector<ll>(n));
    vector<pair<ll,pair<ll,ll>>> d;
    for (int i=0;i<n;++i) {
        for (int j=0;j<n;++j) {
            cin >> s[i][j];
            mt[i][j]=-1;
        }
    }
    for (int i=0;i<n;++i) {
        for (int j=i+1;j<n;++j) d.push_back({s[i][j],{i,j}});
    }
    sort(d.begin(), d.end());
    vector<vector<ll>> mn(n);
    vector<ll> cr(n);
    for (int i=0;i<n;++i) {
        mn[i].push_back(i);
        cr[i]=i;
        mt[i][i]=0;
    }
    for (int i=0;i<d.size();++i) {
        // cout << "I " << i << endl;
        // cout << d[i].first << ' ' << d[i].second.first << ' ' << d[i].second.second << endl;
        // for (int k1=0;k1<n;++k1) {
        //     for (int j=0;j<n;++j) {
        //         cout << mt[k1][j] << ' ';
        //     }
        //     cout << endl;
        // }
        auto [v, u] = d[i].second;
        if (mt[v][u] == d[i].first) continue;
        if (mt[v][u] != -1) {
            cout << "No\n";
            return;
        }
        // cout << cr[v] << endl;
        // for (auto e: mn[cr[v]]) cout << e << ' ';
        // cout << endl;
        // cout << cr[u] << endl;
        // for (auto e: mn[cr[u]]) cout << e << ' ';
        // cout << endl;
        for (auto v1: mn[cr[v]]) {
            for (auto u1: mn[cr[u]]) {
                ll nww = mt[v1][v] + d[i].first + mt[u][u1];
                mt[v1][u1] = nww;
                mt[u1][v1] = nww;
            }
        }
        ll fr = cr[u];
        for (auto e: mn[cr[u]]) {
            cr[e] = cr[v];
            mn[cr[v]].push_back(e);
        }
        mn[fr].clear();
    }
    cout << "Yes\n";
}

signed main() {
    ios::sync_with_stdio(false), cin.tie(nullptr), cout.tie(nullptr);
    int t = 1;
    //cin >> t;
    while (t--) solve();
}
