#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
//#pragma GCC optimize("O3")
//#pragma GCC target("sse,sse2,sse3,ssse3,sse4")
//#pragma GCC optimize("unroll-loops")
using namespace std;

#define int long long
//#define double long double

const double PI = atan2(0, -1);
#ifdef int
const int INF = 1e18;
#else
typedef long long ll;
const int INF = 2e9;
#endif
const int MOD = 1e9 + 7;

mt19937_64 rnd(441225); // ddly

//ifstream in("kek.txt");
//#define cin in

struct point {
    int x, y;
    friend int operator^(point a, point b) {
        return a.x * b.y - a.y * b.x;
    }
    bool operator<(const point a) const {
        return x < a.x;
    }
    bool operator==(const point a) const {
        return x == a.x && y == a.y;
    }
    friend point operator-(point a, point b) {
        return {a.x - b.x, a.y - b.y};
    }

};

signed main() {
    cin.tie(0);
    ios_base::sync_with_stdio(0);
    int n;
    cin >> n;
    vector<point> p(n);
    vector<point> good;
    for (int i = 0; i < n; i++) {
        cin >> p[i].x >> p[i].y;
        if (p[i].y == 0) {
            good.push_back(p[i]);
        }
    }
    sort(good.begin(), good.end());
    good.resize(unique(good.begin(), good.end()) - good.begin());
    if (good.size() < 2) {
        cout << 0;
        return 0;
    }
    int ans = 0;
    for (int i = 0; i < n; i++) {
        if (p[i].y != 0) {
            point ab = p[i] - good[0];
            point ac = good.back() - good[0];
            ans = max(ans, abs(ab ^ ac));
        }
    }
    cout << fixed << setprecision(15) << (double) ans / 2;
}

