#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
//#pragma GCC optimize("O3")
//#pragma GCC target("sse,sse2,sse3,ssse3,sse4")
//#pragma GCC optimize("unroll-loops")
using namespace std;

#define int long long
//#define double long double

const double PI = atan2(0, -1);
#ifdef int
const int INF = 1e18;
#else
typedef long long ll;
const int INF = 2e9;
#endif
const int MOD = 1e9 + 7;

mt19937_64 rnd(441225); // ddly

//ifstream in("kek.txt");
//#define cin in

pair<int, int> parse(string &s) {
    vector<int> res;
    for (int l = 0; l < (int) s.size(); l++) {
        int r = l;
        for (; r < (int) s.size() && isdigit(s[r]); r++) {
            ;;
        }
        if (l != r) {
            res.push_back(stoi(s.substr(l, r - l)));
        }
    }
    return {res[0], res[1]};
}
vector<int> coords;

int idx(int x) {
    return lower_bound(coords.begin(), coords.end(), x) - coords.begin();
}


vector<vector<pair<int, int>>> g;
struct el {
    int time, to, num;
    bool operator< (const el& other) const {
        if (time == other.time) {
            if (to == other.to) {
                return num < other.num;
            }
            return to < other.to;
        }
        return time < other.time;
    }
};
vector<set<el>> ans;


el get_ans(int time, int i) {
    pair<int, int> x = {time, -1};
    if (lower_bound(g[i].begin(), g[i].end(), x) == g[i].end()) {
        return {INF, i, 0};
    }
    auto [timeto, ito] = (*lower_bound(g[i].begin(), g[i].end(), x));
    auto ptr = ans[i].lower_bound({time, -1, -1});
    if (ptr != ans[i].end() && (*ptr).time == timeto) {
        return *ptr;
    }

    el ret = get_ans(timeto + 1, ito);
    ret.time = time;
    ret.num++;
    ans[i].insert(ret);
    return ret;
}

signed main() {
    cin.tie(0);
    ios_base::sync_with_stdio(0);
    vector<string> strings;
    string s;
    while (getline(cin, s)) {
        strings.push_back(s);
    }
    vector<pair<int, int>> pairs;
    for (int i = 0; i < (int) strings.size() - 2; i++) {
        pairs.push_back(parse(strings[i]));
    }
    int last = pairs[0].second;
    coords.push_back(last);
    coords.push_back(0);
    for (int i = 1; i < (int) pairs.size(); i++) {
        coords.push_back(pairs[i].first);
        coords.push_back(pairs[i].second);
    }
    sort(coords.begin(), coords.end());
    coords.resize(unique(coords.begin(), coords.end()) - coords.begin());
    int sz = (int) coords.size();
    g.resize(sz);
    ans.resize(sz);
    for (int i = 1; i < (int) pairs.size(); i++) {
        g[idx(pairs[i].first)].push_back({i, idx(pairs[i].second)});
    }
    int anscout = 2;
    int delta = strings.size() - 2;
    vector<pair<int, int>> kekich(sz);
    for (int i = 0; i < sz; i++) {
        el gt = get_ans(0, i);
        kekich[i] = {gt.to, gt.num};
    }
    vector<bool> was(sz);
    int curr = 0;
    while (curr < last) {
        anscout += delta;
        if (binary_search(coords.begin(), coords.end(), curr)) {
            if (was[idx(curr)]) {
                break;
            } else {
                was[idx(curr)] = true;
            }
            el gt = get_ans(0, idx(curr));
            anscout += gt.num;
            curr = coords[gt.to] + 1;
        } else {
            auto nxt = lower_bound(coords.begin(), coords.end(), curr);
            anscout += (*nxt - (curr + 1)) * (delta + 2);
            curr = *nxt;
        }
        anscout += 2;
    }
    if (curr < last) {
        cout << -1;
    } else {
        cout << anscout;
    }
}

