#include <iostream>

using namespace std;

typedef long long ll;

ll bin_pow(ll a, ll n) {
    if (n == 0) return 1;
    if (n % 2 == 1) return bin_pow(a, n - 1) * a;
    ll b = bin_pow(a, n / 2);
    return b * b;
}

ll gcd(ll a, ll b) {
    while (a && b) {
        if (a > b) a %= b;
        else b %= a;
    }
    return a + b;
}

void solve() {
    string s; cin >> s;
    int kol = 0, ans = 0;
    for (int i = 0; i < s.size(); i++) {
        if (s[i] == '{') kol++;
        if (s[i] == '}') kol--;
        ans = max(ans, kol);
    }
    cout << ans - 1;
}

int main() {
    int t = 1;
    //cin >> t;
    while (t--) solve();
}


// a - 1 b - 2 c - 3