#include <bits/stdc++.h>

#define fastIO cin.tie(nullptr); ios_base::sync_with_stdio(false);
#define rep(i, a, b) for (int i = a; i < b; i++)
#define full(vec) vec.begin(), vec.end()
#define eb emplace_back
#define pb push_back
#define fr first
#define sc second

using namespace std;

typedef int64_t ll;
typedef long double ld;
typedef pair<ll, ll> pll;
typedef pair<ld, ld> pld;

typedef vector <ll> vl;
typedef vector <vector <ll>> vvl;

const ld EPS = 1e-9;
const ll P = 307;
const ld PI = acos(-1);

template<class T>
istream &operator>>(istream &input, vector<T>& v) {
    for (auto &i : v) {
        input >> i;
    }
    return input;
}

template<class T>
ostream &operator<<(ostream &output, vector<T>& v) {
    for (auto &i : v) {
        output << i << ' ';
    }
    return output;
}

mt19937_64 rng(chrono::high_resolution_clock::now().time_since_epoch().count());

void cok(bool t) { cout << (t ? "YES" : "NO") << '\n'; }

#define bits_s(a) bitset<64>(a).to_string()
string bits(ll m) {
    string s = bits_s(m);
    //reverse(full(s));
    return s;
}

const ll N = 2e5 + 10;
const ll MAXN = 1e16;
const ll MOD = 1e9 + 7;

struct pnt{
    int x, y;
};

int mult(pnt i, pnt j) {
    return i.x * j.y - i.y * j.x;
}

pnt mns(pnt i, pnt j) {
    return {i.x - j.x, i.y - j.y};
}

bool cmp(pair <int, int> i, pair <int, int> j) {
    if (i.second != j.second) {
        return i.second < j.second;
    }
    return false;
}

void solve() {
    string s;
    int k;
    cin >> s >> k;
    set <pair <int, int>> ms;
    set <pair <int, int>> ms_rev;
    for (int i = 0; i < s.size(); i++) {
        if (i > k) {
            break;
        }
        ms.insert({s[i] - '0', i});
        ms_rev.insert({i, s[i] - '0'});
    }
    int cur = 0;
    int last = min((int)s.size(), k);
    vector <int> ans;
    map <int, int> mp;
    while (true) {
        if (ms.size() == 0) {
            break;
        }
        auto el = *ms.begin();
        ms.erase(ms.begin());
        ms_rev.erase({el.second, el.first});
        k -= (cur - el.second);
        cur++;
        while (ms.size() > 0 && cur - (*(--ms_rev.end())).first > k) {
            ms.erase({(*(--ms_rev.end())).second, (*(--ms_rev.end())).first});
            ms_rev.erase(--ms_rev.end());
        }
        for (;last < s.size(); last++) {
            if (last - cur <= k) {
                ms.insert({s[last] - '0', last});
                ms_rev.insert({last, s[last] - '0'});
            }
        }
        ans.push_back(el.first);
        mp[el.first]++;
    }
    for (auto el : ans) {
        cout << el;
    }
    for (int i = 0; i < s.size(); i++) {
        if (mp[s[i] - '0'] == 0) {
            cout << s[i];
        }
        else{
            mp[s[i] - '0']--;
        }
    }
    cout << endl;
    return;
}

signed main() {
    fastIO
    auto start_time = chrono::high_resolution_clock::now();
    ll _ = 1;
    //cout.precision(10);
    //cout << fixed;
    cin >> _;
    while (_--) {
        solve();
    }
    auto end_time = chrono::high_resolution_clock::now();
    //cerr << "Execution time: " << chrono::duration_cast<chrono::milliseconds>(end_time - start_time).count() << " ms" << endl;
    return 0;
}
