#include <bits/stdc++.h>

#define fastIO cin.tie(nullptr); ios_base::sync_with_stdio(false);
#define rep(i, a, b) for (int i = a; i < b; i++)
#define full(vec) vec.begin(), vec.end()
#define eb emplace_back
#define pb push_back
#define fr first
#define sc second

using namespace std;

typedef int64_t ll;
typedef long double ld;
typedef pair<ll, ll> pll;
typedef pair<ld, ld> pld;

typedef vector <ll> vl;
typedef vector <vector <ll>> vvl;

const ld EPS = 1e-9;
const ll P = 307;
const ld PI = acos(-1);

template<class T>
istream &operator>>(istream &input, vector<T>& v) {
    for (auto &i : v) {
        input >> i;
    }
    return input;
}

template<class T>
ostream &operator<<(ostream &output, vector<T>& v) {
    for (auto &i : v) {
        output << i << ' ';
    }
    return output;
}

mt19937_64 rng(chrono::high_resolution_clock::now().time_since_epoch().count());

void cok(bool t) { cout << (t ? "YES" : "NO") << '\n'; }

#define bits_s(a) bitset<64>(a).to_string()
string bits(ll m) {
    string s = bits_s(m);
    //reverse(full(s));
    return s;
}

const ll N = 2e5 + 10;
const ll MAXN = 1e16;
const ll MOD = 1e9 + 7;

void solve() {
    int n;
    cin >> n;
    vl vc(n);
    cin >> vc;
    int s, f;
    cin >> s >> f;
    s--; f--;
    bool fl = false;
    if (s > f)
    {
        fl = true;
        s = n - s - 1;
        f = n - f - 1;
        reverse(full(vc));
    }
    int prev = s;
    ll g = abs(vc[s + 1] - vc[s]);
    vector <pair<pll, int>> ans;
    for (int i = s + 1; i <= f; i++)
    {
        ll g2 = g;
        g = __gcd(g, abs(vc[i] - vc[i - 1]));
        if (g == 1)
        {
            if (i - 1 == prev)
            {
                cout << "Impossible";
                return;
            }
            ans.pb({{prev, i - 1}, g2});
            g = abs(vc[i - 1] - vc[i]);
            prev = i - 1;
            i--;
        }
    }
    if (ans.empty() || ans.back().fr.sc != f)
    {
        ans.pb({{prev, f}, g});
    }
    for (auto [pr, t] : ans)
    {
        int ind1 = pr.fr, ind2 = pr.sc;
        if (fl)
        {
            ind1 = n - ind1 - 1;
            ind2 = n - ind2 - 1;
        }
        if (t == 0)
        {
            t = 10;
        }
        cout << "Kaban-" << t << ' ' << ind1 + 1 << ' ' << ind2 + 1 << '\n';
    }
}

signed main() {
    fastIO
    auto start_time = chrono::high_resolution_clock::now();
    ll _ = 1;
    // cin >> _;
    while (_--) {
        solve();
    }
    auto end_time = chrono::high_resolution_clock::now();
    //cerr << "Execution time: " << chrono::duration_cast<chrono::milliseconds>(end_time - start_time).count() << " ms" << endl;
    return 0;
}
