#include <bits/stdc++.h>

#define fastIO cin.tie(nullptr); ios_base::sync_with_stdio(false);
#define rep(i, a, b) for (int i = a; i < b; i++)
#define full(vec) vec.begin(), vec.end()
#define eb emplace_back
#define pb push_back
#define fr first
#define sc second

using namespace std;

typedef int64_t ll;
typedef long double ld;
typedef pair<ll, ll> pll;
typedef pair<ld, ld> pld;

typedef vector <ll> vl;
typedef vector <vector <ll>> vvl;

const ld EPS = 1e-9;
const ll P = 307;
const ld PI = acos(-1);

template<class T>
istream &operator>>(istream &input, vector<T>& v) {
    for (auto &i : v) {
        input >> i;
    }
    return input;
}

template<class T>
ostream &operator<<(ostream &output, vector<T>& v) {
    for (auto &i : v) {
        output << i << ' ';
    }
    return output;
}

mt19937_64 rng(chrono::high_resolution_clock::now().time_since_epoch().count());

void cok(bool t) { cout << (t ? "YES" : "NO") << '\n'; }

#define bits_s(a) bitset<64>(a).to_string()
string bits(ll m) {
    string s = bits_s(m);
    //reverse(full(s));
    return s;
}

const ll N = 2e5 + 10;
const ll MAXN = 1e16;
const ll MOD = 1e9 + 7;

int used[1001];
bool dfs(int v, vector <vector<int>>& vc2, int pr = -1)
{
    bool fl = true;
    used[v] = 1;
    for (auto u: vc2[v])
    {
        if (u == pr) continue;
        if (used[u] == 1) { return false; }
        if (used[u] == 2) continue;
        fl &= dfs(u, vc2, v);
    }
    used[v] = 2;
    return fl;
}

int vc[1001][1001];
void solve() {
    int n;
    cin >> n;
    int cnt = 0;
    vector <vector<int>> vc2(n);
    for (int i = 0; i < n; i++) for (int j = 0; j < n; j++) cin >> vc[i][j];
    for (int i = 0; i < n; i++)
    {
        for (int j = i + 1; j < n; j++)
        {
            bool fl = false;
            for (int k = 0; k < n; k++)
            {
                if (k != i && k != j)
                {
                    fl |= vc[i][j] == vc[i][k] + vc[k][j];
                }
            }
            if (!fl)
            {
                cnt++;
                vc2[i].push_back(j);
                vc2[j].push_back(i);
                // cout << i << " | " << j << endl;
            }
        }
    }
    bool ans = dfs(0, vc2) && cnt == n - 1;
    cout << (ans ? "Yes" : "No");
}

signed main() {
    fastIO
    auto start_time = chrono::high_resolution_clock::now();
    ll _ = 1;
    // cin >> _;
    while (_--) {
        solve();
    }
    auto end_time = chrono::high_resolution_clock::now();
    //cerr << "Execution time: " << chrono::duration_cast<chrono::milliseconds>(end_time - start_time).count() << " ms" << endl;
    return 0;
}
