#include <bits/stdc++.h>
using namespace std;
using ll = long long;

void solve() {
    string s;
    ll k;
    cin >> s >> k;
    ll n = s.size();

    for (ll i = 0; i < n && k > 0; ++i) {
        deque<ll> minQueue;

        for (ll j = i; j < n && j - i <= k; ++j) {
            while (!minQueue.empty() && s[j] < s[minQueue.back()]) {
                minQueue.pop_back();
            }
            minQueue.push_back(j);
        }

        ll pos = minQueue.front();

        if (pos != i) {
            char minDigit = s[pos];
            s.erase(s.begin() + pos);
            s.insert(s.begin() + i, minDigit);

            k -= (pos - i);
        }
    }
    cout << s << '\n';
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t;
    cin >> t;
    while (t--) solve();
    return 0;
}
