#include<iostream>
#include<vector>
using namespace std;


int dfs(int v, int p, int was, vector<vector<long>>& matrix, vector<int>& used) {
	used[v] = 1;
	was++;
	vector<long>& neigh = matrix[v];
	int n = neigh.size();
	for (int i = 0; i < n; ++i) {
		if (neigh[i]) {
			if (!used[i]) {
				return dfs(i, v, was, matrix, used);
			}
			else if (i != p) {
				return -1;
			}
		}
	}
	return was;
}

int main() {
	int n;
	cin >> n;
	vector<vector<long>> matrix;
	vector<vector<long>> matrix2;
	vector<int> used(n);
	bool tree = true;
	int cntM = 0;
	for (int i = 0; i < n; ++i) {
		matrix.push_back(vector<long>());
		matrix2.push_back(vector<long>());
		for (int j = 0; j < n; ++j) {
			long a;
			cin >> a;
			if (!a && i != j) {
				tree = false;
				goto ans;
			}
			matrix[i].push_back(a);
			matrix2[i].push_back(a ? 1 : 0);
		}
	}
	
	for (int i = 0; i < n; ++i) {
		for (int j = i + 1; j < n; ++j) {
			for (int k = j + 1; k < n; ++k) {
				long a = matrix[i][j], b = matrix[j][k], c = matrix[i][k];
				long Max = max(max(a, b), c);
				long Min = min(min(a, b), c);
				long Sr = a + b + c - Max - Min;
				if (Max != Min + Sr) {
					tree = false;
					goto ans;
				}

				if (a == Max) {
					matrix2[i][j] = 0;
					matrix2[j][i] = 0;
				}
				else if (b == Max) {
					matrix2[j][k] = 0;
					matrix2[k][j] = 0;
				}
				else if (c == Max) {
					matrix2[i][k] = 0;
					matrix2[k][i] = 0;
				}
			}
		}
	}

	tree = dfs(0, 0, 0, matrix2, used) == n;

ans:
	if (tree)
		cout << "Yes";
	else
		cout << "No";

	return 0;
}
