#pragma GCC optimize("O3,unroll-loops")
   
#include <iostream>
#include <vector>
#include <algorithm>
 
using namespace std;
  
int main() {
    #define int long long
    ios::sync_with_stdio(false), cin.tie(0), cout.tie(0);
    int n;
    cin >> n;
    vector<vector<int>> matr(n, vector<int> (n));
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            cin >> matr[i][j];
        }
    }
    vector<vector<int>> d = matr;
    for (int k=0; k<n; ++k) {
        for (int i=0; i<n; ++i) {
            for (int j=0; j<n; ++j) {
                d[i][j] = min (d[i][j], d[i][k] + d[k][j]);
                d[j][i] = min (d[j][i], d[j][k] + d[k][i]);
            }
        }
    }
 
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            if (d[i][j] < matr[i][j]) {
                //cout << d[i][j] << " " << matr[i][j] << "\n";
                cout << "No";
                return 0;
            }
        }
    }
     
    cout << "Yes";
}