#include <iostream>
#include <map>
#include <vector>

using namespace std;

int bitmask1, bitmask2;

vector<string> correct_numbers = {
    "1110111", //0
    "0010010", //1
    "1011101", //2
    "1011011", //3
    "0111010", //4
    "1101011", //5
    "1101111", //6
    "1010010", //7
    "1111111", //8
    "1111011" //9

};

int stobits(string s) {
    return stoi(s, nullptr, 2);
}

int break_(int num) {

    if (num < 10) {
        int bl = stobits(correct_numbers[num]) & bitmask2;
        for (int j = 0; j < 10; j++) {
            if (bl == stobits(correct_numbers[j])) {
                if (j == 0) {
                    return -1000;
                }
                return j;
            }
        }
        return -1000;
    }


    int l1 = num / 10;
    int l2 = num % 10;

    //cout << correct_numbers[l1] << ' ' << correct_numbers[l2] << '\n' << "l\n";

    int bl1 = stobits(correct_numbers[l1]) & bitmask1;
    int bl2 = stobits(correct_numbers[l2]) & bitmask2;

    //cout << bl1 << ' ' << bl2 << '\n' << "b\n";


    for (int i = 0 ; i < 10; i++) {
        for (int j = 0; j < 10; j++) {
            if (bl1 == stobits(correct_numbers[i]) && bl2 == stobits(correct_numbers[j])) {

                if (i == 0) {
                    return -1000;
                }

                return i*10 + j;
            }
        }
    }
    return -1000;
}


int main()
{
    string s1, s2;
    cin >> s1 >> s2;


    bitmask1 = stobits(s1);
    bitmask2 = stobits(s2);

    //cout << break_(8);

    vector<int> broken_nums;
    for (int i = 99; i >= 1; i--) {
        broken_nums.push_back(break_(i));
    }


    int last = broken_nums[0];
    int cur_answer = 0;
    int answer = 0;

    for (int i = 1; i < (int)broken_nums.size(); i++) {
        if (broken_nums[i] == last+1) {
            cur_answer++;
        } else {
            answer = max(answer, cur_answer);
            cur_answer = 0;
        }

        last = broken_nums[i];
    }


    cout << answer;


    return 0;
}
