#include <bits/stdc++.h>

using namespace std;

template<class T>
ostream& operator<<(ostream& out, const vector<T>& a) {
  for (auto& i : a) {
    out << i << " ";
  }
  return out;
}

template<class T>
T read() {
  T t;
  cin >> t;
  return t;
}

template<class T>
void operator>>(istream& in, vector<T>& a) {
  for (auto& i : a) {
    in >> i;
  }
}

template<class T>
void operator>>(istream& in, vector<vector<T>>& a) {
  for (auto& i : a) {
    in >> i;
  }
}

#define ll long long
#define ull unsigned ll
#define ld long double
#define all(x) x.begin(), x.end()
#define rall(x) x.rbegin(), x.rend()
#define X first
#define Y second
constexpr ll MOD = 1e9 + 9;


bool foo(int n, vector<vector<ll>> &a) {
  for (int i = 0; i < n; ++i) {
    if (a[i][i] != 0) return false;
    for (int j = i + 1; j < n; ++j) {
      if (a[i][j] != a[j][i]) return false;
    }
  }

  for (int i = 0; i < n; ++i) {
    for (int j = 0; j < n; ++j) {
      for (int k = 0; k < n; ++k) {
        if (a[i][j] > a[i][k] + a[k][j]) {
          return false;
        }
      }
    }
  }

  return true;
}

void solution() {
  int n = read<int>();
  vector<vector<ll>> a(n, vector<ll>(n));
  for (int i = 0; i < n; i++) {
    for (int j = 0; j < n; j++) {
      a[i][j] = read<ll>();
    }
  }

  if (foo(n, a)) {
    cout << "Yes";
  } else {
    cout << "No";
  }
}

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(0);
  cout.tie(0);
  auto ttt = 1;
  while (ttt--) {
    solution();
  }
}
