#include <iostream>

bool check_dist(long long a, long long b, long long c) {
    long long mx = std::max(std::max(a, b), c);
    long long mn = std::min(std::min(a, b), c);
    long long md = a + b + c - mx - mn;
    return mn + md >= mx;
}

bool check_4dist(long long a, long long b, long long c, long long d) {
    return abs(a - b) <= (d + c) && abs(b - c) <= (d + a) && abs(c - d) <= (b + a);
}

int main() {
    std::ios_base::sync_with_stdio(false);
    int n;
    std::cin >> n;
    long long woodeen[n][n];
    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            std::cin >> woodeen[i][j];
        }
    }
    for (int i = 0; i < n; i++) {
        for (int j = i + 1; j < n; j++) {
            for (int k = j + 1; k < n; k++) {
                if (n > 3) {
                    for (int h = k + 1; h < n; h++) {
                        if (!check_4dist(woodeen[i][j], woodeen[i][k], woodeen[j][k], woodeen[j][h])) {
                            std::cout << "No" << std::endl;
                            return 0;
                        }
                    }
                } else {
                    if (!check_dist(woodeen[i][j], woodeen[i][k], woodeen[j][k])) {
                            std::cout << "No" << std::endl;
                            return 0;
                        }
                }
            }   
        }
    }
    std::cout << "Yes" << std::endl;
    return 0;
}