#include "bits/stdc++.h"
using namespace std;

#define int long long

const int M = 998244353;

int bp(int n, int m) {
    if (m == 0) {
        return 1;
    }
    int res = bp(n, m / 2);
    res = (res * res) % M;
    if (m % 2) {
        res = (res * n) % M;
    }
    return res;
}

int inv(int n) {
    return bp(n, M - 2);
}

const int N = 1e5 + 10;

int fact[N];
int ifact[N];

int C(int n, int k) {
    if (k == 0) {
        return 1;
    }
    return (fact[n] * ((ifact[k] * ifact[n - k]) % M)) % M;
}

int distr(int n, int k) {
    if (k < 1) {
        return 0;
    }
    if (n < 0) {
        return 0;
    }
    if (n == 0) {
        return 1;
    }
    return C(n + k - 1, k - 1);
}

void solve() {
    vector<int> a(3);
    for (int i = 0; i < 3; ++i) {
        cin >> a[i];
    }
    sort(a.begin(), a.end());
    if (a[2] > a[0] + a[1] + 1) {
        cout << 0 << "\n";
        return;
    }
    fact[0] = 1;
    for (int i = 1; i < N; ++i) {
        fact[i] = (fact[i - 1] * i) % M;
    }
    ifact[N - 1] = inv(fact[N - 1]);
    for (int i = N - 2; i >= 0; --i) {
        ifact[i] = (ifact[i + 1] * (i + 1)) % M;
    }
    int r = a[2];
    int g = a[1];
    int b = a[0];
    int ans = 0, add, free;
    for (int i = 0; i <= b + 1; ++i) {
        free = g + r - i;
        if (free < 0 || (free % 2 != 0)) {
            continue;
        }
        free /= 2;
        int tr = r - free;
        int tg = g - free;
        if (tr < 0 || tg < 0) {
            continue;
        }
        if (tr + tg != i) {
            continue;
        }
        // 0...0
        if (b - 1 >= i && free >= b - 1 - i) {
            add = 1ll;
            add = (add * C(b - 1, i)) % M;
            add = (add * C(i, tr)) % M;

            add = (add * bp(2, b - 1 - i)) % M;
            free -= b - 1 - i;
            ans = (ans + ((add * distr(free, b - 1)) % M)) % M;
            ans = (ans + ((add * 4ll * distr(free - 1, b)) % M)) % M;
            ans = (ans + ((add * 4ll * distr(free - 2, b + 1)) % M)) % M;
        }
        // 1...0 0...1
        if (i >= 1 && b - 1 >= (i - 1) && free >= b - 1 - (i - 1)) {
            add = 2ll;
            add = (add * C(b - 1, i - 1)) % M;
            add = (add * C(i, tr)) % M;

            add = (add * bp(2, b - 1 - (i - 1))) % M;
            free -= b - 1 - (i - 1);
            ans = (ans + ((add * distr(free, b)) % M)) % M;
            ans = (ans + ((add * 2ll * distr(free - 1, b + 1)) % M)) % M;
        }
        // 1...1
        if (i >= 2 && b - 1 >= (i - 2) && free >= b - 1 - (i - 2)) {
            add = 1ll;
            add = (add * C(b - 1, i - 2)) % M;
            add = (add * C(i, tr)) % M;

            add = (add * bp(2, b - 1 - (i - 2))) % M;
            free -= b - 1 - (i - 2);
            ans = (ans + ((add * distr(free, b + 1)) % M)) % M;
        }
    }
    cout << ans << "\n";
}


signed main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    int t = 1;
    // cin >> t;
    while (t--) solve();
}