#include <iostream>
#include <algorithm>
#include <vector>
#include <numeric>

#define ll long long
#define pb push_back
#define pp pop_back
#define mp make_pair

using namespace std;

const int MAXN = 2E5 + 11;
int n, a[MAXN];
int S, F;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(NULL);

    cin >> n;
    for(int i = 0; i < n; ++i) {
        cin >> a[i + 1];
    }
    cin >> S >> F;
    bool swaped = false;
    if(S > F){
        swap(S, F);
        swaped = true;
    }
    int initS = S, initF = F;

    vector<pair<int, pair<int, int> > > ar;
    for(int i = 1; i <= n; ++i) {
        if(ar.empty() || ar[ar.size() - 1].first != a[i]) {
            ar.pb(mp(a[i], mp(i, i)));
        } else {
            ar[ar.size() - 1].second.second = i;
        }

        if(i == S) {
            S = ar.size() - 1;
        }
        if(i == F) {
            F = ar.size() - 1;
        }
    }

    if(S == F) {
        cout << "Kaban-" << ar[S].first << " " << initS << " " << initF;
        return 0;
    }

    // std::cout << S << " " << F << "\n";

    vector<pair<int, pair<int, int> > > ans;
    int l = S;
    int curgcd = 0;
    while(l < F) {
        int r = l + 1;
        while(r <= F) {
            int curL = ar[r].second.first;
            int curR = ar[r].second.second;
            int curN = ar[r].first;

            int nwgcd = gcd(curgcd, abs(curN - ar[l].first));
            // cout << l << " " << r << " " << nwgcd << "\n";
            if(nwgcd == 1)
                break;

            curgcd = nwgcd;
            ++r;
        }

        if(l + 1 == r) {
            break;
        }
        // cout << l << " " << r << "\n";

        if(l == S)
            ans.pb(mp(curgcd, mp(ar[l].second.first, ar[r - 1].second.second)));
        else
            ans.pb(mp(curgcd, mp(ar[l].second.second, ar[r - 1].second.second)));

        l = r - 1;
        curgcd = 0;
    }



    if(l < F) {
        cout << "impossible";
    } else {
        // for(auto to: ar) {
        //     cout << to.first << " ";
        // }
        // cout << "\n";

        if(!swaped)
            for(auto to: ans) {
                cout << "Kaban-" << to.first << " " << max(initS, to.second.first) << " " << min(initF, to.second.second) << "\n";
            }
        else {
            reverse(ans.begin(), ans.end());
            for(auto to: ans) {
                cout << "Kaban-" << to.first  << " " << min(initF, to.second.second)  << " " << max(initS, to.second.first)<< "\n";
            }
        }
    }

    return 0;
}
