#include <iostream>
#include <map>
#include <vector>
#define ll long long

using namespace std;

constexpr ll MOD = 998'244'353;

void solve() {
  ll n, m;
  cin >> n >> m;
  static std::map<char, int> mm{
      {'R', 0},
      {'A', 1},
      {'C', 2},
      {'I', 3},
  };
  for (int i = 0; i < n; i++) {
    int am[4]{0, 0, 0, 0};
    for (int j = 0; j < m; j++) {
      char c;
      cin >> c;
      if (c != '-') {
        am[mm[c]]++;
      }
    }
    if (am[1] != 1) {
      cout << "No" << endl;
      return;
    }
  }
  cout << "Yes" << endl;
}

int main() {
  ll t = 1;
  while (t--) {
    solve();
  }
}

/*
6 1 3
1 5 8
5 3 2
6 5 9
2 1 4
2 4 6
1 2
12 3
15 6
4 3
10 2
*/