#include <ctime>
#include <iostream>
#include <random>
#include <vector>
#define ll long long

using namespace std;

constexpr ll MOD = 998'244'353;

std::mt19937_64 rnd(time(0));
constexpr ll N = 200005;

ll fact[N], infact[N];

ll binpow(ll h, ll r) {
  ll l = 1;
  while (r) {
    if (r & 1) {
      l = l * h % MOD;
    }
    h = h * h % MOD;
    r /= 2;
  }
  return l;
}

ll C(ll n, ll k) { return fact[n] * infact[k] % MOD * infact[n - k] % MOD; }

// ll dd[105][105][105][3];

// ll rec(ll a, ll b, ll c, int lst = -1, string s = "") {
//   if (a == 0 && b == 0 && c == 0) {
//     for (int i = 0; i < s.size(); i++) {
//       if (s[i] == 'c' && i % 2 != 1) {
//         return 1;
//       }
//     }
//     cout << s << endl;
//     return 1;
//   }
//   // if (lst != -1 && dd[a][b][c][lst] != -1) {
//   //   return dd[a][b][c][lst];
//   // }

//   ll ans = 0;
//   if (lst != 0 && a > 0) {
//     ans = (ans + rec(a - 1, b, c, 0, s + 'a')) % MOD;
//   }
//   if (lst != 1 && b > 0) {
//     ans = (ans + rec(a, b - 1, c, 1, s + 'b')) % MOD;
//   }
//   if (lst != 2 && c > 0) {
//     ans = (ans + rec(a, b, c - 1, 2, s + 'c')) % MOD;
//   }
//   if (lst != -1) {
//     dd[a][b][c][lst] = ans;
//   }
//   return ans;
// }

ll KK(ll c, ll o) {
  if (c < 1) {
    return 0;
  }
  return C(c + o - 1, c - 1);
}

ll get_ans(ll n, ll k, bool f) {
  if (n == 1) {
    // cerr << n << " " << k << " " << f << " " << 0 << endl;
    return 0;
  }
  if (f == true) {
    if (k < 1) {
      // cerr << n << " " << k << " " << f << " " << 1e18 << endl;
      return 1e18;
    }
    ll left = get_ans(n / 2, k, true);
    ll right = get_ans((n + 1) / 2, k - 1, false);
    // cerr << n << " " << k << " " << f << " : " << left <<" " << right << " " << 1 + max(left, right) << endl;
    return 1 + max(left, right);
  } else {
    ll left = get_ans(n / 2, k, true);
    ll right = get_ans((n + 1) / 2, k, false);
    // cerr << n << " " << k << " " << f << " " << 1 + max(left, right) << endl;
    return 1 + max(left, right);
  }
}

void solve() {
  ll n, k;
  cin >> n >> k;
  cout << get_ans(n, k, true) << endl;
}

int main() {
  ios_base::sync_with_stdio(0);
  cin.tie(0);
  ll t = 1;
  cin >> t;
  while (t--) {
    solve();
  }
}

/*
 */