import re
from bisect import bisect_left

def solve(n: int, k: int, x: list[int], y: list[int]):
    z = {}
    for j in range(k - 1, -1, -1):
        if y[j] in z:
            z[x[j]] = (z[y[j]][0], z[y[j]][1] + 1)
        else:
            z[x[j]] = (y[j], 1)
    xs = sorted((x[j], j + 1) for j in range(k))
    i = 0
    res = 2
    for _ in range(k + 2):
        xii = bisect_left(xs, (i, -1))
        if xii == len(xs):
            res += (n - i) * (k + 3)
            return res
        xi = xs[xii]
        yi = z[xi[0]]
        res += (xi[0] - i) * (k + 3)
        res += yi[1] + k + 3
        i = yi[0] + 1
        if i >= n:
            return res
    return -1


RG = re.compile(r"if \(i == ([\d]+)\) i = ([\d]+);")

n = int(re.match(r"for \(int i = 0; i < ([\d]+); i\+\+\) {", input()).groups()[0])
k = 0
x, y = [], []
while True:
    m = re.search(RG, input())
    if not m:
        break
    k += 1
    xi, yi = m.groups()
    x.append(int(xi))
    y.append(int(yi))
input()

print(solve(n, k, x, y))
