#include <set>
#include <iostream>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>



using namespace std;
using namespace __gnu_pbds;
using sset = tree<int, null_type, std::less<>, rb_tree_tag, tree_order_statistics_node_update>;




void solve(){
    string s;
    long long k;
    cin >> s >> k;
    vector<set<int>> dgt(10, set<int>());
    for (int i = 0; i < s.length(); i++) {
        dgt[s[i] - '0'].insert(i);
    }
    vector<bool> mvd(s.length());
    string res = "";
    sset moved;
    int i = 0;
    while (i < s.length()) {
        // cout << "LOG i = " << i << '\n';
        if (mvd[i]) {
            i++;
            continue;
        }
        int curr_d = s[i] - '0';
        bool again = false;
        for (int d = 0; d < curr_d; d++) {
            if (!dgt[d].empty()) {
                int first_oc = *dgt[d].begin();
                auto moved_between = moved.order_of_key(first_oc) - moved.order_of_key(i);
                int dist = first_oc - i - moved_between;
                if (dist <= k) {
                    // cout << "LOG dist: " << dist << " k: " << k << '\n';
                    k -= dist;
                    dgt[d].erase(first_oc);
                    // cout << "LOG moved " << d << '\n';
                    moved.insert(first_oc);
                    res += to_string(d);
                    again = true;
                    mvd[first_oc] = true;
                    break;
                }
            }
        }
        if (!again) {
            res += to_string(curr_d);
            dgt[curr_d].erase(i);
            i++;
        }
    }
    cout << res << '\n';
}


int32_t main()
{
    std::ios::sync_with_stdio(false);
    std::cin.tie(nullptr);
    std::cout.tie(nullptr);
    int tt = 1;
    std::cin >> tt;
    while (tt--)
    {
        solve();
    }
}


