#include <bits/stdc++.h>
using namespace std;

template<typename T>
ostream& operator<<(ostream &os, const vector<T> &vec)
{
   for(size_t i = 0; i < vec.size(); i++)
       os << vec[i] << ((i != vec.size() -1) ? " " : "" );
   return os;
}

template<typename T>
istream& operator>>(istream &is, vector<T> &vec)
{
    for (T &it : vec)
        is >> it;
    return is;
}

typedef long long ll;
typedef long double ld;
#define endl "\n"
#define f first
#define s second
const int inf = 1e9 + 1000;
const ll mod = 4398046511104; // 2^42
const ld eps = 1e-9;
const int w = 2147483647;

void solve(){
    int n;
    cin >> n;
    vector<pair<ll, ll>> p(n);
    for (int i = 0; i < n; i++)
        cin >> p[i].first >> p[i].second;

    ll mx = 0;

    for (int i = 0; i < n; i++)
        mx = max(abs(p[i].second), mx);

    ll mx1 = 0;
    for (int i = 0; i < n; i++){
        for (int j = i + 1; j < n; j++)
            if (p[i].second == 0 && p[j].second == 0)
                mx1 = max(mx1, abs(p[i].first - p[j].first));
    }

    ld ans = ld(mx1 * mx) / ld(2.0);
    cout << ans << "\n";

}

signed main()
{
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    #ifndef LOCAL
    // freopen("INPUT.TXT", "r", stdin);
    // freopen("OUTPUT.TXT", "w", stdout);
    // #else
    // freopen("mincut.in", "r", stdin);
    // freopen("mincut.out", "w", stdout);
    #endif

    int t = 1;
    // cin >> t;
    while(t--)
        solve();

    return 0;
}