import math


def vector(point12, point22):
    return math.sqrt((point12[0] - point22[0]) ** 2 + (point12[1] - point22[1]) ** 2)


n = int(input())
if n in (0, 1, 2):
    print(0)
    exit()
points = []
for _ in range(n):
    x, y = map(int, input().split())
    points.append((x, y))

max_s = 0

for i in range(n):
    for j in range(i + 1, n):
        for k in range(j + 1, n):
            point1 = points[i]
            point2 = points[j]
            point3 = points[k]
            s1 = vector(point1, point2)
            s2 = vector(point1, point3)
            s3 = vector(point2, point3)

            if s1 + s2 <= s3 or s1 + s3 <= s2 or s2 + s3 <= s1:
                continue

            if point1[1] == point2[1] == 0:
                s = abs(s1 * point3[1] * 0.5)
                if max_s < s:
                    max_s = s
            if point2[1] == point3[1] == 0:
                s = abs(s3 * point1[1] * 0.5)
                if max_s < s:
                    max_s = s
            if point1[1] == point3[1] == 0:
                s = s2 * point2[1] * 0.5
                if max_s < s:
                    max_s = s
print(max_s)
