#include <bits/stdc++.h>
using namespace std;
 
template<typename T>
ostream& operator<<(ostream &os, const vector<T> &vec)
{
   for(size_t i = 0; i < vec.size(); i++)
      os << vec[i] << " \n"[i + 1 == vec.size()];
   return os;
}
 
template<typename T>
istream& operator>>(istream &is, vector<T> &vec)
{
    for (T &it : vec)
        is >> it;
    return is;
}
 
typedef long long ll;
typedef unsigned long long ull;

typedef long double ld;
// #define endl "\n"
#define f first
#define s second
// #define int long long

const int INF = 1999999000;
const int inf = 1e9;
const ll mod = 1 << 16;
const ll mod2 = 1 << 30;
 
const int M = 50000;
const int N = 21;
const ld eps = 1e-9;
const int w = 2147483647;

void solve(int num = -1)
{
   int n; cin >> n;
   cout << setprecision(10) << fixed;
   vector<pair<ld, ld>> a;
   pair<ld, ld> left = {10000, 0}, right = {-10000, 0};

   for(int i = 0; i < n; i++)
   {
      int c, d; cin >> c >> d;
      if (d == 0)
      {
         if (c < left.f)
            left.f = c;
         else if (c > right.f)
            right.f = c; 
      }
      else
         a.push_back(make_pair(c, d));
   }

   if (a.size() == 0 || (left.f == 10000 || right.f == -10000))
   {
      cout << 0 << endl;
      return;
   }


   ld max_S = -100;
   ld aa = sqrt((left.f - right.f)*(left.f - right.f) + (left.s - right.s)*(left.s - right.s));
   for(int i = 0; i < a.size(); i++)
   {
      ld bb = sqrt((left.f - a[i].f)*(left.f - a[i].f) + (left.s - a[i].s)*(left.s - a[i].s)),
         cc = sqrt((right.f - a[i].f)*(right.f - a[i].f) + (right.s - a[i].s)*(right.s - a[i].s));

      ld p = (aa + bb + cc)/2;
      max_S = max(max_S, sqrt(p*(p-aa)*(p-bb)*(p-cc)));
   }

   if (max_S == -100)
      cout << 0 << endl;
   else
      cout << max_S << endl;

}


signed main()
{
   ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
 
   #ifndef LOCAL
   // freopen("INPUT.TXT", "r", stdin);
   // freopen("OUTPUT.TXT", "w", s tdout);
   // #else
   // freopen("mincut.in", "r", stdin);
   // freopen("mincut.out", "w", stdout);
   #endif

   
   int t = 1;
   //cin >> t;
   // cout << t << endl;
   while(t--)
   {
        solve();
   }
   return 0;
}