#include <bits/stdc++.h>
using namespace std;

#define pb push_back
#define int long long
#define ll long long 
#define f(i, n) for (int i = 0; i < (int)(n); ++i)
#define F(i, a, b) for (int i = (int)(a); i <= (int)(b); ++i)
#define all(x) (x).begin(), (x).end()
#define vi vector<int>
#define vvi vector<vector<int>>
#define vii vector<pair<int, int>> 

const int INF = 1e9;
const int SZ = 3e5 + 5;
const int mod = 1e9 + 7;
const double eps = 1e-10;
const double long PI = acos(-1);

int n;
const int maxN = 1e3 + 5;
int dis[maxN][maxN];

vi rast;
vi tin, tout;
int timer;
int root = 0;
const int l = 15;
vvi up;
void dfs1(vector<vector<pair<int,int>>>& g, int v, int p = root) {
    // cout << "now in " << v << endl;
    tin[v] = ++timer;
    up[v][0] = p;
    // cout << "!" << endl;
    for (int i = 1; i <= l; i++) {
        // cout << "try up[" << up[v][i - 1] << "]" << endl;
        up[v][i] = up[up[v][i - 1]][i - 1];
    }
    for (auto [to, w] : g[v]) {
        if (to == p) continue;
        rast[to] = rast[v] + w;
        dfs1(g, to, v);
    }
    tout[v] = ++timer;
}

bool upper(int a, int b) {
    if (a == 0 || b == 0 ) return true;
    return tin[a] <= tin[b] && tout[a] >= tout[b];
}

int lca(int a, int b){
    if (upper(a,b)) return a;
    if (upper(b, a)) return b;
    for (int i = l; i>= 0; --i) {
        if (!upper(up[a][i], b)) 
            a = up[a][i];
    }
    return up[a][0];
}

int get(int a, int b) {
    int p = lca(a, b);
    // cout << "lca " << a << " " << b << " = " << p << endl;
    return rast[a] + rast[b] - 2 * rast[p];
}

vi djks(int V, vector<pair<pair<int,int>, int>>& g) {
    vi d(n + 1, INT_MAX), p(n + 1);
    vi u(n + 1, 0);
    d[V] = 0;
    for (int i = 1; i <= n; i++) {
        int v = -1;
        for (int j = 1; j <= n; j++) {
            if (!u[j] && (v == -1 || d[j] < d[v]))
                v = j;
        }
        if (v == -1 || d[v] == INT_MAX) break;
        u[v] = true;
        if (v != V)
            g.push_back({{v, p[v]}, d[v]});
        // cout << "add " << v << " to graph" << endl;

        for (int to = 1; to <= n; to++) {
            if (dis[v][to] < d[to]) {
                d[to] = dis[v][to];
                p[to] = v;
            }
        }
    }
    return d;
}

void solve(){
    cin >> n;
    int si = 0, sj = 0;
    for (int i = 1; i <= n; i++) {
        for (int j = 1; j <= n; j++) {
            cin >> dis[i][j];        
            if (dis[i][j] > dis[si][sj]) 
                si = i, sj = j;
        }
    }
    vector<pair<pair<int,int>, int>> g = vector<pair<pair<int,int>, int>>();
    // cout << "start from " << si << endl;
    vi dist = djks(si, g);
    root = si;
    // for (auto x : dist) cout << x << " ";
    // return;
    vector<vector<pair<int,int>>> g1;
    g1.resize(n + 1, vector<pair<int, int>>());
    up.resize(n + 5, vector<int>(l + 2, root));
    tin.resize(n + 1);
    tout.resize(n + 1);
    rast.resize(n + 1);
    for (auto x : g) {
        int a = x.first.first;
        int b = x.first.second;
        int w = x.second;
        g1[a].pb({b, w});
        g1[b].pb({a, w});
        // cout << "add " << a << " " << b << endl;
    }

    dfs1(g1, si);
    for (int i = 1; i <= n; i++) {
        for (int j = 1; j <= n; j++) {
            int di = get(i, j);
            // cout << "i, j = " << i << ", " << j << ", di = " << di << endl;
            if (di != dis[i][j]) {
                cout << "No"; return;
            }
        }
    }
    cout << "Yes"; return;
}
signed main()
{
    #ifdef LOCAL
    freopen("input.txt", "r", stdin);
//    freopen("output.txt", "w", stdout);
    #endif
    // ios_base::sync_with_stdio(0);
    // cin.tie(0);
    // cout.tie(0);

    int T = 1;
    // cout << fixed;
    // cout.precision(7);
    // cin >> T;
    while (T--){
        solve();
        cout << '\n';
    }
}