﻿#include <iostream>
#include <string>
#include <deque>

using namespace std;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t;
    cin >> t;

    while (t--) {
        string s;
        long long k;
        cin >> s >> k;

        int n = s.length();
        deque<int> d;

        for (int i = 0; i < n; ++i) {
            if (!d.empty() && d.front() < i - k) {
                d.pop_front();
            }

            while (!d.empty() && s[d.back()] > s[i]) {
                d.pop_back();
            }

            d.push_back(i);

            if (d.front() == i) {
                int min_index = d.front();
                if (min_index != i) {
                    int moves_needed = min_index - i;

                    for (int j = min_index; j > i; --j) {
                        swap(s[j], s[j - 1]);
                    }
                    k -= moves_needed;
                }
            }

            if (k <= 0) break;
        }

        cout << s << "\n";
    }

    return 0;
}
