#include <iostream>
#include <vector>
#include <algorithm>
#include <iomanip>

#define ll long long
#define ld long double

using namespace std;

struct kaban{
    ll num, s, f;
};

ll gcd(ll a, ll b) {
    if (b == 0)
		return a;
	else
		return gcd(b, a % b);
}


int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    ll n;
    cin >> n;
    vector <ll> a(n);
    for (ll i = 0; i < n; i++)
        cin >> a[i];
    ll s, f;
    cin >> s >> f, s--, f--;
    vector <kaban> ans;

    ll ind = s, dir = 1;
    if (s > f)
        dir = -1;
    while (ind != f) {
        ll next_ind = ind + dir;
        bool eq = false;
        ll g = abs(a[ind] - a[next_ind]);
        if (g == 1) {
            cout << "Impossible";
            return 0;
        }
        if (g == 0) {
            eq = true;
        }
        
        ll prev_g = g;
        while (g != 1 && next_ind != f) {
            prev_g = g;
            ll curr_ind = next_ind;
            next_ind += dir;
            ll diff = abs(a[next_ind] - a[curr_ind]);
            if (eq) {
                if (diff > 0) {
                    g = abs(a[next_ind] - a[curr_ind]);
                    eq = false;
                }
            } else {
                if (diff > 0) {
                    g = gcd(g, abs(a[next_ind] - a[curr_ind]));
                }
            }
        }

        if (g != 1) {
            if (g == 0)
                g = 239;
            ans.push_back(kaban{g, ind + 1, next_ind + 1});
            next_ind += dir;
        } else {
            ans.push_back(kaban{prev_g, ind + 1, next_ind - dir + 1});
        }

        ind = next_ind - dir;
    }

    for (auto el : ans) {
        cout << "Kaban-" << el.num << " " << el.s << " " << el.f << '\n';
    }

    return 0;
}
