def counter(str):
    if str == '{}':
        return 0

    content = str[1:-1].strip()

    if not content:
        return 0

    lvl = 0
    elem = []
    current_elem = []

    for char in content:
        if char == '{':
            lvl += 1
            current_elem.append(char)
        elif char == '}':
            current_elem.append(char)
            lvl -= 1
            if lvl == 0:
                elem.append(''.join(current_elem))
                current_elem = []
        elif char == ',' and lvl == 0:
            continue
        else:
            current_elem.append(char)

    children = [counter(i) for i in elem]

    return max(children) + 1


str = input()
answer = counter(str)
print(answer)
