#include <bits/stdc++.h>
using namespace std;
#define int long long

int n;

void dfs(int v, int len, vector <vector <int>>& gr, vector <int>& ans, vector <bool>& used) {
    ans[v] = len;
    used[v] = true;
    for (int u = 0; u < n; ++u) {
        int d = gr[v][u];
        if (d != -1 && !used[u]) {
            dfs(u, len + d, gr, ans, used);
        }
    }
}

bool chek(int v, int u, int l, vector <vector <int>>& truelen, vector <vector<int>>& ans) {
    if (ans[v][u] != -1) {
        return ans[v][u] == l;
    }
    vector <bool> used(n, false);
    used[v] = true;
    vector <int> nw(n, -1);
    nw[v] = 0;
    dfs(u, l, ans, nw, used);
    for (int i = 0; i < n; ++i) {
        if (nw[i] != -1) {
            if (nw[i] != truelen[v][i]) {
                return false;
            }
        }
    }
    return true;
}

void merge(set <pair<int, pair<int, int>>>& a, set<pair <int, pair<int, int>>>& b) {
    for (auto i : b) {
        a.insert(i);
    }
}
int32_t main() {
#ifdef LOCAL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
    cin >> n;
    vector <vector <int>> trueLen(n, vector <int>(n, 0));
    vector < set <pair<int, pair<int, int>>>> sorted(n);
    set < pair<int, pair<int, int>>> nw;
    vector <vector <int>> ans(n, vector <int>(n, -1));
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            int a;
            cin >> a;
            if (i != j) {
                trueLen[i][j] = a;
                sorted[i].insert({ trueLen[i][j], {j, i} });
            }
        }
    }
    nw = sorted[0];
    set <int> con;
    con.insert(0);
    while (nw.size() != 0) {
        int len, v, u;
        len = nw.begin()->first;
        v = nw.begin()->second.first;
        u = nw.begin()->second.second;
        nw.erase(nw.begin());
        if (con.find(v) == con.end()) {
            if (chek(v, u, len, trueLen, ans)) {
                ans[v][u] = len;
                ans[u][v] = len;
                merge(nw, sorted[v]);
                sorted[v].clear();
                con.insert(v);
            } else {
                cout << "NO";
                return 0;
            }
        }
    }
    cout << "YES";
    return 0;
}
