#include <bits/stdc++.h>

#define pb push_back
#define ll long long
#define ull unsigned ll
#define int ll
#define ld long double
#define F first
#define S second
#ifndef OlegSanders
#define cerr if (false) cerr
#endif

using namespace std;

int INF = 1e9+7;

struct Digit {
    vector<int> data;

    Digit() {
        data.resize(8);
    }

    Digit(string s) {
        for (auto to:s) {
            data.pb(to - '0');
        }
    }

    Digit(int a) {
        data = {1, 1, 1, 1, 1, 1, 1, 1};
        switch (a) {
            case 0:
                data[3] = 0;
                break;
            case 1:
                data[0] = 0;
                data[1] = 0;
                data[3] = 0;
                data[4] = 0;
                data[6] = 0;
                break;
            case 2:
                data[1] = 0;
                data[5] = 0;
                break;
            case 3:
                data[1] = 0;
                data[4] = 0;
                break;
            case 4:
                data[0] = 0;
                data[4] = 0;
                data[6] = 0;
                break;
            case 5:
                data[2] = 0;
                data[4] = 0;
                break;
            case 6:
                data[2] = 0;
                break;
            case 7:
                data[1] = 0;
                data[3] = 0;
                data[4] = 0;
                data[6] = 0;
                break;
            case 8:
                break;
            case 9:
                data[4] = 0;
                break;
        }
    }

    bool operator==(Digit a){
        return this->data == a.data;
    }


    static int to_int(Digit a) {
        for (int i = 0; i < 10; i++) {
            Digit t{i};
            if (a == t) {
                return i;
            }
        }
    }
};

Digit operator&(Digit a, Digit b) {
    Digit c;
    for (int i = 0; i < 8; i++) {
        c.data[i] = a.data[i] & b.data[i];
    }
    return c;
}

pair<Digit, Digit> get_pair(int k) {
    if (k < 10) {
        return {Digit(), Digit(k)};
    }
    return {Digit(k / 10), Digit(k % 10)};
}

int gen_int_from_pair(pair<Digit, Digit> a) {
    int ans = 0;
    for (int i = 0; i < 8; i++) {
        ans *= 2;
        ans += a.first.data[i];
        ans *= 2;
        ans += a.second.data[i];
    }
    return ans;
}

int32_t main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
#ifdef OlegSanders
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif
//    for (int i = 0; i < 10; i++) {
//        cout << i << ' ' << Digit::to_int(Digit(i)) << endl;
//    }

    int n;
    cin >> n;
    vector<int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
    }
    int x, y;
    cin >> x >> y;
    x--;
    y--;

    bool swaped = false;
    if (x > y) {
        swap(x, y);
        swaped = true;
    }
    vector<pair<string, pair<int, int>>> ans;
    bool imp = false;
    int d = 0;
    int prev = x;
    for (int i = x + 1; i <= y; i++) {
        if (abs(a[i] - a[i - 1]) == 1) {
            imp = true;
            break;
        }
        int d1 = __gcd(d, abs(a[i] - a[i - 1]));

        if (d1 == 1) {
            string taxi = "Kaban-" + to_string(d);
            ans.push_back({taxi, {prev, i - 1}});
            prev = i - 1;
            d = abs(a[i] - a[i - 1]);
        } else {
            d = d1;
        }
    }

    if (imp) {
        cout << "Impossible";
        return 0;
    }

    int step = (d == 0 ? 99999999: d);
    string taxi = "Kaban-" + to_string(step);
    ans.push_back({taxi, {prev, y}});

    if (swaped) {
        reverse(ans.begin(), ans.end());
        for (auto &p : ans) {
            swap(p.second.first, p.second.second);
        }
    }

    for (auto p:ans) {
        cout << p.first << " ";
        cout << p.second.first + 1 << " " << p.second.second + 1 << endl;
    }
}
