#include <bits/stdc++.h>

#define pb push_back
#define ll long long
#define ull unsigned ll
#define int ll
#define ld long double
#define F first
#define S second
#ifndef OlegSanders
#define cerr if (false) cerr
#endif

using namespace std;

int INF = 1e9+7;

vector<pair<int, int>> g[10000];

pair<int, int> minmax_pair(int x, int y) {
    if (x > y) {
        return {y, x};
    }
    return {x, y};
}

int32_t main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
#ifdef OlegSanders
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif

    int n;
    cin >> n;
    vector<vector<int>> a(n, vector<int>(n));
    for (int i = 0; i < n; i++) {
        for (int j = 0; j <  n; j++) {
            cin >> a[i][j];
        }
    }

    if (n < 3) {
        cout << "YES";
        return 0;
    }

    set<pair<pair<int, int>, int>> edges;
    for (int i = 0; i < n; i++) {
        vector<pair<int, int>> b;
        for (int j = 0; j < n; j++) {
            b.pb({a[i][j], j});
        }
        sort(b.begin(), b.end());
        int v = b[1].S;
        int u = b[2].S;
        edges.insert({minmax_pair(i, v), a[i][v]});
        if (a[i][v]) {
            if (a[v][u] == a[i][u] + a[i][v]) {
                edges.insert({minmax_pair(i, u), a[i][u]});
            }
        } else {
            edges.insert({minmax_pair(u, v), a[v][u]});
        }
    }

    for (auto to:edges) {
//        cout << to.first.first << ' ' << to.first.second << ' ' << to.second << endl;
        g[to.first.first].pb({to.first.second, to.second});
        g[to.first.second].pb({to.first.first, to.second});
    }

    for (int i = 0; i < n; i++) {
        vector<int> d(n, INF);
        d[i] = 0;
        set<pair<int, int>> q;
        q.insert({0, i});
        while(!q.empty()) {
            int v = q.begin()->second;
            q.erase(q.begin());
            for (auto to : g[v]) {
                if (d[to.first] > d[v] + to.second) {
                    q.erase({d[to.first], to.first});
                    d[to.first] = d[v] + to.second;
                    q.insert({d[to.first], to.first});
                }
            }
        }
        bool flag = true;
        for (int j = 0; j < n; j++) {
            flag &= (a[i][j] == d[j]);
        }
        if (!flag) {
            cout << "No";
            return 0;
        }
    }

    if (edges.size() == n - 1) {
        cout << "Yes";
    } else {
        cout << "No";
    }
}


