
#include <iostream>
#include <fstream>
#include <utility>
#include <vector>
#include <set>
#include <bitset>
#include <cctype>
#include <cmath>
#include <climits>
#include <algorithm>
#include <sstream>
#include <unordered_map>
#include <map>
#include <queue>
#include <unordered_set>
#include <thread>

//#include <ext/pb_ds/assoc_container.hpp>
//#include <ext/pb_ds/tree_policy.hpp>

//using namespace __gnu_pbds;
using namespace std;

//typedef tree<int, null_type, less<>, rb_tree_tag, tree_order_statistics_node_update> ordered_set;


#define fori(n)for (int i = 0; i < (n); ++i)
#define fo(n)for (int i = 0; i < n; i++)
#define fori1(n)for (long long i = 1; i < n+1; i++)
#define revi1(n)for (int i = n; i >=0; i--)
#define forj(n)for (long long j = 0; j < (n); j++)
#define rep(i, n)for (long long i = 0; i < (n); i++)
#define repj(i, j, n)for (long long i = j; i < (n); i++)
#define forj1(n)for (long long j = 1; j < n+1; j++)
#define revj1(n)for (long long j = n; j >=0; j--)
#define revi(n)for (int i = n-1; i >= 0; i--)
#define ll long long
#define ull unsigned long long
#define MAXN (2147483647)
#define MINN (-2147483648)
#define ffast_io ios::sync_with_stdio(false);\
                 cout.tie(nullptr); cin.tie(nullptr)

vector<vector<ll>> multi(vector<vector<ll>> a, vector<vector<ll>> b) {
    vector<vector<ll>> res(a.size(), vector<ll>(b[0].size(), 0));
    fori(a.size()) {
        forj(b[0].size()) {
            ll temp = 0;
            rep(k, b.size())temp = (temp + (a[i][k] * b[k][j]));
            res[i][j] = temp;
        }
    }
    return res;
}

vector<vector<ll>> pow(const vector<vector<ll>> &mat, int powred) {
    if (powred == 1) return mat;
    if (powred % 2 == 1) return multi(pow(mat, powred - 1), mat);
    vector<vector<ll>> temp = pow(multi(mat, mat), powred / 2);
    return temp;
}

template<typename T>
void debug(T ttt[], std::ostream &out = std::cout) {
    for (auto it = ttt; it != ttt; ++it) out << *it << ' ';
    out << std::endl;
}

void debug(int *ttt[], std::ostream &out = std::cout) {
    for (auto it = ttt; it != ttt; ++it) debug(*it);
    out << std::endl;
}

template<typename T>
void debug(const std::vector<pair<T, T>> &ttt, std::ostream &out = std::cout) {
    for (auto it = ttt.begin(); it != ttt.end(); ++it) out << (*it).first << "  " << it->second << ' ';
    out << std::endl;
}

template<typename T>
void debug(const std::vector<T> &ttt, std::ostream &out = std::cout) {
    for (auto it = ttt.begin(); it != ttt.end(); ++it) out << *it << ' ';
    out << std::endl;
}

template<typename T>
void debug(const std::vector<vector<T>> &ttt, std::ostream &out = std::cout) {
    for (int it = 0; it != ttt.size(); ++it) debug(ttt[it]);
}

template<typename K, typename V>
void debug(const std::map<K, V> &ttt) {
    for (auto it = ttt.begin(); it != ttt.end(); ++it) std::cout << it->first << ": " << it->second << ' ';
    std::cout << std::endl;
}

template<typename K, typename V>
void debug(const std::unordered_map<K, V> &ttt) {
    for (auto it = ttt.begin(); it != ttt.end(); ++it) std::cout << it->first << ": " << it->second << ' ';
    std::cout << std::endl;
}

template<typename K, typename V>
void debug(const std::unordered_map<K, vector<V>> &ttt) {
    for (auto it = ttt.begin(); it != ttt.end(); ++it) {
        std::cout << it->first << ": ";
        debug(it->second);
    }
    std::cout << std::endl;
}

void debug(std::deque<int> &ttt) {
    for (auto it = ttt.begin(); it != ttt.end(); ++it) {
        std::cout << *it + 1 << " ";
    }
    std::cout << std::endl;
}

template<typename T>
void debug(set<T> ttt, std::ostream &out = std::cout) {
    for (auto t: ttt) out << t << " ";
    out << endl;
}

//void debug(bool k, std::ostream &out = std::cout) { if (k) out << "yes"; else out << "no"; }

//ll power(int base, int exponent) {
//    if (exponent == 0) return 1;
//    ll half = power(base, exponent / 2);
//    ll result = half * half;
//    if (exponent % 2 != 0) result *= base;
//    return result;
//}

#pragma GCC optimize("O3")
#pragma GCC optimize("unroll-loops")
#pragma GCC target("sse,sse2,sse3,ssse3,sse4,abm,mmx,tune=native")

/*
    ___        __              __   ______          __        _____ __             __          __  __
   /   | _____/ /___  ______ _/ /  / ____/___  ____/ /__     / ___// /_____ ______/ /______   / / / /__  ________
  / /| |/ ___/ __/ / / / __ `/ /  / /   / __ \/ __  / _ \    \__ \/ __/ __ `/ ___/ __/ ___/  / /_/ / _ \/ ___/ _ \
 / ___ / /__/ /_/ /_/ / /_/ / /  / /___/ /_/ / /_/ /  __/   ___/ / /_/ /_/ / /  / /_(__  )  / __  /  __/ /  /  __/
/_/  |_\___/\__/\__,_/\__,_/_/   \____/\____/\__,_/\___/   /____/\__/\__,_/_/   \__/____/  /_/ /_/\___/_/   \___/

*/
bool cmp(const std::pair<int, int> &a, const std::pair<int, int> &b) {
    if (a.second != b.second) { a.second < b.second; }
    return a.first < b.first;
}

signed main() {
    ffast_io;
    ll n, a, b;
    cin >> n;
    vector<pair<int, int>> vector1;
    fori(n) {
        cin >> a >> b;
        vector1.emplace_back(a, b);
    }

    if (n == 1 || n == 2) {
        cout << 0 << "\n";
        return 0;
    }

    std::sort(vector1.begin(), vector1.end(), cmp);

//    debug(vector1);
    int mn = MAXN;
    int mx = MINN;
    pair<int, int> mxA;
    int mxy = MINN;
    fori(vector1.size()) {
        if (vector1[i].second == 0) {
            mn = min(mn, vector1[i].first);
            mx = max(mx, vector1[i].first);
        }
        if (mxA.first < abs(vector1[i].first)) {
            mxA = vector1[i];
        }
    }
    if (mn == MAXN || mx == MINN || mx == mn || (mxA.first == mx && mxA.second == 0) ||
        (mxA.first == mn && mxA.second == 0)) {
        cout << 0;
        return 0;
    }
//    cout << mx << " " << mn << " " << mxA.first  << "\n";
    cout << (double) (mx - mn) * (double) abs(mxA.second) / 2;

}

