#include <iostream>
#include <string>
#include <set>
#include <map>
#include <unordered_set>
#include <unordered_map>
#include <stack>
#include <queue>
#include <random>
#include <iomanip>
#include <cmath>
#include <algorithm>
#include <vector>
#include <array>
#include <deque>

using namespace std;

long long mod = 1e9 + 7;

// random_device rd;
// mt19937 gen(rd());

// long long binPow(long long a, long long p)
// {
//     if (p == 0 || a == 1) {return 1;}
//     a %= mod;
//     if (p % 2 == 0) {return binPow(a * a % mod, p / 2) % mod;}
//     return (a * binPow(a, p - 1)) % mod;
// }

template<class T1, class T2>
istream& operator>> (istream& in, pair<T1, T2>& p);

template<class T>
istream& operator>> (istream& in, vector<T>& vec)
{
    for (T& i: vec) {in >> i;}
    return in;
}

template<class T1, class T2>
istream& operator>> (istream& in, pair<T1, T2>& p)
{
    in >> p.first >> p.second;
    return in;
}

void solve() {
    int n, m;
    cin >> n >> m;
    vector<vector<char>> raci_matrix(n, vector<char>(m));

    for (int i = 0; i < n; i++) {
        for (int j = 0; j < m; j++) {
            cin >> raci_matrix[i][j];
        }
    }

    for (int i = 0; i < n; i++) {
        int accountable_count = 0;
        for (int j = 0; j < m; j++) {
            if (raci_matrix[i][j] == 'A') {
                accountable_count++;
            }
        }

        if (accountable_count != 1) {
            cout << "No" << endl;
            return;
        }
    }

    cout << "Yes" << endl;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);

#ifdef DEBUG
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#endif

    int t = 1;
    // cin >> t;

    for (;t > 0; --t)
    {
        solve();
    }
}
