#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
#include <string>
#include <deque>

using namespace std;

vector<int> t;
int n;

void init (int nn)
{
	n = nn;
	t.assign (n, 0);
}

int sum (int r)
{
	int result = 0;
	for (; r >= 0; r = (r & (r+1)) - 1)
		result += t[r];
	return result;
}

void inc (int i, int delta)
{
	for (; i < n; i = (i | (i+1)))
		t[i]+=delta;
}

void dec (int i, int delta)
{
	for (; i < n; i = (i | (i+1)))
		t[i]-=delta;
}

int sum (int l, int r)
{
	return sum (r) - sum (l-1);
}

void init (vector<int> a)
{
	init ((int) a.size());
	for (unsigned i = 0; i < a.size(); i++)
		inc (i, a[i]);
}

void solve() {
    std::string s;
    std::vector<bool> w;
    long long k;
    cin >> s >> k;
    n = s.size();
    std::vector<int> b(n, 1);
    init(b);
    w.resize(n);
    deque<int> a[10];
    for (size_t i = 0; i < s.size(); i++) {
        a[s[i] - '0'].push_back(i);
    }
    std::string ans;
    for (size_t i = 0; i < s.size(); i++) {
        for (size_t j = 1; j <= 9; j++) {
            if (a[j].empty()) {
                continue;
            }
            int t = a[j].front();
            int sf = sum(t - 1);
            if (sf <= k) {
                a[j].pop_front();
                k -= sf;
                ans += '0' + j;
                dec(t, 1);
                w[t] = true;
                break;
            }
        }
    }
    for (size_t i = 0; i < n; i++) {
        if (!w[i]) {
            ans += s[i];
        }
    }

    std::cout << ans << std::endl;
}

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int t;
    cin >> t;
    while(t--) {
        solve();
    }
}
