#include <cctype>
#include <cerrno>
#include <cfloat>
#include <ciso646>
#include <climits>
#include <clocale>
#include <cmath>
#include <csetjmp>
#include <csignal>
#include <cstdarg>
#include <cstddef>
#include <cstdio>
#include <cstdlib>
#include <cstring>
#include <ctime>

#if __cplusplus >= 201103L
#include <ccomplex>
#include <cinttypes>
#include <cstdalign>
#include <cstdbool>
#include <cstdint>
#include <ctgmath>
#include <cuchar>
#include <cwchar>
#include <cwctype>
#endif

#include <algorithm>
#include <bitset>
#include <complex>
#include <deque>
#include <exception>
#include <fstream>
#include <functional>
#include <iomanip>
#include <ios>
#include <iosfwd>
#include <iostream>
#include <istream>
#include <iterator>
#include <limits>
#include <list>
#include <locale>
#include <map>
#include <memory>
#include <new>
#include <numeric>
#include <ostream>
#include <queue>
#include <set>
#include <sstream>
#include <stack>
#include <stdexcept>
#include <streambuf>
#include <string>
#include <typeinfo>
#include <utility>
#include <valarray>
#include <vector>
#if __cplusplus >= 201103L
#include <array>
#include <atomic>
#include <codecvt>
#include <forward_list>
#include <initializer_list>
#include <random>
#include <scoped_allocator>
#include <tuple>
#include <typeindex>
#include <type_traits>
#include <unordered_map>
#include <unordered_set>
#endif

#if __cplusplus >= 201402L
#include <shared_mutex>
#endif

using namespace std;

//using namespace std;
#define int long long

void solve() {
    string s;
    cin >> s;
    int k;
    cin >> k;
    vector<vector<int>> di(10 );
    for(int i=0; i<s.size(); i++){
        di[s[i]-'0'].push_back(i);
    }
    int i=0;
    vector<int> ind(10, 0);
    for(int i=0; i<s.size(); i++){
        for(int d=0;d<10; d++){
            int t = ind[d];
            if (di[d][t]-i <= k){
                k-=(di[d][t]-i);
                cout << d+'1' << " ";
                i+=1;
                ind[d]++;
            } else{
                break;
            }
        }
    }
}

signed main() {int n;
    cin >> n;
    vector<vector<int>>v(n, vector<int> (n));
    int mx =0;
    for(int i=0; i<n; i++){
        for(int j=0; j<n;j++){
            cin >> v[i][j];
        }
    }
    vector<int> dist(n, 1e18);
    priority_queue<pair<int, int>> q;
    q.push({0, 0});
    dist[0] = 0;
    vector<bool>used(n, false);
    used[0] = true;
    while (!q.empty()){
        int curd = -q.top().first, ve = q.top().second;
        q.pop();
        if(curd != dist[ve]){
            cout << "No\n";
            return 0;
            continue;
        }
        int where_go;
        int minc = 1e9;
        for (int j=0; j<n; j++){
            int len = v[ve][j];
            int to = j;
            if ((dist[j] > dist[ve] + len)){
                if (dist[j]!=1e18){
//                    cout << j << " " <<ve << " " << len << endl;
                    cout << "No\n";
                    return 0;
                }
                dist[j] = dist[ve] + len;
                q.push({-dist[j], j});
            }
        }
    }
    for(int i=0; i<n; i++){
        if (v[0][i] != dist[i]){
            cout << "No\n";
            return 0;
        }
    }
    cout << "Yes\n";
    return 0;
}



//int main() {
//    int n;
//    cin >> n;
//    for(int _=0; _<n; _++){
//        string s;
//        cin >> s;
//        int k;
//        cin >> k;
//        vector<vector<int>>v(10);
//        vector<int>inds(10, 0);
//        for (int i=0; i<s.size(); i++){
//            v[s[i]-'0'].push_back(i);
//        }
//        for(int i=0; i<n; i++){
//            for(int dig =1; dig<10; dig++){
//                if (v[dig][inds[dig]] - i <=k){
//                    k -= (v[dig][inds[dig]] - i);
//                    cout << dig+'0';
//                    break;
//                }
//            }
//
//        }
//    }
//    return 0;
//}
