#include <bits/stdc++.h>


// #define __INTERACTIVE_TASK_
// #define __OPT_PRAGMAS__
#if (!defined(__LOCAL_CLANGD_CPP__)) && (!defined(__LOCAL_DEBUG__)) && defined(__OPT_PRAGMAS__)
#	pragma GCC optimize("O3")
#	pragma GCC optimize("unroll-loops")
#	pragma GCC target("avx2,avx,sse4,sse4.1,sse4.2,bmi,bmi2,lzcnt,popcnt")
#endif

#ifndef __LOCAL_ANY_CPP__
#	define __local_run_(code)
#	define __prod_run_(code) \
		do {              \
			code;     \
		} while (0);
#	define __local_stmt_(stmt)
#	define __prod_stmt_(stmt) stmt
#else
#	define __local_run_(code) \
		do {               \
			code;      \
		} while (0);
#	define __prod_run_(code)
#	define __local_stmt_(stmt) stmt
#	define __prod_stmt_(stmt)
#endif


using namespace std;

using ll = long long;
using ull = unsigned long long;
using iii = __int128_t;
using uiii = __uint128_t;
using if32 = int_fast32_t;
using uf32 = uint_fast32_t;
// #define int ll

using vll = vector<ll>;
using vull = vector<ull>;

#define citers(container) (container).begin(), (container).end()

template <typename T> static inline ostream & cvout(const T & farg) { return cout << farg; }

template <typename T, typename... Args>
static inline ostream & cvout(const T & farg, const Args &... args)
{
	cout << farg;
	return cvout(args...);
}

static inline ostream & cvoutnl [[maybe_unused]] ()
{
#if defined(__INTERACTIVE_TASK_) || defined(__LOCAL_DEBUG__)
	return cout << endl;
#else
	return cout << '\n';
#endif
}

template <typename T, typename... Args>
static inline ostream & cvoutnl(const T & farg, const Args &... args)
{
	cout << farg;
	return cvoutnl(args...);
}

template <typename T> static inline istream & cvin(T & farg) { return cin >> farg; }

template <typename T, typename... Args> static inline istream & cvin(T & farg, Args &... args)
{
	cin >> farg;
	return cvin(args...);
}

static inline void _io_speedup [[maybe_unused]] ()
{
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
}

static inline void _reopen_stdinout [[maybe_unused]] (const char * in, const char * out)
{
	freopen(in, "r", stdin);
	freopen(out, "w", stdout);
}


signed main()
{
	_io_speedup();
	// _reopen_stdinout("input.txt", "output.txt");

	array<bool, 26> map;
	fill(citers(map), false);
	ll n;
	cvin(n);
	while (n--)
	{
		string s;
		cvin(s);
		map[s[0] - 'a'] = true;
	}

	for (ll i = 0; i < 5; ++i)
	{
		for (ll j = 0; j < 6; ++j)
		{
			ll idx = i * 6 + j;
			if (idx >= (int)map.size()) cvout('.');
			else if (map[idx])
				cvout((char)('a' + idx));
			else
				cvout('.');
		}
		cvoutnl();
	}
	return 0;
}