#include <bits/stdc++.h>


// #define __INTERACTIVE_TASK_
// #define __OPT_PRAGMAS__
#if (!defined(__LOCAL_CLANGD_CPP__)) && (!defined(__LOCAL_DEBUG__)) && defined(__OPT_PRAGMAS__)
#	pragma GCC optimize("O3")
#	pragma GCC optimize("unroll-loops")
#	pragma GCC target("avx2,avx,sse4,sse4.1,sse4.2,bmi,bmi2,lzcnt,popcnt")
#endif

#ifndef __LOCAL_ANY_CPP__
#	define __local_run_(code)
#	define __prod_run_(code) \
		do {              \
			code;     \
		} while (0);
#	define __local_stmt_(stmt)
#	define __prod_stmt_(stmt) stmt
#else
#	define __local_run_(code) \
		do {               \
			code;      \
		} while (0);
#	define __prod_run_(code)
#	define __local_stmt_(stmt) stmt
#	define __prod_stmt_(stmt)
#endif


using namespace std;

using ll = long long;
using ull = unsigned long long;
using iii = __int128_t;
using uiii = __uint128_t;
using if32 = int_fast32_t;
using uf32 = uint_fast32_t;
// #define int ll

using vll = vector<ll>;
using vull = vector<ull>;

#define citers(container) (container).begin(), (container).end()

template <typename T> static inline ostream & cvout(const T & farg) { return cout << farg; }

template <typename T, typename... Args>
static inline ostream & cvout(const T & farg, const Args &... args)
{
	cout << farg;
	return cvout(args...);
}

static inline ostream & cvoutnl [[maybe_unused]] ()
{
#if defined(__INTERACTIVE_TASK_) || defined(__LOCAL_DEBUG__)
	return cout << endl;
#else
	return cout << '\n';
#endif
}

template <typename T, typename... Args>
static inline ostream & cvoutnl(const T & farg, const Args &... args)
{
	cout << farg;
	return cvoutnl(args...);
}

template <typename T> static inline istream & cvin(T & farg) { return cin >> farg; }

template <typename T, typename... Args> static inline istream & cvin(T & farg, Args &... args)
{
	cin >> farg;
	return cvin(args...);
}

static inline void _io_speedup [[maybe_unused]] ()
{
	ios_base::sync_with_stdio(false);
	cin.tie(nullptr);
	cout.tie(nullptr);
}

static inline void _reopen_stdinout [[maybe_unused]] (const char * in, const char * out)
{
	freopen(in, "r", stdin);
	freopen(out, "w", stdout);
}

ll solve_on(ll n, ll k);

ll solve_off(ll n, ll k)
{
	if (n == 1) return 0;
	if (k <= 1) return n - 1;

	ll n_largest = n / 2 + (n % 2 != 0);
	// ll n_smallest = n / 2;

	return solve_on(n_largest, k - 1) + 1;
}

ll solve_on(ll n, ll k)
{
	if (n == 1) return 1;
	if (k == 0) assert(0);

	ll n_largest = n / 2 + (n % 2 != 0);
	// ll n_smallest = n / 2;

	return solve_off(n_largest, k - 1) + 1;
}

void task()
{
	ll n, k;
	cvin(n, k);

	if (k > 32)
	{
		int ans = 0;
		while (n > 0)
		{
			ans++;
			n = n / 2 + n % 2;
		}
		cvoutnl(ans);
	}
	else { cvoutnl(solve_on(n, k)); }
}


signed main()
{
	_io_speedup();
	// _reopen_stdinout("input.txt", "output.txt");

	ll t;
	cvin(t);
	while (t--) task();
	return 0;
}