import sys
from itertools import combinations

n = int(input())

paths: dict[tuple, int] = {}

for i in range(n):
    for j, v in enumerate([int(i_) for i_ in input().split()][:i]):
        if i != j:
            paths[tuple(sorted([i, j]))] = v


def get_paths(a, b):
    a, b = sorted([a, b])
    available_paths_from_a = [i_ for i_ in range(a + 1, b)]
    ready_paths = [[(a, b)]]
    for i_ in available_paths_from_a:
        for path_ in get_paths(i_, b):
            ready_paths.append([(a, i_)] + path_)
    return ready_paths


for from_, to_ in combinations(range(n), 2):
    sums = set()
    for path in get_paths(from_, to_):
        sums.add(sum((paths[i_] for i_ in path)))

    if len(sums) != 1:
        print("No")
        break
else:
    print("Yes")
sys.stdout.flush()
