#include <iostream>
#include <vector>
#include <string>
#include <algorithm>

std::pair<int, int> dinf_min(const std::vector<int>& a, int start) {
    int minn = a[start];
    int indx = start;
    for (int i = start; i < a.size(); ++i) {
        if (a[i] < minn) {
            minn = a[i];
            indx = i;
        }
    }
    return {minn, indx};
}

int main() {
    int times;
    std::cin >> times;
    for (int t = 0; t < times; ++t) {
        std::string num_str;
        long long atts;
        std::cin >> num_str >> atts;
        
        std::vector<int> num;
        for (char digit : num_str) {
            num.push_back(digit - '0');
        }

        int ptr = 0;
        int l_num = num.size() - 1;
        while (atts > 0 && ptr != l_num) {
            std::pair<int, int> min_pair = dinf_min(num, ptr + 1);
            int mdig = min_pair.first;
            int mfst = min_pair.second;
            
            if (mdig < num[ptr]) {
                if (mfst - ptr <= atts) {
                    int temp = num[mfst];
                    num.erase(num.begin() + mfst);
                    num.insert(num.begin() + ptr, temp);
                    atts -= (mfst - ptr);
                } else {
                    mdig++;
                    while (mdig < num[ptr]) {
                        auto it = std::find(num.begin() + ptr + 1, num.end(), mdig);
                        if (it != num.end()) {
                            int mfst = std::distance(num.begin(), it);
                            if (mfst - ptr <= atts) {
                                int temp = num[mfst];
                                num.erase(num.begin() + mfst);
                                num.insert(num.begin() + ptr, temp);
                                atts -= (mfst - ptr);
                                break;
                            }
                        }
                        mdig++;
                    }
                }
            }
            ++ptr;
        }
        long o = 0;
        for (int a : num) {
            o = o * 10 + a;
        }
        std::cout << o << "\n";
    }
    return 0;
}



