#include <algorithm>
#include <iostream>
#include <vector>

using namespace std;

class point {
public:
  int x, y;
};

bool cmp(point A, point B) { return (A.y < B.y || (A.y == B.y && A.x < B.x)); }

void print(vector<point> vec) {
  for (int i = 0; i < vec.size(); ++i)
    cout << vec[i].x << " " << vec[i].y << endl;
}

void print(point a) { cout << a.x << " " << a.y << endl; }

int main() {
  int n;
  cin >> n;
  vector<point> vec(n);
  for (int i = 0; i < n; ++i) {
    cin >> vec[i].x >> vec[i].y;
  }
  sort(vec.begin(), vec.end(), cmp);

  point ans = vec[0];
  vector<point> an;
  for (int i = 0; i < vec.size(); ++i) {
    if (abs(ans.y) < abs(vec[i].y))
      ans = vec[i];
    if (vec[i].y == 0)
      an.push_back(vec[i]);
  }
  if (an.size() < 2) {
    cout << 0;
    return 0;
  }
  if (ans.y == 0) {
    cout << 0;
    return 0;
  }
  cout << abs(ans.y * (an[an.size() - 1].x - an[0].x) / 2.0);
}
