import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;


public class H {
    static int[] indeces;
    static int ind;
    static char[] build(char[] chars) {
        ind = 1;
        while (ind < chars.length)
            ind <<= 1;
        char[] st = new char[ind << 1];
        indeces = new int[ind << 1];
        for (int j = 0; j < chars.length; j++) {
            st[ind + j] = chars[j];
            indeces[ind + j] = j;
        }
        for (int j = chars.length; j < ind; j++) {
            st[ind + j] = 'a';
            indeces[ind + j] = j;
        }
        for (int j = ind - 1; j >= 1; j--) {
            if (st[j << 1] < st[(j << 1) | 1]) {
                st[j] = st[j << 1];
                indeces[j] = indeces[j << 1];
            } else {
                st[j] = st[(j << 1) | 1];
                indeces[j] = indeces[(j << 1) | 1];
            }
        }
        return st;
    }
    static void remove(char[] st, int i) {
        int j = i + ind;
        st[j] = 'a';
        while (j > 1) {
            j >>= 1;
            char l = st[j << 1];
            char r = st[(j << 1) | 1]
            if (l < r) {
                if (st[j] == l && indeces[j] == indeces[j << 1])
                    break;
                st[j] = l;
                indeces[j] = indeces[j << 1];
            } else {
                if (st[j] == r && indeces[j] == indeces[(j << 1) | 1])
                    break;
                st[j] = r;
                indeces[j] = indeces[(j << 1) | 1];
            }
        }
    }
    static int query(char[] st, int l, int r) {
        l += ind;
        r += ind;
        char min = 'a';
        int minInd = -1;
        while (l <= r) {
            if ((l & 1) == 1) {
                if (st[l] < min) {
                    min = st[l];
                    minInd = indeces[l];
                }
                l++;
            }
            if ((r & 1) == 0) {
                if (st[r] < min) {
                    min = st[r];
                    minInd = indeces[r];
                }
                r--;
            }
            l >>= 1;
            r >>= 1;
        }
        return minInd;
    }
    public static void main(String[] args) throws IOException {
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
        int t = Integer.parseInt(bufferedReader.readLine());
        StringBuilder ans = new StringBuilder();
        for (int i = 0; i < t; i++) {
            String[] line = bufferedReader.readLine().split(" ");
            char[] chars = line[0].toCharArray();
            int n = chars.length;
            long k = Long.parseLong(line[1]);
            char[] st = build(chars);
            StringBuilder res = new StringBuilder();
            boolean[] used = new boolean[n];
            int l = 0;
            while (l < n) {
                if (k <= 0)
                    break;
                long r = l + k;
                if (r > n - 1)
                    r = n - 1;
                int position = query(st, l, (int) r);
                if (position == -1)
                    break;
                res.append(chars[position]);
                used[position] = true;
                k -= (position - l);
                remove(st, position);
                l++;
            }
            for (int j = 0; j < n; j++) {
                if (!used[j])
                    res.append(chars[j]);
            }
            ans.append(res).append("\n");
        }
        System.out.print(ans);
    }
}
