import java.util.Scanner;

public class CartsOfProgram {

    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);


        int n = scanner.nextInt();
        scanner.nextLine();

        String[] programs = new String[n];


        for (int i = 0; i < n; i++) {
            programs[i] = scanner.nextLine();
        }

        solution(n, programs);
    }

    public static void solution(int n, String[] programs) {

        String[] dots = new String[26];
        for (int i = 0; i < 26; i++) {
            dots[i] = ".";
        }

        for (int i = 0; i < n; i++) {
            int index = getLetterPosition(programs[i].charAt(0));
            dots[index - 1] = programs[i].charAt(0) + "";
        }

        for (int i = 0; i < 5; i++) {
            for (int j = 0; j < 6; j++) {
                int pos = i * 6 + j;
                if (pos < dots.length) {
                    System.out.print(dots[pos]);
                }
            }
            System.out.println();
        }
    }

    public static int getLetterPosition(char letter) {

        letter = Character.toLowerCase(letter);
        if (letter >= 'a' && letter <= 'z') {
            return letter - 'a' + 1;
        } else {
            throw new IllegalArgumentException("Недопустимый символ: " + letter);
        }
    }
}
