import math
def min_hours_for_villain_detection(test_cases):
    results = []
    for n, k in test_cases:
        hours_needed = 0
        remaining_houses = n
        
        while remaining_houses > 1 and hours_needed < k:
            remaining_houses = math.ceil(remaining_houses / 2)
            hours_needed += 1
        
        if remaining_houses > 1:
            hours_needed += remaining_houses - 1
        
        results.append(hours_needed)
    return results

t = int(input())
test_cases = []
for _ in range(t):
    n, k = map(int, input().split())
    test_cases.append((n, k))

results = min_hours_for_villain_detection(test_cases)
for res in results:
    print(res)
