def is_wooden_matrix(matrix, n):
    for i in range(n):
        for j in range(n):
            if matrix[i][j] != matrix[j][i]:
                return False  # Матрица не симметрична
            if (i == j and matrix[i][j] != 0) or (i != j and matrix[i][j] <= 0):
                return False  # На диагонали должны стоять нули, остальные элементы - положительные

    # Проверка условий неравенства треугольника
    for i in range(n):
        for j in range(n):
            for k in range(n):
                if matrix[i][j] > matrix[i][k] + matrix[k][j]:
                    return False  # Не выполняется принцип треугольника

    return True

n = int(input().strip())
matrix = [list(map(int, input().strip().split())) for _ in range(n)]

if is_wooden_matrix(matrix, n):
    print("Yes")
else:
    print("No")
