from itertools import permutations


def count_valid_arrangements(r, g, b):

    balls = ['R'] * r + ['G'] * g + ['B'] * b
    unique_arrangements = set(permutations(balls))
    valid_count = 0

    for arrangement in unique_arrangements:
        if all(arrangement[i] != arrangement[i + 1] for i in range(len(arrangement) - 1)):
            valid_count += 1

    return valid_count



r,g,b = list(map(int, input().split()))

result = count_valid_arrangements(r, g, b)
print(f"Количество способов разместить шарики: {result}")