def f(matrix):
    n = len(matrix)
    e = []
    for i in range(n):
        for j in range(i + 1, n):
            e.append((matrix[i][j], i, j))
    e.sort()
    p = list(range(n))
    r = [0] * n
    def find(x):
        if p[x] != x:
            p[x] = find(p[x])
        return p[x]
    def union(x, y):
        rX = find(x)
        rY = find(y)
        if rX != rY:
            if r[rX] > r[rY]:
                p[rY] = rX
            elif r[rX] < r[rY]:
                p[rX] = rY
            else:
                p[rY] = rX
                r[rX] += 1
    mst = []
    for weight, u, v in e:
        if find(u) != find(v):
            union(u, v)
            mst.append((u, v, weight))
    if len(mst) != n - 1:
        return "No"
    dist = [[float('inf')] * n for _ in range(n)]
    for i in range(n):
        dist[i][i] = 0
    for u, v, weight in mst:
        dist[u][v] = weight
        dist[v][u] = weight
    for k in range(n):
        for i in range(n):
            for j in range(n):
                dist[i][j] = min(dist[i][j], dist[i][k] + dist[k][j])
    for i in range(n):
        for j in range(n):
            if dist[i][j] != matrix[i][j]:
                return "No"
    return "Yes"
n = int(input().strip())
matrix = [list(map(int, input().strip().split())) for _ in range(n)]
print(f(matrix))