#include <iostream>
#include <vector>

using namespace std;


string determine_winner(int n, const vector<int>& piles) {
    int nim_sum = 0;
    
   
    for (int stones : piles) {
        nim_sum ^= stones;
    }
    

    return (nim_sum != 0) ? "Alice" : "Dmitry";
}

int main() {
    int n;
    cin >> n;

    vector<int> piles(n);
    
    for (int i = 0; i < n; ++i) {
        cin >> piles[i];
    }
    
    // Вызываем функцию для определения победителя
    string result = determine_winner(n, piles);
    
    // Выводим результат
    cout << result << endl;
    
    return 0;
}
