empty_cell = 9012890832980

num_to_pattern = {
    0: "1110111",
    1: "0010010",
    2: "1011101",
    3: "1011011",
    4: "0111010",
    5: "1101011",
    6: "1101111",
    7: "1010010",
    8: "1111111",
    9: "1111011",
    empty_cell: "0000000"
}

for key in num_to_pattern:
    num_to_pattern[key] = int(num_to_pattern[key], base=2)

pattern_to_num = {value: key for key, value in num_to_pattern.items()}
b1 = int(input(), base=2)
b2 = int(input(), base=2)
res = []


for num in range(99, 0, -1):
    n1 = num // 10
    n2 = num % 10

    if n1 == 0:
        n1 = empty_cell

    p1 = pattern_to_num.get(num_to_pattern[n1] & b1, None)
    p2 = pattern_to_num.get(num_to_pattern[n2] & b2, None)

    if None in [p2, p1] or p2 == empty_cell:
        res.append(-1)
    else:
        if p1 == empty_cell:
            if p2 == empty_cell:
                res.append(-1)
            else:
                res.append(p2)
        else:
            res.append(p1 * 10 + p2)

max_l = 0
cur = 1
len(res)
for i in range(1, len(res)):
    if res[i-1] == res[i] - 1:
        cur += 1
    else:
        max_l = max(max_l, cur)
        cur = 1

print(max(max_l, cur)-1)