from functools import reduce
def winner(num, heaps):
    if num == 1:
        return "Alice" if heaps[0] > 0 else "Dmitry"
    xor_sum = reduce(lambda x, y: x ^ y, heaps)
    return "Alice" if xor_sum != 0 else "Dmitry"

num = int(input().strip())
heaps = list(map(int, input().strip().split()))

print(winner(num, heaps))
