n = int(input().strip())
pts_good = []
pts_bad = []
for _ in range(n):
    x, y = map(int, input().split())
    if y == 0:
        pts_good.append(x)
    else:
        pts_bad.append((x, y))
if len(pts_good) < 2 or not pts_bad:
    print(0.0)
else:
    pts_good.sort()
    max_area = 0.0
    for x3, y3 in pts_bad:
        height = abs(y3)
        x1 = pts_good[0]
        x2 = pts_good[-1]
        base_length = abs(x2 - x1)
        area = 0.5 * base_length * height
        max_area = max(max_area, area)
    print(f"{max_area:.9f}")