﻿#include <iostream>
#include <vector>
#include <set>

using namespace std;

int main() {
    int n;
    cin >> n;

    set<char> programs;

    for (int i = 0; i < n; ++i) {
        string program;
        cin >> program;
        programs.insert(program[0]);
    }

    vector<vector<char>> table(5, vector<char>(6, '.'));

    for (char c = 'a'; c <= 'z'; ++c) {
        if (programs.count(c)) {
            int index = c - 'a';
            table[index / 6][index % 6] = c;
        }
    }

    for (int i = 0; i < 4; ++i) {
        for (int j = 0; j < 6; ++j) {
            cout << table[i][j];
        }
        cout << endl;
    }

    for (int j = 24; j < 26; ++j) {
        cout << table[4][j % 6];
    }
    cout << endl;

    return 0;
}
