﻿#include <iostream>
#include <vector>
#include <algorithm>
#include <string>
using namespace std;

string find_minimum_number(string s, long long k) {
    int n = s.length();
    vector<int> min_num(n);
    for (int i = 0; i < n; i++) {
        min_num[i] = s[i] - '0';
    }
    for (int i = 0; i < n - 1; i++) {
        if (min_num[i] > min_num[i + 1] && k > 0) {
            swap(min_num[i], min_num[i + 1]);
            k--;
        }
    }
    string result = "";
    for (int i = 0; i < n; i++) {
        result += to_string(min_num[i]);
    }
    return result;
}

int main() {
    long long t;
    cin >> t;
    while (t--) {
        string s;
        long long k;
        cin >> s >> k;
        cout << find_minimum_number(s, k) << endl;
    }
    return 0;
}