def apply_mask(num, mask):
    return ''.join(str(int(num[i]) * int(mask[i])) for i in range(7))

first_num = input().strip()
second_num = input().strip()

num_on_trafic_light = ["1110111", "0010010", "1011101", "1011011", "0111010",
                       "1101011", "1101111", "1010010", "1111111", "1111011"]

max_count = 0
current_count = 0
previous_num = -1

for i in range(99, 0, -1):
    if i > 9:
        num_10 = num_on_trafic_light[i // 10]
        num_1 = num_on_trafic_light[i % 10]

        num_10 = apply_mask(num_10, first_num)
        num_1 = apply_mask(num_1, second_num)

        if num_10 in num_on_trafic_light and num_1 in num_on_trafic_light:
            current_num = int(str(num_on_trafic_light.index(num_10)) + str(num_on_trafic_light.index(num_1)))
        elif num_1 in num_on_trafic_light and num_10 == "0000000":
            current_num = num_on_trafic_light.index(num_1)
        else:
            current_num = -1
    else:
        num_1 = num_on_trafic_light[i % 10]
        num_1 = apply_mask(num_1, second_num)

        if num_1 in num_on_trafic_light:
            current_num = num_on_trafic_light.index(num_1)
        else:
            current_num = -1

    if current_num == previous_num + 1:
        current_count += 1
        if max_count < current_count:
            max_count = current_count
    else:
        current_count = 0

    previous_num = current_num

print(max_count)