#include <iostream>
#include <vector>
#include <string>
#include <algorithm>

using namespace std;

string minimize_number(string s, int k) {
    int length = s.length();
    vector<char> digits(s.begin(), s.end());

    for (int i = 0; i < length && k > 0; ++i) {
        int min_index = i; 
        for (int j = i + 1; j < length && j <= i + k; ++j) {
            if (digits[j] < digits[min_index] && !(i == 0 && digits[j] == '0')) {
                min_index = j;
            }
        }

        if (min_index != i) {
            char min_digit = digits[min_index];
            for (int pos = min_index; pos > i; --pos) {
                digits[pos] = digits[pos - 1];
            }
            digits[i] = min_digit;
            k -= (min_index - i);
        }
    }

    return string(digits.begin(), digits.end());
}

int main() {
    int n;
    cin >> n;

    for (int i = 0; i < n; ++i) {
        string s;
        int k;
        cin >> s >> k;
        cout << minimize_number(s, k) << "\n";
    }

    return 0;
}
