#include <iostream>
#include <vector>
#include <string>

using namespace std;

int main() {
    int n;
    cin >> n;
    vector<string> programs(n);

    for (int i = 0; i < n; ++i) {
        cin >> programs[i];
    }

    bool has_program[26] = {false};

    for (const string &program : programs) {
        char first_letter = program[0];
        if (first_letter >= 'a' && first_letter <= 'z') {
            has_program[first_letter - 'a'] = true;
        }
    }

    for (int i = 0; i < 26; ++i) {
        if (has_program[i]) {
            cout << static_cast<char>('a' + i);
        } else {
            cout << '.';
        }


        if ((i + 1) % 6 == 0) {
            cout << endl;
        }
    }

    return 0;
}