#include <iostream>
#include <string>
#include <vector>
#include <algorithm>

using namespace std;

void minimal_number(int t, vector<pair<string, long long>>& test_cases) {
    for (const auto& test : test_cases) {
        string s = test.first;
        long long k = test.second;
        int n = s.size();

        for (int i = 0; i < n && k > 0; ++i) {
            char min_digit = s[i];
            int min_pos = i;

            for (int j = i + 1; j < n && j <= i + k; ++j) {
                if (s[j] < min_digit) {
                    min_digit = s[j];
                    min_pos = j;
                }
            }
            
            if (min_pos != i) {
                for (int j = min_pos; j > i; --j) {
                    swap(s[j], s[j - 1]);
                    k--;
                }
            }
        }

        cout << s << endl;
    }
}

int main() {
    int t;
    cin >> t;
    vector<pair<string, long long>> test_cases(t);

    for (int i = 0; i < t; ++i) {
        cin >> test_cases[i].first >> test_cases[i].second;
    }

    minimal_number(t, test_cases);

    return 0;
}