#include <iostream>
#include <deque>
#include <string>

int main() {
    int num;
    std::cin >> num;
    for (int str = 0; str < num; str++) {
        std::string s;
        long long k;
        std::cin >> s >> k;

        std::deque<char> d(s.begin(), s.end());

        int left = 0;
        while (left < d.size() && k > 0) {
            int minPos = left;
            int right = left + 1;

            while (right < d.size() && right - left <= k) {
                if (d[right] < d[minPos]) {
                    minPos = right;
                }
                right++;
            }

            if (minPos != left) {
                char minDigit = d[minPos];
                d.erase(d.begin() + minPos);
                d.insert(d.begin() + left, minDigit);
                k -= minPos - left;
            }

            left++;
        }

        while (!d.empty() && d.front() == '0') {
            d.pop_front();
        }

        if (d.empty()) {
            std::cout << "0" << std::endl;
        } else {
            for (char c : d) {
                std::cout << c;
            }
            std::cout << std::endl;
        }
    }
    return 0;
}