import sys
def min_number(t, test_cases):
    results = []
    
    for s, k in test_cases:
        s = list(s) 
        n = len(s)
        
        for i in range(n):
            if k <= 0:
                break
            
            min_pos = i
            for j in range(i + 1, min(n, i + k + 1)): 
                if s[j] < s[min_pos]:
                    min_pos = j
            
            moves_needed = min_pos - i
            
            if moves_needed <= k:
                min_digit = s[min_pos]
                for j in range(min_pos, i, -1):
                    s[j] = s[j - 1] 
                s[i] = min_digit
                
                k -= moves_needed 

        results.append(''.join(s))  

    return results

input = sys.stdin.read
data = input().splitlines()
t = int(data[0])
test_cases = []

for i in range(1, t + 1):
    s, k = data[i].rsplit(' ', 1)
    test_cases.append((s, int(k)))

results = min_number(t, test_cases)

for result in results:
    print(result)
