from collections import deque

def min_number(t, test_cases):
    results = []

    for case in test_cases:
        s, k = case
        n = len(s)
        s_list = list(s) 
        result = [] 
        current_index = 0  

        while current_index < n:
            best_char = None
            best_pos = current_index
            
            for j in range(current_index, min(n, current_index + k + 1)):
                if best_char is None or s_list[j] < best_char:
                    best_char = s_list[j]
                    best_pos = j

            result.append(best_char)

            k -= (best_pos - current_index)
            
            s_list[current_index:best_pos] = s_list[current_index + 1:best_pos + 1]

            current_index += 1

            if k < 0:
                break

        result.extend(s_list[current_index:n])

        results.append(''.join(result))

    return results

t = int(input())
test_cases = []

for _ in range(t):
    s, k = input().split()
    k = int(k)
    test_cases.append((s, k))

results = min_number(t, test_cases)

for result in results:
    print(result)
