﻿#include <iostream>
#include <string>
#include <deque>

using namespace std;

string minimalNumber(string s, long long k) {
    int n = s.size();

    for (int i = 0; i < n; ++i) {
        if (k <= 0) break;

        char min_digit = s[i];
        int min_index = i;

        for (int j = i + 1; j < n && j <= i + k; ++j) {
            if (s[j] < min_digit) {
                min_digit = s[j];
                min_index = j;
            }
        }

        if (min_index != i) {
            long long moves_needed = min_index - i;

            if (moves_needed <= k) {
                for (int j = min_index; j > i; --j) {
                    s[j] = s[j - 1];
                }
                s[i] = min_digit;
                k -= moves_needed;
            }
        }
    }

    return s;
}

int main() {
    int t;
    cin >> t;
    while (t--) {
        string s;
        long long k;
        cin >> s >> k;
        cout << minimalNumber(s, k) << endl;
    }
    return 0;
}