#include <iostream>
#include <vector>
#include <cmath>

using namespace std;

void FillVector(vector<vector<int>>array, const int n)
{
	int x, y;

	for (int i = 0; i < n; i++)
	{
		cin >> x >> y;
		array.push_back({ x, y });
	}
}

void CoutVector(vector<vector<int>>array)
{
	for (int i = 0; i < array.size(); i++)
	{
		for (int j = 0; j < 2; j++)
		{
			cout << array[i][j] << " ";
		}
		cout << endl;
	}
	cout << endl;
}

int main() {

	int n;
	cin >> n;
	int result;

	vector<vector<int>> array (n, vector<int>(2));

	vector<int> dots;
	int x, y, mx = 0, mn = 2000;
	int mx_evclid = 0;

	for (int i = 0; i < n; i++)
	{
		cin >> x >> y;
		array[i] = {x, y};
	}

	//CoutVector(array);

	int count = 0;
	for (int i = 0; i < array.size(); i++)
	{
		if (array[i][1] == 0)
		{
			count += 1;
		}
	}

	if (count == n || count < 2)
	{
		cout << 0;
	}
	else {

		for (int i = 0; i < array.size(); i++)
		{
			if (array[i][1] == 0)
			{
				if (mn > array[i][0]) mn = array[i][0];
				else if (mx < array[i][0]) mx = array[i][0];
			}
		}

		for (int i = 0; i < array.size(); i++)
		{
			if (array[i][1] != 0)
			{
				if (abs(array[i][1]) > mx_evclid)
				{

					mx_evclid = abs(array[i][1]);

				}
			}
		}
		//cout << mx << " " << mn <<" " << mx_evclid << endl;
		
		double S = (abs(mx - mn) * mx_evclid);
		cout << S / 2;
	}

	return 0;
}