﻿#include <iostream>
#include <string>
#include <algorithm>

using namespace std;


inline int min_index(const string& s, int start, int end) {
    int minPos = start;
    for (int j = start + 1; j <= end; ++j) {
        if (s[j] < s[minPos]) {
            minPos = j;
        }
    }
    return minPos;
}

int main() {
    ios::sync_with_stdio(false); 
    cin.tie(nullptr);

    int t;
    cin >> t;
    while (t--) {
        string s;
        long long k;
        cin >> s >> k;
        int n = s.size();

        for (int i = 0; i < n && k > 0; ++i) {

            int limit = static_cast<int>(std::min(static_cast<long long>(i + k + 1), static_cast<long long>(n - 1)));
            int minPos = min_index(s, i, limit); 

            if (minPos != i) {
                long long swapsNeeded = minPos - i;
                k -= swapsNeeded;


                char minChar = s[minPos];
                s.erase(minPos, 1);
                s.insert(s.begin() + i, minChar);
            }
        }
        cout << s << '\n'; 
    }

    return 0;
}
