﻿#include <iostream>
#include <string>
#include <deque>

using namespace std;

void process_test_case(string& s, long long k) {
    int n = s.size();

    for (int i = 0; i < n && k > 0; ++i) {

        char min_char = s[i];
        int min_pos = i;

        for (int j = i + 1; j < n && j <= i + k; ++j) {
            if (s[j] < min_char) {
                min_char = s[j];
                min_pos = j;
            }
        }

        if (min_pos != i) {

            long long swaps_needed = min_pos - i;

            if (swaps_needed <= k) {
                k -= swaps_needed;

                for (int j = min_pos; j > i; --j) {
                    swap(s[j], s[j - 1]);
                }
            }
        }
    }
}

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t; 
    cin >> t;
    while (t--) {
        string s;
        long long k;
        cin >> s >> k;

        process_test_case(s, k);
        cout << s << '\n'; 
    }

    return 0;
}
