#include <bits/stdc++.h>

using namespace std;

#ifdef DEBUG
#define DEB 1
#else
#define DEB 0
#define cerr \
  if (DEB)   \
  cerr
#endif
#define MTEST() \
  int _t;       \
  cin >> _t;    \
  for (int _tn = 0; _tn < _t; ++_tn)
#define ALL(c) c.begin(), c.end()
#define SZ(c) (int)c.size()

typedef long long ll;

void run_solve();

signed main() {
#if DEB
  assert(freopen("test.in", "r", stdin));
  assert(freopen("test.out", "w", stdout));
#endif
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);
  cerr.precision(3);
  cerr << fixed;
  int start = (int)clock();
  run_solve();
  double run_time = (double)(clock() - start) / CLOCKS_PER_SEC;
  cerr << "TIME: " << run_time << '\n';
  return 0;
}

#define int long long

string s;
int n, k;
map<int, set<int>> p;

void sw(int i) {
  --k;
  assert(k >= 0);
  p[s[i]].erase(i);
  p[s[i - 1]].erase(i - 1);
  swap(s[i], s[i - 1]);
  p[s[i]].insert(i);
  p[s[i - 1]].insert(i - 1);
}

void run_solve() {
  int t;
  cin >> t;
  while (t--) {
    cin >> s >> k;
    p.clear();
    n = s.size();
    for (int i = 0; i < s.size(); ++i) {
      p[s[i]].insert(i);
    }
    for (int i = 0; i < n; ++i) {
      int bd = s[i];
      for (int d = '1'; d < s[i]; ++d) {
        auto j = p[d].lower_bound(i);
        if (j != p[d].end() && *j - i <= k) {
          bd = min(bd, d);
        }
      }
      int j = *p[bd].lower_bound(i);
      while (j != i) {
        sw(j);
        --j;
      }
    }
    cout << s << '\n';
  }
}