#include <bits/stdc++.h>

using namespace std;

#ifdef DEBUG
#define DEB 1
#else
#define DEB 0
#define cerr \
  if (DEB)   \
  cerr
#endif
#define MTEST() \
  int _t;       \
  cin >> _t;    \
  for (int _tn = 0; _tn < _t; ++_tn)
#define ALL(c) c.begin(), c.end()
#define SZ(c) (int)c.size()

typedef long long ll;

void run_solve();

signed main() {
#if DEB
  assert(freopen("test.in", "r", stdin));
  assert(freopen("test.out", "w", stdout));
#endif
  ios_base::sync_with_stdio(false);
  cin.tie(NULL);
  cerr.precision(3);
  cerr << fixed;
  int start = (int)clock();
  run_solve();
  double run_time = (double)(clock() - start) / CLOCKS_PER_SEC;
  cerr << "TIME: " << run_time << '\n';
  return 0;
}

#define int long long

int f(int n, int k) {
  if (n <= 1) {
    return 0;
  }
  if (k == 0) {
    return n - 1;
  }
  static map<pair<int, int>, int> mem;
  if (mem.count({n, k})) {
    return mem[{n, k}];
  }
  int left = 0, right = n;
  while (right - left > 1) {
    int mid = left + right >> 1;
    (mid <= n - mid && f(mid, k - 1) <= f(n - mid, k) ? left : right) = mid;
  }
  return mem[{n, k}] =
             (n - left <= right ? f(n - left, k)
                                : min(f(n - left, k), f(right, k - 1))) +
             1;
}

void run_solve() {
  int t;
  cin >> t;
  while (t--) {
    int n, k;
    cin >> n >> k;
    cout << f(n, k) << '\n';
  }
}