#include <iostream>
#include <cmath>
#include <vector>

int main() {
	int n;
	std::cin >> n;
	if (n < 3) {
		std::cout << 0 << std::endl;
		return 0;
	}
	std::vector<std::pair<int, int>> points(n);
	for (int i = 0; i < n; i++) {
		std::cin >> points[i].first >> points[i].second;
	}
	int maxlen = 0;
	int min = 10000;
	int max = -10000;
	int oxcount = 0;
	for (int i = 0; i < n; i++) {
		if (points[i].second != 0) continue;
		if (points[i].first < min)
		{
			min = points[i].first;
		}
		if (points[i].first > max) {
			max = points[i].first;
		}
		oxcount += 1;
	}
	if (oxcount < 2) {
		std::cout << 0 << std::endl;
		return 0;
	}
	maxlen = max - min;
	if (maxlen == 0) {
		std::cout << 0 << std::endl;
		return 0;
	}
	int maxy = 0;
	for (int i = 0; i < n; i++) {
		if (abs(points[i].second) > maxy) {
			maxy = abs(points[i].second);
		}
	}
	if (maxy == 0) {
		std::cout << 0 << std::endl;
		return 0;
	}
	std::cout << maxlen * maxy / 2.0 << std::endl;

}