def solve():
  n = int(input())
  if n < 3: 
    print('Yes')
    return 
  
  M = [list(map(int, input().split())) for _ in range(n)]

  for i in range(n):
    for j in range(i + 1, n):
      for k in range(n):
        if M[i][j] > M[i][k] + M[k][j]:
          print('No')
          return
        
  vis = [False] * n
  min_e = [float('inf')] * n
  min_e[0] = 0
  mst_edges = 0
  total_distance = 0

  for _ in range(n):
    u = -1
    for v in range(n):
      if not vis[v] and (u == -1 or min_e[v] < min_e[u]):
        u = v

    if min_e[u] == float('inf'):
      print('No')
      return

    vis[u] = True
    total_distance += min_e[u]
    mst_edges += 1

    for v in range(n):
      if not vis[v] and M[u][v] < min_e[v]:
        min_e[v] = M[u][v]
        
  print('Yes')

if __name__ == '__main__':
  solve()