﻿//#include <iostream>
//#include <string>
//#include <vector>
//#include <algorithm>
//
//using namespace std;
//
//bool isCorrect(string s) {
//
//    int mas[5] = { 0, 0, 0, 0, 0 }; // R A C I -
//    for (int i = 0; i < s.size(); i++) {
//        switch (s[i])
//        {
//        case 'R':
//            mas[0]++;
//            break;
//        case 'A':
//            mas[1]++;
//            break;
//        case 'C':
//            mas[2]++;
//            break;
//        case 'I':
//            mas[3]++;
//            break;
//        case '-':
//            mas[4]++;
//            break;
//        default:
//            break;
//        }
//    }
//
//}
//
//int main() {
//    int n, m;
//    cin >> n >> m;
//    string cur;
//    bool result = true;
//    for (int i = 0; i < n; i++) {
//        cin >> cur;
//        if (!isCorrect(cur)) {
//            result = false;
//            break;
//        }
//    }
//    if (result)
//        cout << "Yes" << endl;
//    else cout << "No" << endl;
//}


#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <unordered_map>
#include <unordered_set>
#include <queue>
#include <stack>
#include <algorithm>
#include <string>
#include <numeric>
#include <limits>
#include <sstream>
#include <array>

struct Point {
    int x;
    int y;

    Point(int X, int Y) {
        x = X;
        y = Y;
    }
};

bool isSideOnXAxis(const Point& A, const Point& B) {
    return (A.y == 0 && B.y == 0);
}

bool isTriangleSideOnXAxis(const Point& A, const Point& B, const Point& C) {
    return isSideOnXAxis(A, B) || isSideOnXAxis(B, C) || isSideOnXAxis(A, C);
}

static long double calculate(Point& a, Point& b, Point& c) {
    if (!isTriangleSideOnXAxis(a, b, c))
        return -1;
    return 0.5 * abs(a.x * (b.y - c.y) + b.x * (c.y - a.y) + c.x * (a.y - b.y));
}

int main()
{
    int n;
    int x, y;
    std::vector<Point> dots;
    std::cin >> n;
    for (int i = 0; i < n; i++) {
        std::cin >> x >> y;
        Point tmp(x, y);
        dots.push_back(tmp);
    }
    long double s = 0;
    for (int i = 0; i < n; i++) {
        Point tmp = dots[i];
        for (int j = i + 1; j < n - 1; j++) {
            s = std::max(s, calculate(tmp, dots[j], dots[j + 1]));
        }
    }
    std::cout << s;
}
