﻿#include <iostream>
#include <vector>
#include <string>
#include <algorithm>

std::string min_num(std::string s, long long k) {
    int n = s.length();

    for (int i = 0; i < n && k > 0; i++)
    {
        int max_move = std::min(k, (long long)(n - 1 - i));
        char min_digit = s[i];
        int min_pos = i;

        for (int j = i + 1; j <= i + max_move; j++) {
            if (s[j] < min_digit) 
            {
                min_digit = s[j];
                min_pos = j;
            }
        }

        if (min_pos != i)
        {
            k -= (min_pos - i);
            for (int j = min_pos; j > i; j--)
                std::swap(s[j], s[j - 1]);

        }
    }

    return s;
}

int main() {
    int t;
    std::cin >> t;

    std::vector<std::string> results;

    for (int i = 0; i < t; i++) {
        std::string s;
        long long k;
        std::cin >> s >> k;
        std::string result = min_num(s, k);
        results.push_back(result);
    }

    for (const auto& res : results)
        std::cout << res << std::endl;

    return 0;
}