#define _CRT_SECURE_NO_WARNINGS

#include <iostream>
#include <set>
#include <map>
#include <algorithm>
#include <vector>
#include <string>
#include <queue>
#include <climits>
#include <cmath>

int main() {
    #ifdef _DEBUG
        freopen("input.txt", "r", stdin);
    #endif

    std::ios::sync_with_stdio(0);
    std::cin.tie(0);
    std::cout.tie(0);

    const std::vector<std::vector<bool>> numbers = {
        {true, true, true, false, true, true, true}, // 0
        {false, false, true, false, false, true, false}, // 1
        {true, false, true, true, true, false, true}, // 2
        {true, false, true, true, false, true, true}, // 3
        {false, true, true, true, false, true, false}, // 4
        {true, true, false, true, false, true, true}, // 5
        {true, true, false, true, true, true, true}, // 6
        {true, false, true, false, false, true, false}, // 7
        {true, true, true, true, true, true, true}, // 8
        {true, true, true, true, false, true, true}, // 9
    };

    std::string first, second;
    std::cin >> first >> second;

    std::vector<int> second_dont_work; // indexes of don't work

    for (int i = 0; i < second.size(); ++i) {
        if (second[i] == '0') {
            second_dont_work.push_back(i);
        }
    }

    int global_max = 0;
    int current_max = 0;
    int current_number = -2;

    // std::cout << "for!" << std::endl;

    for (int i = 9; i >= 0; --i) {
        // std::cout << "i = " << i << std::endl;
        std::vector<bool> current_representation = numbers[i];
        // std::cout << "for2!" << std::endl;
        for (auto index: second_dont_work) {
            current_representation[index] = false;
        }

        // std::cout << "before it" << std::endl;

        auto it = std::find(numbers.begin(), numbers.end(), current_representation);
        // std::cout << "after it" << std::endl;
        if (it != numbers.end()) {
            if (it - numbers.begin() == current_number + 1) {
                current_number++;
                current_max++;
                global_max = std::max(global_max, current_max);
            } else {
                current_number = it - numbers.begin();
                current_max = 0;
            }
        } else {
            current_max = 0;
            current_number = -2;
        }
    }

    std::cout << global_max << std::endl;

    return 0;
}

/*
1111111
1101111
*/

/*
1
*/

// -------------------------------

/*
1011011
1101111
*/

/*
1
*/

// -------------------------------

/*
1101111
0010010
*/

/*
0
*/

// -------------------------------

/*
0000000
0000000
*/

/*
0
*/

// -------------------------------