#include <iostream>
#include <iomanip>
#include <string>
#include <vector>
#include <map>
#include <algorithm>
#include <deque>

std::string fun(std::string& str, int k) {

	int len = str.size();

	std::string res(len, '0');

	for (int i = 0; i < len; ++i) {
		if (k == 0) { break; }
		int pos = i;

		char min = '9' + 1;
		int min_pos = i;

		while (pos - i <= k && pos < len) {
			if (str[pos] < min && str[pos] != '0') {
				min = str[pos];
				min_pos = pos;
			}
			++pos;
		}

		k -= (min_pos - i);
		res[i] = str[min_pos];
		str[min_pos] = '0';
	}



	for (int i = 0; i < len; ++i) {
		if (str[i] == '0') {
			continue;
		}

		int tpos = i;
		while( res[tpos] != '0' ) {
			++tpos;
		}
		res[tpos] = str[i];

	}
	return res;
}


int main() {

	int n;
	std::cin >> n;
	while (n--) {
		std::string tmp;
		int k;
		std::cin >> tmp >> k;
		if (k == 0 || tmp.size() == 1) {
			std::cout << tmp << std::endl;;
		}
		else {
			std::cout << fun(tmp, k) << std::endl;
		}

	}
	return 0;
}



