bool isnum(string&x){
    for(auto y:x){
        if(y<'0'||y>'9'){
            ret 0;
        }
    }
    ret x.sz();
}

map<int,Node*> vroot;
map<int,Node*> vinit;
struct Node{
    Node* ptr;
    int val;
    Node(int x){
        val=x;
        ptr=this;
    }
    Node* reroot(){
        if(ptr==this){
            ret ptr;
        }
        ret ptr=ptr->reroot();
    }
};

void addchain(int x,int y){
    if(!vinit[x]){
        vroot[x]=vinit[x]=new Node(x);
    }
    if(!vinit[y]){
        vroot[y]=vinit[y]=new Node(y);
    }
    if(!vroot[x]){
        ret;
    }
    if(!vroot[y]){
        vroot[y]=new Node(y);
    }
    vroot[x]->ptr=vroot[y];
}

MII cache;
int root(int x){
    if(cache.count(x)){
        ret x;
    }
    if(vinit.count(x)){
        ret cache[x]=vinit[x]->reroot()->val;
    }else{
        ret cache[x]=x;
    }
}

void solve(){
    int n;
    string s;
    getline(cin,s);
    {
        sstream ss(s);
        string q;
        while(ss>>q){
            q.pp();
            if(isnum(q)){
                n=stoll(q);
            }
        }
    }
    VPII vp;
    while(getline(cin,s)){
        sstream ss(s);
        string q;
        int x=-1;
        int y;
        while(ss>>q){
            if(q[0]=='w'||q[0]=='}'){
                break;
            }
            q.pp();
            if(isnum(q)){
                if(x==-1){
                    x=stoll(q);
                }else{
                    y=stoll(q);
                }
            }
        }
        if(x!=-1){
            vp.pb({x,y});
        }
    }
    for(auto p:vp){
        int x=p.x;
        int y=p.y;
        addchain(x,y);
    }
    MII cost;
    int forall=3;
    while(vp.sz()){
        int x=vp.back().x;
        int y=vp.back().y;
        vp.pp();
        ++forall;
        if(cost.count(y)){
            cost[x]=cost[y]+1;
        }else{
            cost[x]=1;
        }
    }
    for(auto&p:cost){
        p.y+=forall;
    }
    cost[n]=1;
    int _=0;
    int ops=0;
    int cur=0;
    while(ops<500000){
        if(cur==n){
            _+=cost[cur];
            break;
        }
        if(cost.count(cur)){
            _+=cost[cur];
            cur=root(cur)+1;
        }else{
            auto it=cost.lower_bound(cur);
            _+=forall*(it->x-cur);
            cur=it->x;
        }
        ++ops;
    }
    if(ops>=500000){
        NE1;
    }
    ANS(_+1);
}