#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include "math.h"

using namespace std;

signed main() {
    vector<vector<int>> blocks;
    blocks.push_back({1,1,1,0,1,1,1}); //0
    blocks.push_back({0,0,1,0,0,1,0}); //1
    blocks.push_back({1,0,1,1,1,0,1}); //2
    blocks.push_back({1,0,1,1,0,1,1});//3
    blocks.push_back({0,1,1,1,0,1,0});//4
    blocks.push_back({1,1,0,1,0,1,1});//5
    blocks.push_back({1,1,0,1,1,1,1});//6
    blocks.push_back({1,0,1,0,0,1,0});//7
    blocks.push_back({1,1,1,1,1,1,1});//8
    blocks.push_back({1,1,1,1,0,1,1});//9
    vector<int> digs(10);
    for (int i = 0; i < 10; i++) {
        size_t t = 0;
        for (int j = 0; j < 7; j++) {
            t |= (blocks[i][j] << j);
        }
        digs[i] = t;
    }

    string fs, ss;
    cin >> fs;
    cin >> ss;
    int fi = 0;
    int se = 0;
    for (int j = 0; j < 7; j++) {
        if (fs[j] == '1') {
            fi |= (1 << j);
        }
        if (ss[j] == '1') {
            se |= (1 << j);
        }
    }
    int prev = -100;
    int cou = -1;
    int ans = 0;
    for (int i = 99; i >= 1; i--) {
        int cfi = i / 10;
        int cse = i % 10;
        int fi_dig = -100;
        if (cfi != 0) {
            for (int t = 1; t < 10; t++) {
                if (digs[t] == (digs[cfi] & fi)) {
                    fi_dig = t;
                }
            }
        } else {
            fi_dig = 0;
        }
        if (fi_dig == -100) {
            prev = -100;
            cou = -1;
            continue;
        }
        int se_dig = -100;
        for (int t = 1; t < 10; t++) {
            if (digs[t] == (digs[cse] & se)) {
                se_dig = t;
            }
        }
        if (se_dig == -100) {
            prev = -100;
            cou = -1;
            continue;
        }
        int cur = fi_dig * 10 + se_dig;
        if (cur == 0) {
            prev = -100;
            cou = -1;
            continue;
        }
        if (cur == prev+1) {
            cou+=1;
        } else {
            cou = 0;
        }
        prev = cur;
        ans = max(ans, cou);
    }
    cout << ans;

    return 0;
}
//
