#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>


using namespace std;
using namespace __gnu_pbds;

typedef tree<int, null_type, less<int>, rb_tree_tag,
        tree_order_statistics_node_update>
        ordered_set;

void solve(){
    int k;
    string s;
    cin >> s >> k;
    int n = s.size();
    ordered_set st; //start pos answered digits
    vector <int>  a(n);
    vector <int> b[10];
    vector <pair <int, int> > best(10, {n, n}); //pair {real pos, start pos}
    for(int i = 0; i < n; ++i){
        a[i] = s[i] - '0';
        b[a[i]].push_back(i);
        if(best[a[i]].first == n)
            best[a[i]] = {i, i};
    }
    for(int i = 0; i < 10; ++i)
        reverse(b[i].begin(), b[i].end());
    vector <int> ans;
    for(int i = 0; i < n; ++i){
        int digit = 10;
        for(int j = 1; j < 10; ++j){
            if(digit == 10&& best[j].second < n && best[j].first - i <= k){
                digit = j;
                k -= best[j].first - i;
            }
            else if(digit != 10 && best[j].first < best[digit].first){
                best[j].first++;
            }
        }
        ans.push_back(digit);
        st.insert(b[digit].back());
        b[digit].pop_back();
        if (b[digit].size() == 0)
            best[digit] = {n, n};
        else {
            int inv = st.size() - st.order_of_key(b[digit].back());
            best[digit] = {b[digit].back() + inv, b[digit].back()};
        }
        cout << digit;
    }
    cout << '\n';



}

signed main() {
    int t;
    cin >> t;
    while(t--){
        solve();
    }
    return 0;
}
//
