
#include <iostream>
#include <vector>
#include <map>
#include <set>
#include <algorithm>
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>

#define int long long

using namespace std;
using namespace __gnu_pbds;

typedef tree<int, null_type, less<int>, rb_tree_tag,
        tree_order_statistics_node_update>
        ordered_set;

void solve(){

    int k;
    string s;
    cin >> s >> k;
    int n = s.size();
    ordered_set st; //start pos answered digits
    vector <int>  a(n);
    vector <int> b[10];
    vector <int > best(10, n); //real pos
    for(int i = 0; i < n; ++i){
        a[i] = s[i] - '0';
        b[a[i]].push_back(i);
        if(best[a[i]] == n)
            best[a[i]] = i;
    }
    for(int i = 0; i < 10; ++i) {
        if (!b[i].empty())
            reverse(b[i].begin(), b[i].end());
    }
    vector <int> ans;
    for(int i = 0; i < n; ++i){
        int digit = 10;
        for(int j = 1; j < 10; ++j){
            if(digit == 10&& best[j] < n && best[j] - i <= k){
                digit = j;
                k -= best[j] - i;
            }
            else if(digit != 10 && best[j] < best[digit]){
                best[j]++;
            }
        }
        assert(digit != 10);
        st.insert(b[digit].back());
        b[digit].pop_back();
        if (b[digit].size() == 0)
            best[digit] = n;
        else {
            int inv = st.size() - st.order_of_key(b[digit].back()); //order_f_key - count of digits strictly smaller x
            best[digit] = b[digit].back() + inv; //inv = size - order = count of digits larger x
        }
        cout << digit;
    }
    cout << '\n';
}

signed main() {
    ios_base::sync_with_stdio();
    cin.tie();
    int t;
    cin >> t;
    while(t--){
        solve();
    }
    return 0;
}
//
