#include<bits/stdc++.h>

using namespace std;

#define int long long

const int INF = 1e9 + 7;

void solve(vector<pair<int, int>> coord){
    vector<pair<int, int>> ox;
    for (int i = 0; i < coord.size(); i++){
        if (coord[i].second == 0){
            ox.push_back(coord[i]);
        }
    }
    if (ox.size() < 2){
        cout << 0;
        return;
    }
    sort(ox.begin(), ox.end());
    pair<int, int> x1 = ox[0], x2 = ox[ox.size()- 1];
    double S = 0, max = 0;
    for (int i = 0; i < coord.size(); i++){
        S = sqrt(pow((coord[i].second * x2.first), 2) + pow((coord[i].second * x1.first), 2)) / 2;
        if (S > max){
            max = S;
        }
    }
    cout << fixed << setprecision(10) << max;
}

signed main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0); cout.tie(0);
    int n;
    int x, y;
    cin >> n;
    if (n < 3){
        cout << 0;
        return 0;
    }
    vector<pair<int, int>> coord(n);
    for (int i = 0; i < n; i++){
        cin >> x >> y;
        coord[i].first = x;
        coord[i].second = y;
    }
    solve(coord);
    return 0;
}