#include <bits/stdc++.h>

using namespace std;

double cArea(double x1, double y1, double x2, double y2, double x3, double y3) {
    return abs(x1 * (y2 - y3) + x2 * (y3 - y1) + x3 * (y1 - y2)) / 2.0;
}

bool vTriangle(double x1, double y1, double x2, double y2, double x3, double y3) {
    double k12 = abs((y1 - y2) / (x1 - x2));
    double k23 = abs((y2 - y3) / (x2 - x3));
    double k13 = abs((y3 - y1) / (x3 - x1));
    //cout << k12 << " " << k23 << " " << k13 << endl;
    //if (k12 == k23 && k23 == k13 || !(y1 == 0 && y2 == 0 || y2 == 0 && y3 == 0 || y1 == 0 && y3 == 0)
    if (k12 == k23 && k23 == k13)
        return true;

    return false;
}

int main() {

    int n, x, y;
    double maxArea = 0;
    cin >> n;

    vector<pair<double, double>> pointsOX;
    vector<pair<double, double>> pointsOther;

    for (int i = 0; i < n; i++) {
        cin >> x >> y;
        if (y == 0) {
            pointsOX.push_back({x, y});
        } else {
            pointsOther.push_back({x, y});
        }
    }

    for (int i = 0; i < pointsOX.size(); i++) {
        for (int j = 0; j < pointsOX.size(); j++) {
            if (pointsOX[i].first == pointsOX[j].first) continue;
            for (int k = 0; k < pointsOther.size(); k++) {
                double area = cArea(pointsOX[i].first, pointsOX[i].second,
                                    pointsOX[j].first, pointsOX[j].second,
                                    pointsOther[k].first, pointsOther[j].second);
                maxArea = max(maxArea, area);
            }
        }
    }
    cout << maxArea << endl;

    return 0;
}
