first = input()
second = input()

d = {
    '0': '1110111',
    '1': '0010010',
    '2': '1011101',
    '3': '1011011',
    '4': '0111010',
    '5': '1101011',
    '6': '1101111',
    '7': '1010010',
    '8': '1111111',
    '9': '1111011',
}


bits_to_digit = {
    '1110111': '0',
    '0010010': '1',
    '1011101': '2',
    '1011011': '3',
    '0111010': '4',
    '1101011': '5',
    '1101111': '6',
    '1010010': '7',
    '1111111': '8',
    '1111011': '9',
}

first_digit_to_bit = {}

for key, value in d.items():
    res = []
    for i in range(7):
        if first[i] == '0':
            res.append('0')
        else:
            res.append(value[i])
    first_digit_to_bit[key] = ''.join(res)

second_digit_to_bit = {}

for key, value in d.items():
    res = []
    for i in range(7):
        if second[i] == '0':
            res.append('0')
        else:
            res.append(value[i])
    second_digit_to_bit[key] = ''.join(res)

def get_new_number(digit, pos):
    if pos == 0:
        bits = second_digit_to_bit[digit]
    elif pos == 1:
        bits = first_digit_to_bit[digit]
    if bits in bits_to_digit:
        return bits_to_digit[bits]
    return 'not_found'


counter = 0
last = -100
maxx = 0
for i in range(100):
    str_i = str(i)
    if len(str_i) == 1:
        number = get_new_number(str_i[0], 0)
        if number == 'not_found':
            last = -100
            counter = 0
            continue
        new_digit = int(number)
    elif len(str_i) == 2:
        number1 = get_new_number(str_i[1], 0)
        number2 = get_new_number(str_i[0], 1)
        if number1 == 'not_found' or number2 == 'not_found':
            last = -100
            counter = 0
            continue
        new_digit = int(number2 + number1)
    if last - 1 == new_digit:
        counter += 1
    maxx = max(maxx, counter)
    last = new_digit
print(maxx)