#include <iostream>
#include <vector>
#include <algorithm>
#include <map>
#include <string>


using namespace std;

int main()
{
    ios::sync_with_stdio(false);

    int n(0);
    cin >> n;

    vector <int> vecX;
    vector <pair <int, int>> coords;
    for (int i(0); i < n; i ++) {
        int x(0), y(0);
        cin >> x >> y;

        if (y == 0) vecX.push_back(x);
        else {
            pair <int, int> p;
            p.first = x;
            p.second = y;
            coords.push_back(p);
        }
    }

    if (vecX.size() < 2) cout << 0;
    else {
        int mx(*max_element(vecX.begin(), vecX.end()));
        int mn(*min_element(vecX.begin(), vecX.end()));

        double s(-2);
        for (int i(0); i < coords.size(); i ++) {
            double x1(mn), y1(0), x2(mx), y2(0), x3(coords[i].first), y3(coords[i].second);
            double res(abs(x1 * (y2 - y3) + x2 * (y3 - y1) + x3 * (y1 - y2)) / 2);

            s = max(s, res);
        }

        cout << s;
    }

    return 0;
}
