#include <bits/stdc++.h>
    

using   std::cin, std::cout, std::sqrt, std::exp, std::sin, std::cos, std::pow, std::endl, std::flush,
        std::vector, std::set, std::map, std::unordered_set, std::unordered_map, std::pair, std::string,
        std::sort, std::unique, std::find, std::count, std::lower_bound, std::upper_bound, std::memcpy, std::memset;

template<typename T>
std::istream& operator>>(std::istream& is, vector<T>& vec)
{
    for (T& elem : vec)
        is >> elem;
    return is;
}

template<typename T>
std::ostream& operator<<(std::ostream& os, const vector<T>& vec)
{
    for (const T& elem : vec)
	    os << elem << ' ';
    return os;
}

template<typename T>
const T& max(const T& arg1, const T& arg2)
{
    if (arg1 > arg2)
        return arg1;
    return arg2;
}

template<typename T, typename... Args>
const T& max(const T& arg1, const T& arg2, Args... args)
{
    return max(max(arg1, arg2), args...);
}

template<typename T>
const T& min(const T& arg1, const T& arg2)
{
    if (arg1 < arg2)
        return arg1;
    return arg2;
}

template<typename T, typename... Args>
const T& min(const T& arg1, const T& arg2, Args... args)
{
    return min(min(arg1, arg2), args...);
}


namespace std
{
    template<typename T1, typename T2>
    struct hash<std::pair<T1,T2>>
    {
        size_t operator()(const std::pair<T1,T2>& pr) const
        {
            std::hash<T1> h1;
            std::hash<T2> h2;
            return h1(pr.first) ^ h2(pr.second);
        }
    };
}

using pii = pair<int,int>;
using pll = pair<long long, long long>;
using pdd = pair<double, double>;
int main()
{
    std::ios::sync_with_stdio(0);
    cin.tie(0);
    
    int n;
    cin >> n;
    vector<int> a(n);
    cin >> a;

    bool res = 0;
    for (int i = 0; i < n; i++)
        if (a[i] %2)
            res = 1;

    cout << (res ? "Alice" : "Dmitry") << '\n';
    return 0;
}
