#include <bits/stdc++.h>
    

using   std::cin, std::cout, std::sqrt, std::exp, std::sin, std::cos, std::pow, std::endl, std::flush,
        std::vector, std::set, std::map, std::unordered_set, std::unordered_map, std::pair, std::string,
        std::sort, std::unique, std::find, std::count, std::lower_bound, std::upper_bound, std::memcpy, std::memset;

template<typename T>
std::istream& operator>>(std::istream& is, vector<T>& vec)
{
    for (T& elem : vec)
        is >> elem;
    return is;
}

template<typename T>
std::ostream& operator<<(std::ostream& os, const vector<T>& vec)
{
    for (const T& elem : vec)
	    os << elem << ' ';
    return os;
}

template<typename T>
const T& max(const T& arg1, const T& arg2)
{
    if (arg1 > arg2)
        return arg1;
    return arg2;
}

template<typename T, typename... Args>
const T& max(const T& arg1, const T& arg2, Args... args)
{
    return max(max(arg1, arg2), args...);
}

template<typename T>
const T& min(const T& arg1, const T& arg2)
{
    if (arg1 < arg2)
        return arg1;
    return arg2;
}

template<typename T, typename... Args>
const T& min(const T& arg1, const T& arg2, Args... args)
{
    return min(min(arg1, arg2), args...);
}


namespace std
{
    template<typename T1, typename T2>
    struct hash<std::pair<T1,T2>>
    {
        size_t operator()(const std::pair<T1,T2>& pr) const
        {
            std::hash<T1> h1;
            std::hash<T2> h2;
            return h1(pr.first) ^ h2(pr.second);
        }
    };
}

using pii = pair<int,int>;
using pll = pair<long long, long long>;
using pdd = pair<double, double>;
int main()
{
    std::ios::sync_with_stdio(0);
    cin.tie(0);
    
    int n;
    string tmp;
    std::getline(std::cin, tmp, '\n');
    // cout << tmp << '\n';
    auto it1 = std::find(tmp.begin(), tmp.end(), '<') + 2;
    auto it2 = std::find(it1, tmp.end(), ';');
    n = std::stoll(std::string(it1, it2));

    vector<pii> prs;
    std::getline(std::cin, tmp, '\n');
    while (tmp.size() > 2 && std::find(tmp.begin(), tmp.end(), '}') == tmp.end())
    {
        if (std::find(tmp.begin(), tmp.end(), 'w') != tmp.end())
        {
            break;
        }
        it1 = std::find(tmp.begin(), tmp.end(), '=');
        it1 += 3;
        it2 = std::find(it1, tmp.end(), ')');
        auto x = std::stoll(std::string(it1, it2));

        it1 = std::find(it2, tmp.end(), '=') + 2;
        it2 = std::find(it1, tmp.end(), ';');
        auto y = std::stoll(std::string(it1, it2));

        prs.push_back({x, y});
        // cout << x << ' ' << y << endl;;
        std::getline(std::cin, tmp, '\n');
    }

    map<int, pii> mapa;
    int k = prs.size();
    for (int i = k-1; i >= 0; i--)
    {
        auto [x, y] = prs[i];
        if (mapa.count(y))
        {
            mapa[x] = {mapa[y].first, mapa[y].second + 1};
        }
        else
            mapa[x] = {y, 1};
    }
    mapa[n] = {n, 0};
    vector<int> trs;
    for (auto [k, v] : mapa)
    {
        // cout << "WW " << k << ' ' << v.first << ' ' << v.second << '\n'; 
        trs.push_back(k);
    }
    sort(trs.begin(), trs.end());
    long long res = 2;
    set<int> visited;
    int i = 0;
    while (i < n)
    {
        // cout << " i = " << i << endl;
        if (visited.count(i))
        {
            cout << "-1\n";
            return 0;
        }
        visited.insert(i);

        if (mapa.count(i))
        {
            // cout << "j " << mapa[i].first << endl;
            res += (k + mapa[i].second + 3);
            i = mapa[i].first + 1;
        }
        else
        {
            int j = *lower_bound(trs.begin(), trs.end(), i);
            // cout << "work " << (i - j) * 1ll * (k + 3) << endl;
            res += (j - i) * 1ll * (k + 3);
            i = j;
        }
    }
    cout << res << '\n';
    return 0;
}
