#include <iostream>
#include <vector>
#include <string>
#include <algorithm>

#define ll long long

int main() {
    int n = 0;
    std::ios_base::sync_with_stdio(false);
    std::cin >> n;

    std::vector<std::string> str(n);
    std::vector<unsigned ll> swaps(n);

    for (int i = 0; i < n; i++) {
        std::cin >> str[i] >> swaps[i];
    }

    for (int i = 0; i < n; i++) {
        std::string& s = str[i];
        unsigned long long k = swaps[i];
        int len = s.size();

        for (int j = 0; j < len && k > 0; j++) {
            char min_char = s[j];
            int min_index = j;

            for (int l = j + 1; l < len && l <= j + k; l++) {
                if (s[l] < min_char) {
                    min_char = s[l];
                    min_index = l;
                }
            }

            if (min_index != j) {
                int swaps_needed = min_index - j;
                if (swaps_needed <= k) {
                    for (int l = min_index; l > j; l--) {
                        std::swap(s[l], s[l - 1]);
                    }
                    k -= swaps_needed;
                }
            }
        }

        std::cout << s << std::endl;
    }

    return 0;
}
