#include <iostream>
#include <string>
#include <algorithm>

using namespace std;

string minimize_number(string s, int k) {
    int n = s.length();
    for (int i = 0; i < n; i++) {
        if (k <= 0) {
            break;
        }
        int min_pos = i;
        for (int j = i + 1; j <= min(i + k, n - 1); j++) {
            if (s[j] < s[min_pos]) {
                min_pos = j;
            }
        }
        if (min_pos != i) {
            char temp = s[min_pos];
            for (int j = min_pos; j > i; j--) {
                s[j] = s[j - 1];
                k--;
                if (k == 0) {
                    break;
                }
            }
            s[i] = temp; 
        }
    }
    return s;
}

int main() {
    int t;
    cin >> t;
    cin.ignore();
    
    for (int i = 0; i < t; i++) {
        string input;
        getline(cin, input);
        size_t space_pos = input.find(' ');
        string s = input.substr(0, space_pos);
        int k = stoi(input.substr(space_pos + 1));

        string result = minimize_number(s, k);
        cout << result << endl;
    }
    
    return 0;
}
