#define _CRT_SECURE_NO_WARNINGS

#include <algorithm>
#include <bitset>
#include <cassert>
#include <chrono>
#include <ctime>
#include <deque>
#include <fstream>
#include <functional>
#include <initializer_list>
#include <iomanip>
#include <iostream>
#include <map>
#include <math.h>
#include <queue>
#include <random>
#include <set>
#include <stack>
#include <stdexcept>
#include <string>
#include <unordered_map>
#include <unordered_set>
#include <vector>

using namespace std;

#define ll long long
#define ull unsigned long long
#define ld long double
#define sz(a) (int) a.size()
#define all(a) a.begin(), a.end()
#define rall(a) a.rbegin(), a.rend()

const int inf = (int)2e9;
const ll linf = (ll)1e18;

const ll mod = (ll)1e9 + 7ll;

mt19937 rnd(chrono::steady_clock::now().time_since_epoch().count());

void solve() {
	int n; cin >> n;
	ll on_ox = 0;
	ll min_ox = inf;
	ll max_ox = -inf;
	ll max_h = 0;

	for (int i = 0; i < n; ++i) {
		ll x, y; cin >> x >> y;
		if (y == 0) {
			on_ox++;
			min_ox = min(min_ox, x);
			max_ox = max(max_ox, x);
		}
		else {
			max_h = max(max_h, abs(y));
		}
	}

	if (on_ox < 2) cout << 0;
	else {
		ll res = (max_ox - min_ox) * max_h;
		if (res % 2 == 0) cout << res / 2;
		else cout << res / 2 << ".5";
	}

}


signed main() {
	ios_base::sync_with_stdio(false); cin.tie(nullptr); cout.tie(nullptr);
	//freopen("test.in", "r", stdin);
	//freopen("test.in", "w", stdout);
	//cout << fixed << setprecision(7);

	//clock_t start = clock();
	
	int tests = 1;
	//cin >> tests;
	for (int test = 1; test <= tests; ++test) {
		solve();
	}

	//clock_t end = clock();
	//ld seconds = (ld)(end - start) / CLOCKS_PER_SEC;
	//cout << seconds << "\n";
}