#pragma GCC optimize ("O3")
#include <bits/stdc++.h>
typedef long long ll;
#define int ll
using namespace ::std;
#define forn(i, n) for (int i = 0; i < n; ++i)
#define fore(collection) for (auto& val : collection)
#define all(v) v.begin(), v.end()
#define rall(v) v.rbegin(), v.rend()
#define dbg(v) cerr << "Line(" << __LINE__ << ") -> " << #v << " = " << (v) << endl;
#define cmax(u, v) u = max(u, v)
#define cmin(u, v) u = min(u, v)
typedef vector<int> vi;
typedef vector<vi> vvi;
typedef vector<ll> vll;
typedef vector<vll> vvll;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;
template<typename ValueType>
istream& operator>>(istream& in, vector<ValueType>& vect) { fore(vect) in >> val; return in; }
template<typename ValueType>
ostream& operator<<(ostream& out, const vector<ValueType>& vect) { fore(vect) out << val << " "; return out; }


map<pii, int> mp;

int foo(int n, int k) {
    if (n == 0)
        return 0;
    if (n == 1 || n == 2)
        return 1;
    assert(n > 2);
    if (k == 1)
        return n - 1;
    pii p(n, k);
    {
        auto it = mp.find(p);
        if (mp.find(p) != mp.end())
            return it->second;
    }
    auto it = mp.insert({p, 1e9}).first;
    int l = 1, r = n - 1;
    while (l + 3 < r) {
        int dm = (r - l) / 3;
        int m1 = dm + l;
        int m2 = 2 * dm + l;
        int x1 = max(foo(n - (m1 + 1), k), foo(m1 + 1, k - 1));
        int x2 = max(foo(n - (m2 + 1), k), foo(m2 + 1, k - 1));
        if (x1 > x2) {
            l = m1;
        } else {
            r = m2;
        }
    }
    for (int i = l; i <= r; ++i) {
        cmin(it->second, max(foo(n - (i + 1), k), foo(i + 1, k - 1)) + 1);
    }
    return it->second;
}

void doWork()
{
    int n, k;
    cin >> n >> k;
    k *= 2;
    cout << foo(n, k) << endl;
}

signed main()
{
    srand(chrono::duration_cast<chrono::nanoseconds>(chrono::steady_clock::now().time_since_epoch()).count());
    ios_base::sync_with_stdio(false);
    int t = 1;
    cin >> t;
    while (t--)
    {
        try
        {
            doWork();
        }
        catch(const std::exception& e)
        {
            std::cerr << e.what() << '\n';
            return 0;
        }
    }
    return 0;
}
