#include <iostream>
#include <vector>
#include <cmath>
using namespace std;


int main() {
    int n;
    cin >> n;

    vector<pair<int, int>> a;
    vector<pair<int, int>> b;

    for (int i = 0; i < n; ++i) {
        int x, y;
        cin >> x >> y;

        if (y == 0) {
            b.push_back({x, y});
        } 
        else {
            a.push_back({x, y});
        }
    }

    int bcountMax = 0;
    int bcountMin = 0;
    for (int i = 1; i < b.size(); ++i) {
        if (b[i].first > b[bcountMax].first) {
            bcountMax = i;
        }
        if (b[i].first < b[bcountMin].first) {
            bcountMin = i;
        }
    }

    double maxS = 0;
    for (int i = 0; i < a.size(); ++i) {
        int x1 = b[bcountMin].first;
        int x2 = b[bcountMax].first;
        int x3 = a[i].first;
        int y1 = b[bcountMin].second;
        int y2 = b[bcountMax].second;
        int y3 = a[i].second;

        double S = abs((x2 - x1) * (y3 - y1) - (x3 - x1) * (y2 - y1)) / 2.0;

        if (S > maxS) {
            maxS = S;
        }
    }

    cout << maxS << endl;

    return 0;
}
