#include <bits/stdc++.h>

#define pb push_back

using namespace std;

void f(string &s, long long k) {
    int n = s.size();
    if (k >= n * (n - 1) / 2) {
        sort(s.begin(), s.end());
    }

    for (int i = 0; i < n && k > 0; ++i) {
        // Найдём минимальный символ в пределах [i, i + k]
        int minPos = i;
        for (int j = i + 1; j < n && j - i <= k; ++j) {
            if (s[j] < s[minPos]) {
                minPos = j;
            }
        }

        int swapsNeeded = minPos - i;
        if (swapsNeeded > k) break;  // Если перестановок больше, чем осталось в k, выходим

        k -= swapsNeeded;

        // Перемещаем минимальную найденную цифру в позицию i
        char minChar = s[minPos];
        for (int j = minPos; j > i; --j) {
            s[j] = s[j - 1];
        }
        s[i] = minChar;
    }
}


signed main() {
#ifdef LOCAL
    freopen("in.txt", "r", stdin);
#endif
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(nullptr);
    std::cout.tie(nullptr);

    int t;
    cin >> t;
    while (t--) {
        string s;
        long long k;
        cin >> s >> k;
        f(s, k);
        cout << s << "\n";
    }
    return 0;
}