def is_wooden_matrix(n, matrix):
    for i in range(n):
        for j in range(i + 1, n):
            for k in range(j + 1, n):
                if matrix[i][j] > matrix[i][k] + matrix[j][k] or matrix[i][k] > matrix[i][j] + matrix[j][k] or \
                        matrix[j][k] > matrix[i][k] + matrix[i][j]:
                    return "No"
    return "Yes"


if __name__ == "__main__":
    n = int(input())
    matrix = [list(map(int, input().split())) for _ in range(n)]

    result = is_wooden_matrix(n, matrix)
    print(result)