#include <iostream>
#include <vector>

int main() {
	int x, y;
	int n;
	double result = 0;
	std::cin >> n;
	std::vector<std::pair<int, int>> points(n);

	for (int i = 0; i < n; ++i) {
		std::cin >> points[i].first >> points[i].second;
	}

	double maxBase = 0;
	double maxHeight = 0;
	int minX = 1001, maxX = -1001;
	int flag = 0;
	
	for (int i = 0; i < n; ++i) {
		int x = points[i].first;
		int y = points[i].second;

		if (y == 0) {
			if (x < minX) minX = x;
			if (x > maxX) maxX = x;
			flag = 1;
		}
		else {
			double height = std::abs(y);
			if (height > maxHeight) {
				maxHeight = height;
			}
		}
	}

	if (flag) {
		maxBase = maxX - minX;
	}

	double maxArea = 0.5 * maxBase * maxHeight;
	
	if (flag && maxHeight > 0)
		std::cout << maxArea << std::flush;
	else
		std::cout << 0.0 << std::flush;

	return 0;
}