#include <iostream> 
#include <unordered_map> 
#include <vector> 

int main() {
    std::unordered_map<int, std::vector<int>> digits;
    digits[0] = { 1, 1, 1, 0, 1, 1, 1 };
    digits[1] = { 0, 0, 1, 0, 0, 1, 0 };
    digits[2] = { 1, 0, 1, 1, 1, 0, 1 };
    digits[3] = { 1, 0, 1, 1, 0, 1, 1 };
    digits[4] = { 0, 1, 1, 1, 0, 1, 0 };
    digits[5] = { 1, 1, 0, 1, 0, 1, 1 };
    digits[6] = { 1, 1, 0, 1, 1, 1, 1 };
    digits[7] = { 1, 0, 1, 0, 0, 1, 0 };
    digits[8] = { 1, 1, 1, 1, 1, 1, 1 };
    digits[9] = { 1, 1, 1, 1, 1, 0, 1 };

    std::vector<int> possible_numb1;
    std::vector<int> possible_numb2;

    std::vector<int> a(7);
    for (int i = 0; i < 7; i++) {
        a[i] = getchar() - '0';
    }
    getchar();
    std::vector<int> b(7);
    for (int i = 0; i < 7; i++) {
        b[i] = getchar() - '0';
    }

    possible_numb1.push_back(0);
    for (int i = 0; i < 10; i++) {
        bool valid = true;
        for (int j = 0; j < 7; j++) {
            if (a[j] == 0 && digits[i][j] == 1) {
                valid = false;
                break;
            }
        }
        if (valid) {
            if (i != 0) {
                possible_numb1.push_back(i);
            }
        }
    }

    for (int i = 0; i < 10; i++) {
        bool valid = true;
        for (int j = 0; j < 7; j++) {
            if (b[j] == 0 && digits[i][j] == 1) {
                valid = false;
                break;
            }
        }
        if (valid) {
            possible_numb2.push_back(i);
        }
    }

    int maxk = 0;
    int k = 0;
    int pred = -1;
    if (possible_numb2.empty()) {
        std::cout << 0;
        return 0;
    }

    for (int val1 : possible_numb1) {
        for (int val2 : possible_numb2) {
            int chisl = val1 * 10 + val2;

            if (chisl == pred + 1 && chisl != 0) {
                k++;
            }
            else if (chisl == 0) {
                continue;
            }
            else if (chisl > pred + 1) {

                k = 0;
            }
            if (k > maxk) {
                maxk = k;
            }
            pred = chisl;
        }

    }

    std::cout << maxk;
    return 0;
}
