#include <bits/stdc++.h>

/*
#pragma GCC optimize("Ofast")
#pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,abm,mmx,avx,avx2,tune=native" )
#pragma GCC optimize("O3")
#pragma GCC optimize("unroll-loops")
#pragma GCC optimize("profile-values,profile-reorder-functions,tracer")
//*/

#define fi first
#define se second
#define all(x) x.begin(), x.end()
#define pb push_back

using namespace std;

using ll = int64_t;
using ld = long double;
using pll = pair <ll, ll>;

const ll MOD = 1e9 + 9;
const ll INF = 1e18 + 123;
const ld EPS = 1e-10;

/*
 * mt19937 rng(chrono::steady_clock::now().time_since_epoch().count());
 * uniform_int_distribution<int>(0, i)(rng)
 */

void cok(bool pr) {
    if (pr) {
        cout << "YES\n";
    } else {
        cout << "NO\n";
    }
}

/*
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/trie_policy.hpp>

using namespace __gnu_pbds;

typedef tree<
string,
null_type,
less<string>,
rb_tree_tag,
tree_order_statistics_node_update>
ordered_set;
*/


void solve() {
    ll n;
    cin >> n;

    vector <ll> a(n);
    for (auto& i : a) {
        cin >> i;
    }

    ll s, f;
    cin >> s >> f;
    s--;
    f--;

    vector <pair <pll, ll>> ans;

    if (s < f) {
        for (ll i = s; i < f; i++) {
            if (abs(a[i] - a[i + 1]) == 1) {
                cout << "Impossible" << endl;
                return;
            }
        }

        for (ll i = s; i < f; ) {
            ll l = i, r = i + 1;

            while (r < f && a[r] == a[l]) {
                r++;
            }

            ll g = abs(a[r] - a[l]);

            while (g > 1 && r < f) {
                if ((a[r + 1] == a[r] && __gcd(g, a[r]) > 1) || (a[r + 1] != a[r] && __gcd(g, abs(a[r + 1] - a[r])) > 1)) {
                    if (a[r + 1] != a[r]) {
                        g = __gcd(g, abs(a[r + 1] - a[r]));
                    } else {
                        g = __gcd(g, a[r]);
                    }

                    r++;
                } else {
                    break;
                }
            }
            i = r;

            if (g != 0) {
                ans.pb({{l, r}, g});
            } else {
                ans.pb({{l, r}, a[l]});
            }
        }
    } else {
        swap(f, s);

        for (ll i = f; i > s; i--) {
            if (abs(a[i] - a[i - 1]) == 1) {
                cout << "Impossible" << endl;
                return;
            }
        }

        for (ll i = f; i > s; ) {
            ll l = i, r = i - 1;

            // cout << l << ' ' << r << endl;
            while (r > s && a[r] == a[l]) {
                r--;
            }
            // cout << l << ' ' << r << endl;

            ll g = abs(a[r] - a[l]);

            while (g > 1 && r > s) {
                if ((a[r - 1] == a[r] && __gcd(g, a[r]) > 1) || (a[r - 1] != a[r] && __gcd(g, abs(a[r - 1] - a[r])) > 1)) {
                    if (a[r - 1] != a[r]) {
                        g = __gcd(g, abs(a[r - 1] - a[r]));
                    } else {
                        g = __gcd(g, a[r]);
                    }

                    r--;
                } else {
                    break;
                }
            }

            i = r;

            if (g != 0) {
                ans.pb({{l, r}, g});
            } else {
                ans.pb({{l, r}, a[l]});
            }
        }
    }

    for (auto i : ans) {
        cout << "Kaban-" << i.se << ' ' << i.fi.fi + 1 << ' ' << i.fi.se + 1 << endl;
    }
}


int main() {
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(false);

    ll t = 1;

    // cin >> t;

    while (t--) {
        solve();

        // cout << '\n';
    }

    return 0;
}