#include <iostream>
#include <map>
#include <set>
#include <iomanip>
#include <string>
#include <algorithm>
#include <vector>
#include <cmath>
#include <algorithm>

#pragma GCC optimize("Ofast")
#pragma GCC optimize("unroll-loops")
#pragma GCC optimize("O3")
#pragma GCC target("sse,sse2,sse3,ssse3,sse4,popcnt,abm,mmx,avx,avx2,fma")

#define vec vector <ll>
#define ll long long
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()
#define forn(n, i) for(ll (i) = 0; (i) < (n); (i)++)
using namespace std;

ll matrix[1000][1000];
ll n;

bool sym() {

    for (ll i = 0; i < n; ++i) {
        for (ll j = 0; j < n; ++j) {
            if (matrix[i][j] != matrix[j][i])
                return false;
            if (i == j && matrix[i][j] != 0) 
                return false;
        }
    }
    return true;
}

bool treyg() {
    for (ll i = 0; i < n; ++i) {
        for (ll j = 0; j < n; ++j) {
            for (ll k = 0; k < n; ++k) {
                if (matrix[i][j] > matrix[i][k] + matrix[k][j])
                    return false;
            }
        }
    }
    return true;
}

bool wood() {
    return sym() && treyg();
}

int main() {
    cin >> n;


    for (ll i = 0; i < n; ++i) {
        for (ll j = 0; j < n; ++j) {
            cin >> matrix[i][j];
        }
    }

    if (wood()) {
        cout << "Yes" << endl;
    }
    else {
        cout << "No" << endl;
    }

    return 0;
}
