from functools import lru_cache
def cnt(r, g, b):
    @lru_cache(None)
    def dp(last, r, g, b):
 
        if r == 0 and g == 0 and b == 0:
            return 1
        arrangements = 0

        if last != 'R' and r > 0:
            arrangements += dp('R', r - 1, g, b)
        if last != 'G' and g > 0:
            arrangements += dp('G', r, g - 1, b)
        if last != 'B' and b > 0:
            arrangements += dp('B', r, g, b - 1)
        return arrangements
    
    return dp(None, r, g, b)

r, g, b = list(int(i) for i in input().split())
print(cnt(r, g, b))