
#include <iostream>
#include <vector>
#include <string>
#include <algorithm>
#include <iomanip>
#include <map>
#include <set>


typedef long long ll;
using namespace std;
string alph = "abcdefghijklmnopqrstuvwxyz";

/*
aba
aaaaaba
*/
//struct node {
//    ll ans, left, right, sum;
//};
//
//vector<node> tree;
//vector<int> a;
//
//void build(int v, int l, int r) {
//    if (l + 1 == r) {
//        tree[v] = { max(a[l], 0), a[l], a[l], a[l] };
//        return;
//    }
//    int m = (l + r) / 2;
//    build(2 * v + 1, l, m);
//    build(2 * v + 2, m, r);
//    tree[v].ans = max(max(tree[2 * v + 1].ans, tree[2 * v + 2].ans), tree[2 * v + 1].right + tree[2 * v + 2].left);
//    tree[v].left = max(tree[2 * v + 1].left, tree[2 * v + 1].sum + tree[2 * v + 2].left);
//    tree[v].right = max(tree[2 * v + 2].right, tree[2 * v + 2].sum + tree[2 * v + 1].right);
//    tree[v].sum = tree[2 * v + 1].sum + tree[2 * v + 2].sum;
//}
//
//void upd(int v, int l, int r, int pos, int x) {
//    if (l + 1 == r) {
//        tree[v] = { max(x, 0), x, x, x };
//        return;
//    }
//    int m = (l + r) / 2;
//    if (pos < m)
//        upd(2 * v + 1, l, m, pos, x);
//    else
//        upd(2 * v + 2, m, r, pos, x);
//    tree[v].ans = max(max(tree[2 * v + 1].ans, tree[2 * v + 2].ans), tree[2 * v + 1].right + tree[2 * v + 2].left);
//    tree[v].left = max(tree[2 * v + 1].left, tree[2 * v + 1].sum + tree[2 * v + 2].left);
//    tree[v].right = max(tree[2 * v + 2].right, tree[2 * v + 2].sum + tree[2 * v + 1].right);
//    tree[v].sum = tree[2 * v + 1].sum + tree[2 * v + 2].sum;
//}
//
//node get(int v, int l, int r, int ql, int qr) {
//    if (l >= qr || r <= ql)
//        return { 0, 0, 0, 0 };
//    if (l >= ql && r <= qr) {
//        return tree[v];
//    }
//    int m = (l + r) / 2;
//    node x, x1 = get(2 * v + 1, l, m, ql, qr), x2 = get(2 * v + 2, m, r, ql, qr);
//    x.ans = max(max(x1.ans, x2.ans), x1.right + x2.left);
//    x.left = max(x1.left, x1.sum + x2.left);
//    x.right = max(x2.right, x2.sum + x1.right);
//    x.sum = x1.sum + x2.sum;
//    return x;
//}
//
//vector<int> p;
//vector<int> sz;
//
//int get(int v) {
//    if (p[v] == v)
//        return v;
//    return p[v] = get(p[v]);
//}
//
//void unite(int a, int b) {
//    a = get(a);
//    b = get(b);
//    if (a == b)
//        return;
//    if (sz[a] > sz[b]) {
//        a = a ^ b;
//        b = a ^ b;
//        a = a ^ b;
//    }
//    p[a] = b;
//    sz[b] += sz[a];
//}

struct point {
    int x, y;
};

void solve() {
    int n;
    cin >> n;
    vector<point> a, b;
    for (int i = 0; i < n; i++) {
        int x, y;
        cin >> x >> y;
        int f = 0;
        for (int i = 0; i < a.size(); i++) {
            if (a[i].x == x && a[i].y == y) {
                f = 1;
                break;
            }
        }
        if (f == 1)
            continue;
        a.push_back({ x, y });
        if (y == 0) {
            b.push_back({ x, y });
        }
    }
    if (b.size() < 2) {
        cout << 0;
        return;
    }
    sort(b.begin(), b.end(),
        [](point a, point b) {
            return a.x < b.x;
    });
    point p1 = b[0], p2 = b[b.size() - 1];
    int mx = 0;
    for (int i = 0; i < n; i++) {
        int ans = 0;
        if (a[i].y != 0) {
            ans = (p2.x - p1.x) * abs(a[i].y);
            mx = max(mx, ans);
        }
    }
    cout << mx / 2;
    if (mx % 2 != 0)
        cout << ".5";
}

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);
    int t = 1;
    //cin >> t;
    while (t--)
        solve();

}