﻿#include <iostream>
#include <string>

int parseOrdinal(const std::string& s, int& pos) {
    if (s[pos] != '{') {
        return 0; // если не найдено { - что-то пошло не так
    }
    pos++; // пропускаем {
    int count = 0;

    // пока не дошли до закрывающей скобки
    while (s[pos] != '}') {
        if (s[pos] == '{') {
            // рекурсивно парсим вложенное множество
            count++;
            count += parseOrdinal(s, pos);
        }
        // Пропускаем запятую (если она есть)
        if (s[pos] == ',') {
            pos++; // пропускаем запятую
        }
    }

    pos++; // пропускаем }
    return count;
}

int main() {
    std::string input;
    std::cin >> input;

    int pos = 0;
    int n = parseOrdinal(input, pos);

    std::cout << n << std::endl;

    return 0;
}