def create_program_map(n, programs):
    present = ['.'] * 26  # 26 букв от 'a' до 'z'

    for program in programs:
        first_letter = program[0]
        index = ord(first_letter) - ord('a')
        present[index] = first_letter

    table = []
    for i in range(5):
        row = ''.join(present[i * 6:(i + 1) * 6])
        table.append(row)

    return table

n = int(input())
programs = [input().strip() for _ in range(n)]

result = create_program_map(n, programs)

for row in result:
    print(row)