#define GLIBCXX_DEBUG

#include <bits/stdc++.h>

using namespace std;

template <class T>
T gcd(T a, T b) {
    while (b) a = a % b, swap(a, b);
    return a;
}

const long long mod = 998244353;

int64_t poww(int64_t val, int64_t d, int64_t modd = mod) {
    int64_t ans = 1, mn = val;
    while (d) {
        if (d & 1) ans = mn * ans % modd;
        mn = mn * mn % modd, d >>= 1;
    }
    return ans;
}

void solve() {
    int n; cin >> n;
    vector<int> a(n); 
    for(auto &el: a) cin >> el;
    for (int i = 0; i < n; ++i){
        if(a[i]%2==1){
            cout << "Alice\n";
            return;
        }
    }
    cout << "Dmitry\n";
}

signed main() {
    ios::sync_with_stdio(false), cin.tie(nullptr), cout.tie(nullptr);
    int t = 1;
    while (t--) solve();
}
