#define GLIBCXX_DEBUG
 
#include <bits/stdc++.h>
 
using namespace std;
using ll = long long;
template <class T>
T gcd(T a, T b) {
    while (b) a = a % b, swap(a, b);
    return a;
}
 
const ll mod = 998244353;
 
int64_t poww(int64_t val, int64_t d, int64_t modd = mod) {
    int64_t ans = 1, mn = val;
    while (d) {
        if (d & 1) ans = mn * ans % modd;
        mn = mn * mn % modd, d >>= 1;
    }
    return ans;
}


ll calc(ll n, ll k, bool flag=false) {
    if (n == 1 || n == 0) return 0;
    if (k == 0) return max(0LL,n-1);
    if (flag) {
        ll a = max(calc(n/2, k, true), calc(n-n/2,k, false));
        ll b = max(calc(n/2, k, false), calc(n-n/2,k, true));
        return max(a,b)+1;
    }
    else {
        ll a = max(calc(n/2, k-1, true), calc(n-n/2,k, false));
        ll b = max(calc(n/2, k, false), calc(n-n/2,k-1, true));
        return max(a,b)+1;
    }
}
 
void solve() {
    ll n,k;
    cin >> n >> k;
    ll ans = max(calc(n/2, k-1, true), calc(n-n/2, k, false));
    ll ans2 = max(calc(n/2, k, false), calc(n-n/2, k-1, true));
    cout << max(ans,ans2)+1 << '\n';
}
 
signed main() {
    ios::sync_with_stdio(false), cin.tie(nullptr), cout.tie(nullptr);
    int t = 1;
    cin >> t;
    while (t--) solve();
}
