#include <bits/stdc++.h>
using namespace std;

#define ios ios::sync_with_stdio(0);cin.tie(0);cout.tie(0)

typedef unsigned long long ll;
typedef pair<ll, ll> pll;

const ll INF = 1e10;

void solve() {
    map<ll, ll> norm_from = {
        {0b1110111, 0},
        {0b0010010, 1},
        {0b1011101, 2},
        {0b1011011, 3},
        {0b0111010, 4},
        {0b1101011, 5},
        {0b1101111, 6},
        {0b1010010, 7},
        {0b1111111, 8},
        {0b1111011, 9}
    };

    map<ll, ll> to_norm;

    for (auto p: norm_from) {
        to_norm[p.second] = p.first;
    }

    string f_s, s_s;
    cin >> f_s >> s_s;
    ll f_m = (ll) bitset<64>(f_s).to_ulong(), s_m = (ll) bitset<64>(s_s).to_ulong();
    // cout << f_m<< ' ' << s_m << '\n';
    map<ll, ll> inc_f, inc_s;

    for (ll i = 0; i < 10; i++) {
        inc_f[i] = f_m & to_norm[i];
        inc_s[i] = s_m & to_norm[i];
    }

    ll lst = -1;
    ll cnt = 0;
    ll ans = 0;

    for (ll i = 99; i > 0; i--) {
        ll f = i / 10;
        ll s = i % 10;

        if ((f != 0 >= norm_from.count(inc_f[f])) && norm_from.count(inc_s[s]) && ((f != 0) >= (norm_from[inc_s[s]] != 0))) {
            ll cur = (norm_from[inc_f[f]] * 10) * (f != 0) + norm_from[inc_s[s]];

            if (cur == lst + 1) {
                cnt += 1;
            }
            else {
                ans = max(ans, cnt);
                cnt = 0;
            }

            lst = cur;
        }
        else {
            ans = max(ans, cnt);
            cnt = 0;
            lst = -1;
        }
    }
    
    cout << ans << '\n';
}

int main() {
    ios;
    int T = 1;
    // cin >> T;
    while (T--) solve();
}