#include <iostream>
#include <cmath>
#include <algorithm>
using namespace std;

int main() {
    int n;
    cin >> n;
    int x, y;
    int minX = 1001, maxX = -1001; 
    int maxYAbove = 0, maxYBelow = 0; 

    for (int i = 0; i < n; ++i) {
        cin >> x >> y;
        if (y == 0) {

            minX = min(minX, x);
            maxX = max(maxX, x);
        } else {
  
            maxYAbove = max(maxYAbove, y);
            maxYBelow = min(maxYBelow, y);
        }
    }

    double maxBase = maxX - minX;

    if (maxBase <= 0) {
        cout << "0\n";
        return 0;
    }

    double maxArea1 = 0.5 * maxBase * maxYAbove;
    double maxArea2 = 0.5 * maxBase * abs(maxYBelow);
    double result = max(maxArea1, maxArea2);
	if (result == 0) {
        cout << "0\n";
    } else {
        cout << result << endl;
    }
//    cout.precision(9);
//    cout << fixed << result << endl;

    return 0;
}
