#include <bits/stdc++.h>

#include <cwchar>
#include <iomanip>
// #include <linux/limits.h>
#include <utility>
#include <vector>

//#include <ext/pb_ds/assoc_container.hpp>
//#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
//using namespace __gnu_pbds;

#define int long long
#define all(x) (x).begin(), (x).end()
#define rall(x) (x).rbegin(), (x).rend()

#define Sz(x) ((int)(x).size())

//typedef tree<
//        pair<int, pair<int, int>>,
//        null_type,
//        less<>,
//        rb_tree_tag,
//        tree_order_statistics_node_update>
//        ordered_set;

using ld = long double;
[[maybe_unused]] constexpr static int INF = (int) 1e18 + 10 + 300 + 5251 + 14154;
using pii = pair<int, int>;
using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vpi = vector<pii>;

#ifdef LOCAL

void debugPrint(std::integral auto integer) {cerr << integer;}
void debugPrint(std::floating_point auto kek) {cerr << kek;}

void debugPrint(const std::string& s) {cerr << "\"" << s << "\"";}
void debugPrint(const char* s) {cerr << "\"" << s << "\"";}
void debugPrint(bool b) {cerr << (b ? "true" : "false");}
void debugPrint(char  c) {cerr << "\'" << c << "\'";}
template <typename F, typename S>
void debugPrint(const pair<F, S> & p) { cerr << "{"; debugPrint(p.first); cerr << ", "; debugPrint(p.second); cerr << "}";}

template<typename T>
void debugPrint(complex<T> c) { cerr << "{"; debugPrint(c.real()); cerr << ", "; debugPrint(c.imag()); cerr << "}";}

template <template <typename> class Container, typename T>
    requires (!same_as<T, char>)
void debugPrint(Container<T> & container) {
    cerr << "{";
    for (auto it = container.begin(); it != container.end(); ++it) {
        if (it == container.begin()) {
            debugPrint(*it);
        } else {
            cerr << ", ";
            debugPrint(*it);
        }
    }
    cerr << "}";
}

void debugPrint() {}

void debugPrint(auto head, auto... tail) {
    debugPrint(head); if (sizeof...(tail) != 0) {
        cerr << ", ";
    }
    debugPrint(tail...);
}

#endif

#ifdef LOCAL
#define debug(x...) cerr << "[" << #x << "] = ["; debugPrint(x); cerr << "]\n";
#else
#define debug(x...) 52
#endif

int bpow(int x, int y, int M = INF) {
    x %= M;
    int res = 1;
    while (y) {
        if (y & 1) res = x * res % M;
        x = x * x % M;
        y >>= 1;
    }
    return res;
}

int gcd(int a, int b, int & x, int & y) {
    if (a == 0) {
        x = 0; y = 1;
        debug(x, y);
        return b;
    }
    int x1, y1;
    int d = gcd (b%a, a, x1, y1);
    x = y1 - (b / a) * x1;
    y = x1;
    debug(x, y);
    return d;
}

vi remDup(vi a) {
    sort(all(a));
    a.erase(unique(all(a)), a.end());
    return a;
}

void solve(int numberTest) {
    int n;
    cin >> n;
    vpi v(n);
    
    int minY = INF;
    int maxY = -INF;

    for (auto& [x, y] : v) {
        cin >> x >> y;
        minY = min(minY, y);
        maxY = max(maxY, y);
    }

    ld res = 0.0;
    for (int i = 0; i < n; i++) {
        for (int j = i + 1; j < n; j++) {
            if (v[i].second != 0 || v[j].second != 0) continue;
            int dx = abs(v[i].first - v[j].first);
            int dy = max(abs(minY), abs(maxY));
            ld cur = ld(dx * dy) / 2;
            res = max(res, cur);
        }
    }
    cout << fixed << setprecision(15);
    cout << res << "\n";
}

void solveG() {
    int n;
    cin >> n;
    vector<int> a(n);
    for (auto& i : a) {
        cin >> i;
    }    
    for(auto& i: a) {
        if (i % 2 == 1) {
            cout << "Alice\n";
            return;
        }
    }
    cout << "Dmitry\n";
}

// void solveH() {
//     string s;
//     cin >> s;
//     int k;
//     cin >> k;
//     int left = 0;
//     for (int i = 1; i <= 9; ++i) {
//         vector<int> p;
//         for (int j = left; j < Sz(s); ++j) {
//             if (s[j]  - '0' == i) p.push_back(j);
//         }
//         int cnt = 0;
//         int new_left = left;
//         for (auto& pos: p) {
//             if (pos - new_left <= k) {
//                 k -= (pos - new_left);
//                 ++cnt;
//                 ++new_left;
//             } else {
//                 break;
//             }
//         }
//         string cpy = s;
//         for (int j = left; j < left + cnt; ++j) {
//             cpy[j] = '0' + i;
//         }
//         int ptr = left + cnt;
//         for (int j = left; j < Sz(s); ++j) {
//             if (s[j] == '0' + i && cnt > 0) {
//                 --cnt;
//                 continue;
//             }
//             cpy[ptr] = s[j];
//             ++ptr;
//         }
//         left = new_left;
//         s = std::move(cpy);
//     }
//     for (int i = 1; i <= 9; ++i) {
//         vector<int> p;
//         for (int j = left; j < Sz(s); ++j) {
//             if (s[j]  - '0' == i) p.push_back(j);
//         }
//         int cnt = 0;
//         int new_left = left;
//         for (auto& pos: p) {
//             if (pos - new_left <= k) {
//                 k -= (pos - new_left);
//                 ++cnt;
//                 ++new_left;
//             } else {
//                 break;
//             }
//         }
//         string cpy = s;
//         for (int j = left; j < left + cnt; ++j) {
//             cpy[j] = '0' + i;
//         }
//         int ptr = left + cnt;
//         for (int j = left; j < Sz(s); ++j) {
//             if (s[j] == '0' + i && cnt > 0) {
//                 --cnt;
//                 continue;
//             }
//             cpy[ptr] = s[j];
//             ++ptr;
//         }
//         left = new_left;
//         s = std::move(cpy);
//     }
    

    
//     cout << s << '\n';
// }

vector<vector<int>> c(1000 * 4, vector<int>(1000 * 4, 0));

void count_c() {
    for (int i = 0; i < 1000 * 4; ++i) {
        c[i][0] = c[i][i] = 1;
    }
    for (int n = 1; n < 1000 * 4; ++n) {
        for (int k = 1; k < n; ++k) {
            if (c[n - 1][k - 1] >= INF || c[n - 1][k] >= INF) {
                c[n][k] = INF;
                continue;;
            }
            c[n][k] = c[n - 1][k - 1] + c[n - 1][k];
        }
    }
}


int mul(int a, int b) {
    __int128 res = a;
    res *= b;
    if (res == int64_t(res)) {
        return res;
    }
    return INF;
}

int cnk_t(int n, int k) {
    if (k == 0) {
        return 1;
    }
    if (k == 2) {
        __int128 kek = n;
        kek *= (n - 1);
        kek /= 2;
        if (kek > INF) {
            return INF;
        }
        return int64_t(kek);
    }
    if (k == 4) {
        __int128 kek = n;
        kek *= (n - 1);
        kek *= (n - 2);
        kek *= (n - 3);
        kek /= 4;
        kek /= 3;
        kek /= 2;
        if (kek > INF) {
            return INF;
        }
        return int64_t(kek);
    }
    assert(false);
}



void solveF() {
    vector<int> d(11);
    d[0] = 0;
    d[1] = (1 << 2) + (1 << 5);
    d[2] = (1 << 0) + (1 << 2) + (1 << 3) + (1 << 4) + (1 << 6);
    d[3] = (1 << 0) + (1 << 2) + (1 << 3) + (1 << 5) + (1 << 6);
    d[4] = (1 << 1) + (1 << 2) + (1 << 3) + (1 << 5);
    d[5] = (1 << 0) + (1 << 1) + (1 << 3) + (1 << 5) + (1 << 6);
    d[6] = (1 << 0) + (1 << 1) + (1 << 3) + (1 << 4) + (1 << 5) + (1 << 6);
    d[7] = (1 << 0) + (1 << 2) + (1 << 5);
    d[8] = (1 << 0) + (1 << 1) + (1 << 2)  + (1 << 3) + (1 << 4) + (1 << 5) + (1 << 6);
    d[9] = (1 << 0) + (1 << 1) + (1 << 2)  + (1 << 3) + (1 << 5) + (1 << 6);
    d[10] = (1 << 0) + (1 << 1) + (1 << 2)  + (1 << 4) + (1 << 5) + (1 << 6);
    
    auto mapfirst = [&](int f) -> int {
        for (int i = 0; i < 10; ++i) {
            if (d[i] == f) {
                return i;
            }
        }
        return -1;
    };

    auto mapsec = [&](int f) -> int {
        for (int i = 1; i < 11; ++i) {
            if (d[i] == f) {
                return i % 10;
            }
        }
        return -1;
    };

    auto tonum = [&](int f, int s) -> int {
        int d1 = mapfirst(f);
        int d2 = mapsec(s);
        if (d1 == -1 || d2 == -1) {
            return -1;
        }
        return d1 * 10 + d2;
    };
    string s1;
    string s2;
    cin >> s1  >> s2;
    auto convert = [&](const string& s) {
        int m = 0;
        assert(s.size() == 7);
        for (int i = 0 ; i < 7; ++i){
            m += (s[i] - '0') << i;
        }
        return m;
    };
    int mask1 = convert(s1);
    int mask2 = convert(s2);
    int mx  = 0;
    vector<int> digs;
    for (int i = 99; i > 0; --i) {
        int fi = i / 10;
        int sec = i % 10;
        int mfi = d[fi];
        int mse = d[sec];
        if (mse == 0){
            mse =  d[10];
        }
        digs.push_back(tonum(mfi&mask1, mse&mask2));
    }
    int cur = 1;
    for (int i = 1; i < 99; ++i) {
        if (digs[i-1] == -1) {
            cur = 1;
            continue;
        }
        if (digs[i] == -1) {
            mx = max(mx, cur - 1);
            cur = 1;
            continue;
        }
        if (digs[i - 1] + 1 ==  digs[i]) {
            cur += 1;
        } else {
            mx = max(mx, cur - 1);
            cur = 1;
            continue;
        }
    } 
    mx = max(mx, cur - 1);

    cout << mx << endl;

}

void solveJ() {
    int n, k;
    cin >> n >> k;

    if (n == 1) {
        cout << "0\n";
        return;
    }
    if (n <= 2) {
        cout << "1\n";
        return;
    }
    if (k == 1) {
        int l = 0;
        int r = 1e10;
        while (r - l > 1) {
            int m = (r + l)  /2;
            if  (1 + cnk_t(m + 1, 2) < n) {
                l = m;
            } else {
                r = m;
            }
        }
        cout << r << '\n';
        return;
    }
    if (k == 2) {
        int l = 0, r = 1e6;
        while (r - l > 1) {
            int m = (r + l)  /2;
            if (m + 1 < 4) {
                if  (1 + cnk_t(m + 1, 2) < n) {
                    l = m;
                } else {
                    r = m;
                }
            } else {
                if  (1 + cnk_t(m + 1, 2) + cnk_t(m +1, 4) < n) {
                    l = m;
                } else {
                    r = m;
                }
            }
        }
        cout << r << '\n';
        return;
    }
    int l = 0, r = 1000 * 4;
    while (r - l > 1) {
        int m = (l + r) / 2;
        int tec = 0;
        for (int i = 0; i <= k && 2 * i <= m + 1 && tec < INF; ++i) {
            if (m + 1 >= 1e3 * 4) {
                // tec += cnk_t(m + 1, 2 * i);
                assert(false);
            } else {
                tec += c[m + 1][2 * i];
            }
        }
        if (tec < n) {
            l = m;
        } else {
            r = m;
        }
    }
    cout << r << '\n';
}


mt19937 generator(chrono::steady_clock::now().time_since_epoch().count());
uniform_int_distribution<int> distribution(1, INT_MAX);

struct treap {
	int key;
	int prior;
	vector<int> cnt = vector<int>(10);
 
	treap* left;
	treap* right;
 
	treap(int value, int order) : key(value), prior(order), left(nullptr), right(nullptr) {
        ++cnt[key];
    }

	treap(int value) : treap(value, distribution(generator)) {}
 
};

int get_cnt(treap* node) {
	if (node == nullptr) {
		return 0;
	}
	int ans = 0;
    for (int i : node->cnt) ans += i;
    return ans;
}

void recount(treap* node) {
	if (node == nullptr) return;
	vector<int> cnt_left = vector<int>(10);
    if (node->left) {
        cnt_left = node->left->cnt;
    }
    node->cnt = vector<int>(10);
    if (node->right) {
        node->cnt = node->right->cnt;
    }
    for (int i = 1; i < 10; ++i) node->cnt[i] += cnt_left[i];
    ++node->cnt[node->key];
}

pair<treap*, treap*> split(treap* node, int qt){
	if (node == nullptr) return {nullptr, nullptr};
	
	if (get_cnt(node->left) + 1 <= qt) {
		auto [lt, rt] = split(node->right, qt - 1 - get_cnt(node->left));
		node->right = lt;
		recount(node);
		return {node, rt};
	} else {
		auto [lt, rt] = split(node->left, qt); // left_cnt + 1 > qt
		node->left = rt;
		recount(node);
		return {lt, node};
	}
}

treap* merge(treap* x, treap* y){
	if (x == nullptr) return y;
	if (y == nullptr) return x;
	if (x->prior > y->prior) {
		x->right = merge(x->right, y);
		recount(x);
		return x;
	} else {
		y->left = merge(x, y->left);
		recount(y);
		return y;
	}
}

treap* t = nullptr;


void add(int x, int i){
	auto [lt, rt] = split(t, i);
	treap* one =  new treap(x);
	t = merge(merge(lt, one), rt);
}

treap*& the_right_kid(treap*& node) {
	if (node == nullptr) return node;
	if (node->right == nullptr) {
		return node;
	}
	return the_right_kid(node->right);
}

treap*& the_left_kid(treap*& node) {
	if (node == nullptr) return node;
	if (node->left == nullptr) {
		return node;
	}
	return the_left_kid(node->left);
}

void remove(treap* node, int i) {
	auto [tmp, rt] = split(t, i);
	auto [lt, res] = split(tmp, i - 1);
	t = merge(lt, rt);
}

pair<treap*, int> find_min(treap* node) {
    int mini = 9;
    for (int i = 1; i < 10; ++i) {
        if (node->cnt[i] > 0) {
            mini = i;
            break;
        }
    }
    if (node->cnt[mini] == 1 && node->key == mini) {
        return {node, get_cnt(node->left) + 1};
    }
    if (node->left && node->left->cnt[mini] > 0) {
        return find_min(node->left);
    } else {
        auto x = find_min(node->right);
        x.second += get_cnt(node->left) + 1;
        return x;
    }
}

treap* get_i_el(treap* node, int i) {
    auto [lt, rt] = split(node, i + 1);
    auto [tmp, rr] = split(lt, i);
    auto* ret = rr;
    t = merge(merge(tmp, rr), rt);
    return ret;
}

void solveH() {
    string s;
    int k;
    cin >> s >> k;

    int left = 0;

    int n = s.size();

    vector<int> ans;

    for (int i = 0; i < n; ++i) {
        add(s[i] - '0', i);
    }

    for (int i = 0; i < n; ++i) {
        if (k == 0 || i == n - 1) {
            auto [lt, rt] = split(t, 1);
            ans.push_back(lt->key);
            t = rt;
            continue;;
        }
        auto [f, tmp] = split(t, 1);
        auto [lnode, rnode] = split(tmp, min(n - i - 1, k));
        
        auto [mn, num] = find_min(lnode);
        if (f->key <= mn->key) {
            ans.push_back(f->key);
            t = merge(lnode, rnode);
        } else {
            ans.push_back(mn->key);
            k -= num;
            remove(lnode, num);
            t = merge(merge(f, lnode), rnode);
        }
    }

    for (int i : ans) cout << i; cout << '\n';

}


signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

#ifdef LOCAL
    freopen("input.txt", "r", stdin);
#endif

    // solveL();

    // solveH();

    // count_c();

    int nt = 1;
    cin >> nt;

    for (int i = 1; i <= nt; i++) {
    //     // solve(i);
    //     // solveG();
        solveH();
    //     // solveF();
    }
}