#include <bits/stdc++.h>
#include <string>
#include <vector>
#include <set>

#define pr pair < int, int >
#define mk make_pair

using namespace std;

int h[1001][1001], d[1001][1001];
set<pair<int, pair<int, int> > > g;
vector<pr > graph[1001];

int p[1001], sz[1001];

void make(int n) {
    for (int x = 1; x <= n; x++) {
        p[x] = x;
        sz[x] = 1;
    }
}

int get_leader(int a) {
    if (p[a] == a) {
        return a;
    }
    return p[a] = get_leader(p[a]);
}

bool uni(int a, int b) {
    a = get_leader(a);
    b = get_leader(b);
    if (a == b) return false;
    if (sz[a] < sz[b]) {
        swap(a, b);
    }
    p[b] = a;
    sz[a] += sz[b];
    return true;
}

int start;

void dfs(int v, int pred = -1, int depth = 0) {
    d[start][v] = depth;
    for (pr &u: graph[v]) {
        if (u.first != pred) {
            dfs(u.first, v, depth + u.second);
        }
    }
}

signed main() {
    cin.tie(0);
    cout.tie(0);
    ios_base::sync_with_stdio(0);
    int n;
    cin >> n;
    for (int x = 1; x <= n; x++) {
        for (int y = 1; y <= n; y++) {
            cin >> h[x][y];
            g.insert(mk(h[x][y], mk(x, y)));
        }
    }
    make(n);
    for (auto it = g.begin(); it != g.end(); it++) {
        if (uni(it->second.first, it->second.second)) {
            graph[it->second.first].push_back(mk(it->second.second, it->first));
            graph[it->second.second].push_back(mk(it->second.first, it->first));
        }
    }
    for (int x = 1; x <= n; x++) {
        start = x;
        dfs(x);
    }
    for (int x = 1; x <= n; x++) {
        for (int y = 1; y <= n; y++) {
            if (h[x][y] != d[x][y]) {
                cout << "No\n";
                return 0;
            }
        }
    }
    cout << "Yes\n";
    return 0;
}