#include <iostream>
#include <vector>

using namespace std;

typedef long long ll;

ll bin_pow(ll a, ll n) {
    if (n == 0) return 1;
    if (n % 2 == 1) return bin_pow(a, n - 1) * a;
    ll b = bin_pow(a, n / 2);
    return b * b;
}

ll gcd(ll a, ll b) {
    while (a && b) {
        if (a > b) a %= b;
        else b %= a;
    }
    return a + b;
}

void solve() {
    int n; cin >> n;
    bool fl = 0;
    vector <int> a(n);
    for (int i = 0; i < n; i++) {
        cin >> a[i];
        if (a[i] % 2 == 1) fl = 1;
    }
    if (fl) cout << "Alice";
    else cout << "Dmitry";
}

int main() {
    int t = 1;
    //cin >> t;
    while (t--) solve();
}


// a - 1 b - 2 c - 3