#include <bits/stdc++.h>

using namespace std;

typedef long long ll;
typedef long double ld;
typedef vector<int> vi;
typedef vector<long long> vll;
typedef map<int, int> mii;
typedef priority_queue<int> pqi;
typedef pair<int, int> pii;

#define mod(A, B) (((A) % (B) + B) % (B))

const int MOD1 = 998244353;
const int MOD2 = 1000013011;
const int BASE1 = 100003;
const int BASE2 = 31;
const ll LINF = 2e18;
const int INF = 2e9;
const int SIZE = 1e7;
const ld EPS = 5e-10;

// geom
typedef complex<ld> point;
#define x real()
#define y imag()

void solve() {
  int n; cin >> n;
  vector<point> v;
  ld mnx = 1e9, mxx = -1e9;
  for(int i=0; i<n; ++i) {
    ld px, py; cin >> px >> py;
    if (!py) {
      mxx = max(mxx, px);
      mnx = min(mnx, px);
      continue;
    }
    v.emplace_back(px, py);
  }
  if(mxx < mnx) {
    cout << "0\n";
    return;
  }
  ld res = 0; // doubled
  for(auto p : v) {
    ld square = (mxx - mnx) * abs(p.y);
    res = max(res, square);
  }
  cout << fixed << setprecision(10) << (res * (ld)0.5) << "\n";
}

signed main() {
  ios_base::sync_with_stdio(false);
  cin.tie(nullptr);
  cout.tie(nullptr);

  int tt = 1;
  // cin >> tt;
  for (int i = 0; i < tt; ++i)
    solve();
}