#include <iostream>
#include <vector>
#include <algorithm>
#include <bitset>
#include <iomanip>
#include <string>
#include <random>
#include <typeinfo>
#include <map>
#include <set>
#include <cassert>
#include <queue>
#include <unordered_set>
#include <cstddef>
#include <unordered_map>
#include <array>
#include <ranges>

// #pragma GCC optimize("Ofast")
// #pragma GCC optimize("unroll-loops")
// #pragma GCC target("avx2,popcnt,tune=native")

#define all(x) x.begin(), x.end()
#define rall(x) x.rbegin(), x.rend()
#ifdef DUDE
#define debug(x) cerr << #x << ": " << x << endl
#define debugvec(x) ({cerr << #x << ":\n"; for (const auto& e :x) cerr << '\t' << e << '\n';})
#else
    #define debug(x) ;
    #define debugvec(x) ;
#endif

using std::cout;
using std::cin;
using std::cerr;
using std::endl;
using std::ostream;
using std::istream;
using std::vector;
using std::pair;
using std::string;

using ll = long long;
using ull = unsigned long long;
using ld = long double;
using uint = unsigned int;
std::mt19937 rnd(459);

template<typename T>
istream &operator>>(istream &in, vector<T> &vec) {
    for (size_t i = 0; i < vec.size(); ++i) {
        in >> vec[i];
    }
    return in;
}

ostream &operator<<(ostream &out, const vector<bool> &vec) {
    for (bool i: vec) {
        if (i)
            out << '1';
        else
            out << '0';
    }
    return out;
}

template<typename T, typename U>
ostream &operator<<(ostream &out, const pair<T, U> &p) {
    out << p.first << ' ' << p.second;
    return out;
}

template<typename T>
ostream &operator<<(ostream &out, const vector<T> &vec) {
    char end_char = '\n';
    if constexpr (std::is_arithmetic_v<T>)
        end_char = ' ';
    for (const T &e: vec)
        out << e << end_char;
    return out;
}


template<typename T, size_t S>
ostream &operator<<(ostream &out, const std::array<T, S> &vec) {
    char end_char = '\n';
    if constexpr (std::is_arithmetic_v<T>)
        end_char = ' ';
    for (const T &e: vec)
        out << e << ',' << end_char;
    return out;
}

template<typename T>
bool mini(T &a, const T &b) {
    if (a > b) {
        a = b;
        return true;
    }
    return false;
}

template<typename T>
bool maxi(T &a, const T &b) {
    if (a < b) {
        a = b;
        return true;
    }
    return false;
}

/*
 *
 */

// using number = std::array<int, 7>;
//
// number empty = {0, 0, 0, 0, 0, 0, 0};
// vector<number> ns(10);
//
// number get_number(int x) {
//     number ans = {0, 0, 0, 0, 0, 0, 0};
//     switch (x) {
//         case 0:
//             ans[0] = ans[1] = ans[2] = ans[4] = ans[5] = ans[6] = 1;
//             break;
//         case 1:
//             ans[2] = ans[5] = 1;
//         break;
//         case 2:
//             ans[0] = ans[2] = ans[3] = ans[4] = ans[6] = 1;
//         break;
//         case 3:
//             ans[0] = ans[2] = ans[3] = ans[5] = ans[6] = 1;
//         break;
//         case 4:
//             ans[1] = ans[2] = ans[3] = ans[5] = 1;
//         break;
//         case 5:
//             ans[0] = ans[1] = ans[3] = ans[5] = ans[6] = 1;
//         break;
//         case 6:
//             ans[0] = ans[1] = ans[3] = ans[5] = ans[6] = ans[4] = 1;
//         break;
//         case 7:
//             ans[0] = ans[2] = ans[5] = 1;
//         break;
//         case 8:
//             ans[0] = ans[1] = ans[2] = ans[3] = ans[4] = ans[5] = ans[6] = 1;
//         break;
//         case 9:
//             ans[0] = ans[1] = ans[2] = ans[3] = ans[5] = ans[6] = 1;
//         break;
//         default:
//             return{};
//     }
//     return ans;
// }
//
// // int get_digit(number x) {
// //     for (int i = 0; i < 10; ++i) {
// //         if (ns[i] == x) {
// //             return i;
// //         }
// //     }
// //     return -1;
// // }
//
// pair<number, number> get_tablo(int x) {
//     if (x < 10) {
//         return {ns[x], empty};
//     }
//     return {ns[x % 10], ns[x / 10]};
// }
//
// bool cmp(number& x, number& y, number& mask) {
//     for (int i = 0; i < 7; ++i) {
//         if ((x[i] == 1) != ((y[i] == 1) && (mask[i] == 1))) {
//             return false;
//         }
//     }
//     return true;
// }
//
// int check_x_y(int x, int y, number& a, number& b) {
//     int k = -1;
//     while (x < 100 && y > 0) {
//         auto nx = get_tablo(x);
//         auto ny = get_tablo(y);
//         if (!cmp(nx.first, ny.first, a) || !cmp(nx.second, ny.second, b)) {
//             return k;
//         }
//         ++k;
//         ++x; --y;
//     }
//     return k;
// }
//
// int check_y(int y, number& a, number& b) {
//     int ans = 0;
//     for (int x = 1; x < 100; ++x) {
//         maxi(ans, check_x_y(x, y, a, b));
//     }
//     return ans;
// }
//
// void solve() {
//     for (int i = 0; i < 10; ++i) {
//         ns[i] = get_number(i);
//     }
//     number a, b;
//     string s;
//     cin >> s;
//     for (int i = 0; i < 7; ++i) {
//         if (s[i] == '1') {
//             a[i] = 1;
//         } else {
//             a[i] = 0;
//         }
//     }
//     cin >> s;
//     for (int i = 0; i < 7; ++i) {
//         if (s[i] == '1') {
//             b[i] = 1;
//         } else {
//             b[i] = 0;
//         }
//     }
//     int ans = 0;
//     for (int y = 1; y < 100; ++y) {
//         maxi(ans, check_y(y, b, a));
//     }
//     cout << ans;
// }


signed main() {
    std::ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

#ifdef DUDE
    freopen("./../inputf.in", "r", stdin);
    freopen("./../outputf.out", "w", stdout);
#endif

    // stress();

    // #define DUDE
    int test = 1;
#ifdef DUDE
    cin >> test;
#endif
    while (test--) {
        // solve();
        cout << "bebra";
        cout << '\n';
    }
    return 0;
};
