#include <bits/stdc++.h>

#define int long long
using namespace std;

vector<pair<int, int>> t;
vector<pair<int, int>> a;

void build(int v, int l, int r) {
    if (l == r) {
        t[v] = a[l];
    } else {
        int mid = (l + r) / 2;
        build(v * 2 + 1, l, mid);
        build(v * 2 + 2, mid + 1, r);
        int x, y;
        x = t[v * 2 + 1].first;
        y = t[v * 2 + 2].first;
        if (x < y) {
            t[v] = t[v * 2 + 1];
        } else {
            t[v] = t[v * 2 + 2];
        }
    }
}

pair<int, int> get(int v, int tl, int tr, int l, int r) {
    if (l > r) {
        return {11, -1};
    }
    if (l == tl && r == tr) {
        return t[v];
    }
    int mid = (tl + tr) / 2;
    pair<int, int> x = get(v * 2 + 1, tl, mid, l, min(r, mid));
    pair<int, int> y = get(v * 2 + 2, mid + 1, tr, max(l, mid + 1), r);
    if (x.first < y.first) {
        return x;
    }
    return y;
}


void solve() {
    string s;
    cin >> s;
    int k;
    cin >> k;
    int n = (int)s.length();
    int block_size = (int) sqrt(n) + 10;
    vector<pair<int, int>> dec(block_size, {1e9, -1}); // min - ind
    for (int i = 0; i < n; ++i){
        int cur = s[i] - '0';
        if (cur < dec[i / block_size].first) dec[i / block_size] = {cur, i};
    }
    for (int i = 0; i < n && k > 0; ++i) {
        int r_bound = min(i + k + 1, n);
        int min_pos = i;
        for (int j = i + 1; j < r_bound; ++j) {
            if (s[j] < s[min_pos]) {
                min_pos = j;
            }
        }
        int cnt = min_pos - i;
        if (cnt <= k) {
            char cuyr = s[min_pos];
            for (int j = min_pos; j > i; --j) {
                s[j] = s[j - 1];
            }
            s[i] = cuyr;
            k -= cnt;
        }
    }
    cout << s << "\n";
}


signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    int te = 1;
    cin >> te;
    while (te--) solve();
}