#ifdef LOCAL  // -DLOCAL

#include "debug.h"
#include "headers.h"

#define debug(...) 42

std::ifstream in("test.in");
auto _ = std::cin.rdbuf(in.rdbuf());

#else

// #pragma GCC optimize("Ofast,unroll-loops")
// #pragma GCC target("avx,avx2,fma")
#include <bits/stdc++.h>
#define debug(...) 42
#define assert(...) 42

#endif

using std::array;
using std::bitset;
using std::cin;
using std::cout;
using std::deque, std::priority_queue;
using std::endl;
using std::fstream, std::ifstream, std::ofstream;
using std::get;
using std::ios;
using std::iterator;
using std::list, std::forward_list;
using std::lower_bound, std::upper_bound;
using std::map, std::multimap, std::unordered_map;
using std::pair, std::make_pair;
using std::queue;
using std::set, std::multiset, std::unordered_set;
using std::sort;
using std::stack;
using std::string;
using std::swap;
using std::tie;
using std::tuple, std::make_tuple;
using std::vector;

using ll = long long;
using ld = long double;
using ul = unsigned long long;
using pi = pair<int, int>;
using pll = pair<ll, ll>;
using pld = pair<ld, ld>;
using vi = vector<int>;
using vll = vector<ll>;
using vld = vector<ld>;
using vb = vector<bool>;
using vpi = vector<pi>;
using vpll = vector<pll>;
using vvi = vector<vi>;
using vvll = vector<vll>;
using vvb = vector<vb>;
using vvpi = vector<vpi>;
using vvpll = vector<vpll>;

#define all(obj) obj.begin(), obj.end()

void precalc() {
  
}

void solve() {
  vi s;
  {
    string temp;
    cin >> temp;
    for(char c: temp) {
      s.push_back(c - '0');
    }
  }

  ll k;
  cin >> k;

  vi ans;
  for(int d = 1; d <= 9; ++d) {
    debug(ans);
    debug(s);
    debug(d);
    debug('\n');
    int pref = 0;
    for(int i = 0; i < s.size(); ++i) {
      if(s[i] == d) {
        if(i - pref <= k) {
          k -= i - pref;
          ans.push_back(d);
          ++pref;
          s[i] = 0;
        } else {
          break;
        }
      }
    }

    int to = 0;
    for(int from = 0; from < s.size(); ++from) {
      if(s[from] == 0) continue;
      s[to] = s[from];
      ++to;
    }
    s.resize(to);
  }
  ans.insert(ans.end(), all(s));
  debug(ans, k);

  int i = 0;
  while(k && i + 1 < ans.size()) {
    if (ans[i] > ans[i+1]) {
      std::swap(ans[i], ans[i+1]);
      --k;
      i = std::max(0, i - 1);
    } else {
      ++i;
    }
  }

  debug("------------------------");


  for(int d: ans) {
    cout << d;
  }
  cout << '\n';
  
}

int main() {
  std::ios::sync_with_stdio(false);
  std::cin.tie(nullptr);
  std::cout.tie(nullptr);

  std::cout.precision(15);

  precalc();
  int t = 1;
  std::cin >> t;
  while (t--) {
    solve();
  }

  return 0;
}