#include <iostream>
#include <vector>
#include <numeric>

using namespace std;

struct Ans {
    long long m, s, f;
};

int main() {
    long long n;
    cin >> n;
    vector<long long> a(n);
    for (long long i = 0; i < n; ++i) {
        cin >> a[i];
    }
    long long s, f;
    cin >> s >> f;
    --s;
    --f;
    vector<Ans> ans;
    if (s < f) {
        long long g = 0;
        long long s1 = s;
        for (long long i = s; i < f; ++i) {
            long long d = abs(a[i + 1] - a[s1]);
            if (d == 1) {
                cout << "Impossible" << endl;
                return 0;
            }
            long long gg = gcd(d, g);
            if (gg == 1) {
                ans.push_back({ g, s1, i });
                g = abs(a[i + 1] - a[i]);
                s1 = i;
            } else {
                g = gg;
            }
        }
        if (abs(a[f] - a[f - 1]) == 1) {
            cout << "Impossible" << endl;
            return 0;
        }
        ans.push_back({ g, s1, f });
    } else {
        long long g = 0;
        long long s1 = s;
        for (long long i = s; i > f; --i) {
            long long d = abs(a[i - 1] - a[s1]);
            if (d == 1) {
                cout << "Impossible" << endl;
                return 0;
            }
            long long gg = gcd(d, g);
            if (gg == 1) {
                ans.push_back({ g, s1, i });
                g = abs(a[i - 1] - a[i]);
                s1 = i;
            } else {
                g = gg;
            }
        }
        if (abs(a[f] - a[f + 1]) == 1) {
            cout << "Impossible" << endl;
            return 0;
        }
        ans.push_back({ g, s1, f });
    }
    for (const Ans& x : ans) {
        cout << "Kaban-";
        if (x.m == 0) {
            cout << 2 << ' ';
        } else {
            cout << x.m << ' ';
        }
        cout << x.s + 1 << ' ' << x.f + 1 << endl;
    }
}
