#include <bits/stdc++.h>

#pragma GCC optimize("O3")

#define all(a) a.begin(), a.end()
#define rall(a) a.rbegin(), a.rend()
#define Size(a) (int)a.size()
#define ll long long
#define ld long double

#define int long long

using namespace std;

const int N = 2e5, K = 61;  // must be odd

ll k;
__int128_t C[N][K];

__int128_t f(ll n) {
    if (k == 1) {
        __int128_t res = n;
        res *= (res + 1) / 2;
        res += 1;
        return res;
    }
    assert(n < N);
    __int128_t res = 0;
    for (int i = 0; i <= k; i++)
        res += C[n][i];
    return res;
}

void solve() {
    ll n;
    cin >> n >> k;
    k *= 2;
    k = min(k, K - 1);
    ll l = -1, r = 1;
    while (f(r) < n)
        r *= 2;
    while (r - l > 1) {
        ll m = (l + r) / 2;
        if (f(m) >= n)
            r = m;
        else
            l = m;
    }
    cout << r << "\n";
}

void precalc() {
    for (int i = 0; i < N; i++) {
        C[i][0] = 1;
        if (i < K)
            C[i][i] = 1;
        for (int j = 1; j < min(i, K); j++)
            C[i][j] = C[i - 1][j - 1] + C[i - 1][j];
    }
}

int32_t main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);

    #ifdef dimss
        freopen("test.txt", "r", stdin);
    #endif

    precalc();

    int T = 1;
    cin >> T;
    while (T--) {
        solve();
        #ifdef dimss
            cerr << "--------\n";
        #endif
    }
    return 0;
}
