//  ____________
// < Shizerland >
//  ------------
//         \   ^__^
//          \  (oo)\_______
//             (__)\       )\/\
//                 ||----w |
//                 ||     ||

#include <algorithm>
#include <array>
#include <cmath>
#include <cstdio>
#include <functional>
#include <iomanip>
#include <iostream>
#include <map>
#include <numeric>
#include <queue>
#include <set>
#include <sstream>
#include <vector>

using namespace std;

#define int long long
typedef long long ll;

void solve() {
    vector<pair<int, int>> edges;
    int n, u, v;
    scanf("for (int i = 0; i < %d; i++) {\n", &n);
    while (scanf("if (i == %d) i = %d;\n", &u, &v)) {
        edges.emplace_back(u, v);
    }
    map<int, pair<int, int>> dct;
    set<int> st;
    for (int i = edges.size() - 1; i >= 0; --i) {
        auto [u, v] = edges[i];
        dct[u] = (st.find(v) == st.end()) ? make_pair(v, 1ll)
                                          : make_pair(dct[v].first, dct[v].second + 1);
        st.insert(u);
    }
    int ans = 1;
    int cur = 0;
    set<int> met;
    while (st.lower_bound(cur) != st.end()) {
        int nxt = *st.lower_bound(cur);
        if (met.find(nxt) != met.end()) {
            cout << "-1";
            return;
        }
        met.insert(nxt);
        ans += (3 + edges.size()) * (nxt - cur);
        ans += dct[nxt].second + 3 + edges.size();
        // cout << ans << ' ' << nxt << '\n';
        cur = dct[nxt].first + 1;
        // cout << cur << '\n';
    }
    ans += (n - cur) * (3 + edges.size());
    ans += 1;
    cout << ans;
}

signed main() {
    // cin.tie(0)->sync_with_stdio(false);
    // cout.tie(0)->sync_with_stdio(false);
    int t = 1; // cin >> t;
    while (t-- > 0) {
        solve();
        cout << '\n';
    }
    return 0;
}
