#include "bits/stdc++.h"
using namespace std;

#define int long long

int gcd(int a, int b) {
    if (b == 0) {
        return a;
    }
    return gcd(b, a % b);
}

void solve() {
    int n;
    cin >> n;
    vector<int> a1(n);
    for (int i = 0; i < n; ++i) {
        cin >> a1[i];
    }
    vector<int> a(n, 0);
    for (int i = 1; i < n; ++i) {
        a[i] = abs(a1[i - 1] - a1[i]);
    }
    int l, r;
    cin >> l >> r;
    --l; --r;
    if (l < r) {
        for (int i = l + 1; i <= r; ++i) {
            if (a[i] == 1) {
                cout << "Impossible" << "\n";
                return;
            }
        }

        int g = 0, prev = l + 1;
        for (int i = l + 1; i <= r; ++i) {
            if (gcd(a[i], g) == 1) {
                if (g == 0) {
                    g = 2;
                }
                cout << "Kaban-" << g << ' ' << prev << ' ' << i << "\n";
                g = a[i];
                prev = i;
            } else {
                g = gcd(a[i], g);
            }
        }
        if (g == 0) {
            g = 2;
        }
        cout << "Kaban-" << g << ' ' << prev << ' ' << (r + 1) << "\n";
    } else {
        swap(l, r);
        for (int i = r; i > l; --i) {
            if (a[i] == 1) {
                cout << "Impossible" << "\n";
                return;
            }
        }

        int g = 0, prev = r + 1;
        for (int i = r; i > l; --i) {
            if (gcd(a[i], g) == 1) {
                if (g == 0) {
                    g = 2;
                }
                cout << "Kaban-" << g << ' ' << prev << ' ' << (i + 1) << "\n";
                g = a[i];
                prev = i + 1;
            } else {
                g = gcd(a[i], g);
            }
        }
        if (g == 0) {
            g = 2;
        }
        cout << "Kaban-" << g << ' ' << prev << ' ' << (l + 1) << "\n";
    }
}


signed main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    int t = 1;
    // cin >> t;
    while (t--) solve();
}
