#include "bits/stdc++.h"
using namespace std;

vector<int> d;
vector<vector<pair<int, int> > > g;

void dfs(int v, int prev, int cd) {
    d[v] = cd;
    for (auto u : g[v]) {
        if (u.first == prev) {
            continue;
        }
        dfs(u.first, v, cd + u.second);
    }
}

void solve() {

    int n;
    cin >> n;
    g.resize(n);
    d.resize(n);

    vector<vector<int> > values(n, vector<int>(n));


    for (int i = 0; i < n; i++) {
        for (int j = 0; j < n; j++) {
            cin >> values[i][j];
        }
    }


    set<pair<int, int> > order_of_things;

    for (int i = 1; i < n; i++) {
        order_of_things.insert(make_pair(values[0][i], i));
    }
    while (!order_of_things.empty()) {
        auto el = *order_of_things.begin();
        order_of_things.erase(order_of_things.begin());


        int map_to = 0;

        while (true) {
            int flag = true;
            for (auto u : g[map_to]) {
                if (values[el.second][map_to] > values[el.second][u.first]) {
                    flag = false;
                    map_to = u.first;
                    break;
                }
            }

            if (flag) {
                break;
            }
        }

        g[map_to].push_back({ el.second, values[map_to][el.second] });
        g[el.second].push_back({ map_to, values[el.second][map_to] });
    }

    for (int i = 0; i < n; ++i) {
        dfs(i, -1, 0);
        for (int j = 0; j < n; ++j) {
            if (values[i][j] != d[j]) {
                cout << "No" << "\n";
                return;
            }
        }
    }
    cout << "Yes" << "\n";
}


signed main() {
    ios::sync_with_stdio(0);
    cin.tie(0);
    int t = 1;
    // cin >> t;
    while (t--) solve();
}