#include <iostream>
#include "bits/stdc++.h"

struct Point {
    int x;
    int y;

    Point(int x, int y) : x(x), y(y) {}
};

using namespace std;

int main() {
    std::ios::sync_with_stdio(0);
    std::cin.tie(0);

    vector<Point> xPoints;
    vector<Point> Points;

    int n;
    cin >> n;
    for (int i = 0; i < n; ++i) {
        int x, y;
        cin >> x >> y;
        Point p(x, y);
        if (y == 0) {
            xPoints.push_back(p);
            continue;
        }
        Points.push_back(p);
    }

    if (xPoints.size() < 2) {
        cout << 0;
        return 0;
    }

    if (Points.size() == 0) {
        cout << 0;
        return 0;
    }

    int x_min = INT_MAX;
    int x_max = INT_MIN;
    int y = 0;
    for (auto i: xPoints) {
        if (x_min > i.x) {
            x_min = i.x;
        }
        if (x_max < i.x) {
            x_max = i.x;
        }
    }
    for (auto i: Points) {
        if (y < abs(i.y)) {
            y = abs(i.y);
        }
    }
    std::cout << setprecision(10) << abs(double(x_max - x_min) * double(0.5) * double(y));

    return 0;
}
