#include <vector>
#include <iostream>
#include <algorithm>
#include <numeric>

using namespace std;

int main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int d = 7;
    int n = 10;
    vector<bool> a(d);
    vector<bool> b(d);
    vector<vector<bool>> digits(n);
    digits[0] = {1, 1, 1, 0, 1, 1, 1};
    digits[1] = {0, 0, 1, 0, 0, 1, 0};
    digits[2] = {1, 0, 1, 1, 1, 0, 1};
    digits[3] = {1, 0, 1, 1, 0, 1, 1};
    digits[4] = {0, 1, 1, 1, 0, 1, 0};
    digits[5] = {1, 1, 0, 1, 0, 1, 1};
    digits[6] = {1, 1, 0, 1, 1, 1, 1};
    digits[7] = {1, 0, 1, 0, 0, 1, 0};
    digits[8] = {1, 1, 1, 1, 1, 1, 1};
    digits[9] = {1, 1, 1, 1, 0, 1, 1};
    string s1;
    string s2;
    cin >> s1;
    cin >> s2;
    for (int i = 0; i < d; ++i) {
        a[i] = s1[i] == '1';
        b[i] = s2[i] == '1';
    }
    vector<bool> d1;
    vector<bool> d2;
    bool isNum1;
    bool isNum2;
    int streak = 0;
    int maxStreak = 0;
    int see = 0;
    int prevSee = -1;
    for (int i = n - 1; i >= 0; --i) {
        see = 0;
        isNum1 = false;
        if (i == 0) {
            isNum1 = true;
        } else {
            d1 = digits[i];
            for (int j = 0; j < d; ++j) {
                d1[j] = d1[j] && a[j];
            }
            for (int j = 0; j < n; ++j) {
                if (digits[j] == d1) {
                    isNum1 = true;
                    see = j * 10;
                    break;
                }
            }
        }
        if (not isNum1) {
            maxStreak = max(streak - 1, maxStreak);
            streak = 0;
            prevSee = -1;
            continue;
        }
        for (int j = n - 1; j > -1; --j) {
            isNum2 = false;
            d2 = digits[j];
            for (int k = 0; k < d; ++k) {
                d2[k] = d2[k] && b[k];
            }
            for (int k = 0; k < n; ++k) {
                if (digits[k] == d2) {
                    isNum2 = true;
                    see += k;
                }
            }
            if (isNum2) {
                if (prevSee - see == 1) {
                    streak++;
                } else {
                    maxStreak = max(maxStreak, streak - 1);
                    streak = 1;
                }
                prevSee = see;
            } else {
                maxStreak = max(maxStreak, streak - 1);
                streak = 0;
                prevSee = -1;
            }
            see = see - see % 10;
        }
    }
    cout << maxStreak << endl;
}
/*
1101111
0010010

*/