﻿#include <iostream>
#include <vector>
#include <string>

using namespace std;

int main() {
    int n;
    cin >> n; 
    vector<bool> hasProgram(26, false); 

    for (int i = 0; i < n; ++i) {
        string programName;
        cin >> programName;
        char firstChar = programName[0]; 
        hasProgram[firstChar - 'a'] = true; 
    }

    for (int row = 0; row < 5; ++row) {
        for (int col = 0; col < 6; ++col) {
            if (row * 6 + col < 26) { 
                if (hasProgram[row * 6 + col]) {
                    cout << static_cast<char>('a' + (row * 6 + col)); 
                }
                else {
                    cout << '.';
                }
            }
            else {
                cout << '.';
            }
        }
        cout << '\n';
    }

    return 0;
}
