﻿#include <iostream>
#include <string>
#include <deque>

using namespace std;

int main() {
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int t;
    cin >> t;

    while (t--) {
        string s;
        long long k;
        cin >> s >> k;

        int n = s.length();
        deque<char> result;

        for (int i = 0; i < n; ++i) {
            char min_char = s[i];
            int min_index = i;

            for (int j = i + 1; j < n && j <= i + k; ++j) {
                if (s[j] < min_char) {
                    min_char = s[j];
                    min_index = j;
                }
            }

            if (min_index != i) {
                result.push_back(min_char);

                k -= (min_index - i);

                for (int j = i; j < min_index; ++j) {
                    result.push_back(s[j]);
                }

                i = min_index;
            }
            else {
                result.push_back(s[i]);
            }
        }

        cout << string(result.begin(), result.end()) << "n";
    }

    return 0;
}
