﻿#include "bits/stdc++.h"

using namespace std;
#define int long long

std::unordered_map<int,std::pair<int, int>> jump;

std::pair<int,int> getjump(int x, int y) {
    if (jump.find(y) != jump.end()) {
        auto kek = jump[y];
        return {kek.first, kek.second + 1};
    }
    return {y, 1};
}

void solve() {
    int n, m = 0;
    scanf("for (int i = 0; i < %lld; i++) {", &n);
    std::vector<int> x(1e5), y(1e5);
    std::set<int> xs, used;
    for (int i = 0; i < 1e5; ++i) {
        if (scanf("    if (i == %lld) i = %lld;", &x[i], &y[i]) == 0) break;
        m++;
        xs.insert(x[i]);
    }
    for (int i = m - 1; i >= 0; --i) {
        jump[x[i]] = getjump(x[i], y[i]);
    }
    int ans = 2, cur = 0;
    while (cur < n) {
        if (xs.find(cur) != xs.end()) {
            auto jmp = jump[cur];
            cur = jmp.first;
            if (used.find(cur) != used.end()) {
                std::cout << -1 << '\n';
                return;
            }
            used.insert(cur);
            ans += m + jmp.second + 3;
            cur++;
        } else {
            auto lb = xs.lower_bound(cur);
            if (lb == xs.end()) {
                ans += (m + 3) * (n - cur);
                break;
            }
            ans += (m + 3) * (*lb - cur);
            cur = *lb;
        }
    }
    std::cout << ans << '\n';
}

signed main()
{
    int _ = 1; // cin >> _;
    while (_--)
    {
        solve();
    }
}
