//
// Created by a on 06.03.2022.
//
// clang-format off

// H-task solution

#pragma GCC optimize("Os")
#pragma GCC optimize("Ofast", "no-stack-protector", "inline")
#pragma comment(linker, "/stack:200000000")
//#pragma GCC target("avx,avx2,fma")


#include <bits/stdc++.h>
//#include <ext/rope>

#define endl "\n"
//#define int int_fast32_t
// #define int long long
#define ui unsigned int
#define all(a) a.begin(), a.end()
#define rall(a) a.rbegin(), a.rend()
#define mall(a) a.mutable_begin(), a.mutable_end()
#define X first
#define Y second
// #define short unsigned short
#define pii pair<int, int>
#define pb push_back
#define base complex<double>
#define ll long long
#define ull unsigned ll
// #define ui int_fast64_t
#define double long double
#define fast ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0)

using namespace std;
using namespace __gnu_cxx;

template<typename T>
bool rmax(T &a, T b) {
    if (a < b) {
        a = b;
        return 1;
    }
    return 0;
}

template<typename T>
bool rmin(T &a, T b) {
    if (b < a) {
        a = b;
        return 1;
    }
    return 0;
}

template<typename T>
istream &operator>>(istream &in, vector<T> &a) {
    for (auto &it : a) {
        in >> it;
    }
    return in;
}

template<typename T>
ostream &operator<<(ostream &out, vector<T> &a) {
    for (auto &it : a) {
        out << it << ' ';
    }
    return out;
}

int gcd(int a, int b) {
    while (b != 0) {
        int c = a % b;
        a = b;
        b = c;
    }
    return a;
}

struct query {
    int m, i, j;
};

void solve() {
    int n;
    cin >> n;

    vector<int> a(n);
    cin >> a;

    int s, f;
    cin >> s >> f;
    --s; --f;

    if (s >= f) {
        vector<query> answer;

        int first_s = s;
        while (a[s] == a[s - 1] && s >= f) {
            --s;
        }

        if (s < f) {
            cout << "Kaban-" << 2 << ' ' << first_s + 1 << ' ' << f + 1 << endl;
            return;
        }

        int primes = abs(a[s] - a[s - 1]);
        // cout << primes << endl;

        for (int i = s - 2; i >= f; --i) {
            while (a[first_s] == a[i] && i >= f) {
                --i;
            }

            if (i < f) {
                break;
            }

            int number = abs(a[first_s] - a[i]);

            number = gcd(number, primes);

            if (number != 1) {
                primes = number;
                continue;
            }

            if (primes == 1) {
                cout << "Impossible\n";
                return;
            }
            answer.push_back(query{primes, first_s, i + 1});
            first_s = i + 1;
            primes = abs(a[first_s] - a[first_s - 1]);
        }
        if (primes == 1) {
            cout << "Impossible\n";
            return;
        }

        answer.push_back(query{primes, first_s, f});
        for (auto &it : answer) {
            cout << "Kaban-" << it.m << ' ' << it.i + 1 << ' ' << it.j + 1 << endl;
        }
        return;
    }

    vector<query> answer;

    int first_s = s;
    while (a[s] == a[s + 1] && s <= f) {
        ++s;
    }

    if (s > f) {
        cout << "Kaban-" << 2 << ' ' << first_s + 1 << ' ' << f + 1 << endl;
        return;
    }

    int primes = abs(a[s] - a[s + 1]);

    for (int i = s + 2; i <= f; ++i) {
        vector<int> new_primes;
        while (a[first_s] == a[i] && i <= f) {
            ++i;
        }

        if (i > f) {
            break;
        }

        int number = abs(a[first_s] - a[i]);
        number = gcd(number, primes);
        if (number != 1) {
            primes = number;
            continue;
        }

        if (primes == 1) {
            cout << "Impossible\n";
            return;
        }
        answer.push_back(query{primes, first_s, i - 1});
        first_s = i - 1;
        primes = abs(a[first_s] - a[first_s + 1]);
    }

    if (primes == 1) {
        cout << "Impossible\n";
        return;
    }

    answer.push_back(query{primes, first_s, f});
    for (auto &it : answer) {
        cout << "Kaban-" << it.m << ' ' << it.i + 1 << ' ' << it.j + 1 << endl;
    }
}


signed main() {
    fast;
    // cout.precision(10);
    // cout << fixed;

#if defined(LOCAL_CLION)
    freopen("../input.txt", "r", stdin);
    freopen("../output.txt", "w", stdout);
#elif defined(LOCAL)
    freopen("./input.txt", "r", stdin);
    freopen("./output.txt", "w", stdout);
#else
//     freopen("./jam.in", "r", stdin);
//     freopen("./jam.out", "w", stdout);
#endif

    int t = 1;
//    cin >> t;

    while (t--)
        solve();
}

//clang-format on