#include <vector>
#include <iostream>
#include <random>
#include <time.h>
#include <algorithm>

using namespace std;

#define re return
#define rep(i, n) for (int i = 0; i < n; ++i)
#define rrep(i, n) for (int i = n - 1; i >= 0; --i)
#define all(n) n.begin(), n.end()
#define rall(n) n.rbegin(), n.rend()
#define fi first
#define se second
#define sz(n) (int)(n.size())
#define sq(n) ((n) * (n))

typedef long long ll;
typedef vector<int> vi;
typedef vector<vi> vvi;
typedef vector<ll> vll;
typedef long double ld;
typedef vector<ld> vld;
typedef pair<int, int> pii;
typedef pair<ll, ll> pll;

void GO() {
#ifdef LOL
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);
#else
#endif
    ios_base::sync_with_stdio(0);
    cin.tie(0), cout.tie(0);
}

const ll INF = 1e9;
const ll mod = 1e9 + 7;
const int maxn = 2e5 + 1;
const int P = 57;
const ld EPS = 1e-8;
const ld PI = acos(-1.0);

mt19937 rnd(time(0));

///var
///


void solve(){
   string str;
    cin >> str;
    long long cnt = 0;

    if (str == "{{}}"){
        cout << 1;
        return;
    }

    for (auto i: str){
        if(i == ','){
            cnt +=1;
        }
    }

    vector<long long> arr(16, 0);
    arr[0] = 0;
    arr[1] = 0;

    for (int i = 2; i <= 15; i++){
        long long sum = 0;
        for (int j = 0; j < i; j++){
            sum += arr[j];
        }
        arr[i] = (i-1) + sum;
    }

    for (int i = 0; i < 16; i++){
        if (arr[i] == cnt){
            cout << i;
            return;
        }
    }
}

signed main() {
    GO();
    int Q = 1;
    while (Q--) solve();
}