#include <iostream>
#include <string>
#include <cmath>

using I64 = long long;
using U64 = unsigned long long;
using IDX = U64;
using BYT = char;
using STR = std::string;

struct UserInput {
    U64 N;
} U;

void ICPC() {
    std::ios_base::sync_with_stdio(false);
    std::cin.tie(0);
    std::cout.tie(0);
}

void Sort(STR& s) {
    for (IDX i = 0; i < s.length(); i++) {
        for (IDX j = i + 1; j < s.length(); j++) {
            if (s[j] < s[i]) {
                BYT t = s[i];
                s[i] = s[j];
                s[j] = t;
            }
        }
    }
}

void PrintTable(const STR& s) {
    const STR S = "abcdefghijklmnopqrstuvwxyz";
    IDX timer = 6;
    IDX j = 0;
    for (IDX i = 0; i < S.length(); i++) {
        if (s[j] == S[i] && j < s.length()) {
            std::cout << S[i];
            j++;
        }
        else std::cout << '.';

        if (--timer == 0) {
            std::cout << std::endl;
            timer = 6;
        }
    }
}

int main() {
    ICPC();
    std::cin >> U.N;

    STR s = "";
    STR a = "";
    U64 N[26]{};
    for (IDX i = 0; i < U.N; i++) {
        std::cin >> s;
        //* std::cout << s << '\n';
        if (N[s[0]] == 0) {
            a += s[0];
            N[s[0]] = 1;
        }
    }
    Sort(a);
    PrintTable(a);
    //* std::cout << '\n' << a;
    return 0;
}