#include <bits/stdc++.h>
using namespace std;

#define int long long
#define ld long double
const int oo = (1ll << 60);
const int mod = 1e6 + 7;
const int N = 445;

//int GCD(int a, int b) {
//    if (a == 0 || b == 0) {
//        return max(a, b);
//    }
//    return GCD(b, a % b);
//}

string merge(string a, string b) {
    for (int i = 0; i < a.size(); i++) {
        a[i] = min(a[i], b[i]);
    }
    return a;
}

string getString(int x) {
    if (x == -1) return "0000000";
    if (x == 0) return "1110111";
    if (x == 1) return "0010010";
    if (x == 2) return "1011101";
    if (x == 3) return "1011011";
    if (x == 4) return "0111010";
    if (x == 5) return "1101011";
    if (x == 6) return "1101111";
    if (x == 7) return "1010010";
    if (x == 8) return "1111111";
    if (x == 9) return "1111011";
}

int getNumber(string& s) {
    if (s == "0000000") return -1;
    if (s == "1110111") return 0;
    if (s == "0010010") return 1;
    if (s == "1011101") return 2;
    if (s == "1011011") return 3;
    if (s == "0111010") return 4;
    if (s == "1101011") return 5;
    if (s == "1101111") return 6;
    if (s == "1010010") return 7;
    if (s == "1111111") return 8;
    if (s == "1111011") return 9;
    return 10;
}

void solve() {
    string s, t;
    cin >> s >> t;
    int res = 0;
    for (int i = 99; i >= 1; i--) {
        int cur = 0;

        int l = i / 10;
        int r = i % 10;
        if (l == 0) l = -1;
        string lx = merge(s, getString(l));
        string rx = merge(t, getString(r));
        if (getNumber(lx) == 10 || getNumber(rx) == 10
        || getNumber(rx) == -1 || getNumber(lx) == 0) {
            continue;
        }
        int ll = getNumber(lx);
        if (ll == -1) ll = 0;
        int rr = getNumber(rx);
        int x = ll * 10 + rr;

//        cout << i << ' ' << x << '\n';

        for (int y = i - 1; y >= 1; y--) {
            l = y / 10;
            r = y % 10;
            if (l == 0) l = -1;
            lx = merge(s, getString(l));
            rx = merge(t, getString(r));
            if (getNumber(lx) == 10 || getNumber(rx) == 10
            || getNumber(rx) == -1 || getNumber(lx) == 0) {
                break;
            }
            ll = getNumber(lx);
            if (ll == -1) ll = 0;
            rr = getNumber(rx);

//            cout << y << ' ' << ll * 10 + rr << '\n';

            if (x + 1 == ll * 10 + rr) {
                x = ll * 10 + rr;
                cur++;
            } else {
                break;
            }
        }

        res = max(res, cur);
    }
    cout << res << '\n';
}


signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    int tt = 1;
    //cin >> tt;
    while (tt--) {
        solve();
    }
    return 0;
}
