#include <bits/stdc++.h>
#define int long long

using namespace std;

#include<bits/stdc++.h>
#define int long long

using namespace std;

struct segtree{
    int n;
    vector<int> t, p;

    segtree(int n0){
        n = n0;
        t.resize(n * 4, 0);
        p.resize(n * 4, 0);
    }

    segtree(vector<int> &a){
        n = a.size();
        t.resize(n * 4, 0);
        p.resize(n * 4, 0);
        build(0, 0, n, a);
    }

    void ufc(int id){
        t[id] = t[id * 2 + 1] + t[id * 2 + 2];
    }

    void build(int id, int l, int r, vector<int> &a){
        if(r - l == 1){
            t[id] = a[l];
            return;
        }
        int m = (l + r) / 2;
        build(id * 2 + 1, l, m, a);
        build(id * 2 + 2, m, r, a);
        ufc(id);
    }

    void push(int id, int l, int r){
        if(p[id] == 0) return;
        t[id] += (r - l) * p[id];
        if(r - l > 1){
            p[id * 2 + 1] += p[id];
            p[id * 2 + 2] += p[id];
        }
        p[id] = 0;
    }

    void upd(int id, int l, int r, int lq, int rq, int d){
        push(id, l, r);
        if(l >= rq || r <= lq) return;
        if(lq <= l && r <= rq){
            p[id] = d;
            push(id, l, r);
            return;
        }
        int m = (l + r) / 2;
        upd(id * 2 + 1, l, m, lq, rq, d);
        upd(id * 2 + 2, m, r, lq, rq, d);
        ufc(id);
    }

    int get(int id, int l, int r, int lq, int rq){
        push(id, l, r);
        if(l >= rq || r <= lq) return 0;
        if(lq <= l && r <= rq) return t[id];
        int m = (l + r) / 2;
        return get(id * 2 + 1, l, m, lq, rq) + get(id * 2 + 2, m, r, lq, rq);
    }

    void upd(int lq, int rq, int d) {
      upd(0, 0, n, lq, rq, d);
    }

    int get(int i) {
      return get(0, 0, n, i, i + 1);
    }
};

void solve() {
  string s;
  int k, n;
  cin >> s >> k;
  n = s.size();
  vector<int> a(n);
  vector<bool> live(n, 1);
  vector<deque<int>> near(9);
  for (int i = 0; i < n; ++i) {
    a[i] = s[i] - '1';
    near[a[i]].push_back(i);
  }
  segtree st(n);
  for (int i = 0; i < n; ++i) {
    if (live[i] == 0) continue;
    //cout << i << " " << a[i] + 1 << "\n";
    for (int j = 0; j < a[i]; ++j) {
      //cout << i << " " << near[j].front() << "\n";
      while (near[j].size() > 0 && live[near[j].front()] && near[j].front() + st.get(near[j].front()) - i - st.get(i) <= k) {
        cout << j + 1;
        k -= near[j].front() + st.get(near[j].front()) - i - st.get(i);
        st.upd(i, near[j].front(), 1);
        live[near[j].front()] = 0;
        near[j].pop_front();
      }
    }
    near[a[i]].pop_front();
    cout << a[i] + 1;
  }
  cout << "\n";
}

signed main() {
  ios_base::sync_with_stdio(0);
  cin.tie(0);

  int t;
  cin >> t;
  while (t--) solve();

  return 0;
}