#include <iostream>
#include <vector>
#include <cstdint>
#include <map>
#include <set>

using namespace std;

void solve() {
    int n;
    cin >> n;
    vector <string> strings(n);
    map <char, int> letters;
    for (auto &row: strings) {
        cin >> row;
        letters[row.front()]++;
    }
    vector <char> res;
    for (char c = 'a'; c <= 'z'; c++) {
        if (letters[c]) {
            res.push_back(c);
        } else {
            res.push_back('.');
        }
    }
    for (int i = 0; i < 4; i++) {
        res.push_back(' ');
    }
    for (int i = 0; i < 5; i++) {
        for (int j = 0; j < 6; j++) {
            cout << res[i * 6 + j];
        }
        cout << '\n';
    }
}

int32_t main() {
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    solve();
}