#include <bits/stdc++.h>

//namespace std {
//    std::ifstream input_file("rmq.in");
//    std::ofstream out_file("rmq.out");
//
//#define cin input_file
//#define cout out_file
//}

namespace tools {

    template<typename T>
    using vec = std::vector<T>;
    template<typename T>
    using mat = std::vector<std::vector<T>>;
    using str = std::string;
    using i64 = long long int;
    using u64 = unsigned long long int;
    using f64 = long double;

    static void fastIO() {
        std::ios_base::sync_with_stdio(false);
        std::cout.tie(nullptr);
        std::cin.tie(nullptr);
        std::cout.precision(12);
        std::fixed(std::cout);
    }

    template<typename T>
    auto& operator>>(std::istream& in, std::vector<T>& a) {
        for (T& elem: a) in >> elem; return in;
    }

    template<typename T>
    auto& operator<<(std::ostream& out, std::vector<T> const& a) {
        for (T const& elem: a) out << elem << ' '; return out;
    }


    std::mt19937_64 rn(std::chrono::steady_clock::now().time_since_epoch().count());
//    std::mt19937_64 rn(4);

} // namespace tools

using namespace tools;
//using namespace std;
using std::cin, std::cout, std::endl;

#define endl '\n'

void solver();

int32_t main() {
    fastIO();

    int T = 1;
    cin >> T;

    while (T--) {
        solver();
    }
}

void solver() {

    str s; cin >> s;
    str sorted_s = s;
    std::sort(sorted_s.begin(), sorted_s.end());
    i64 k; cin >> k;

//    if (k >= s.size() - 1) {
//        cout << sorted_s << endl;
//        return;
//    }

    vec<char> res(s.size(), '.');
    vec<int> l(10, s.size()), r(10, -1);
    vec<std::set<int>> idx(10);

    for (int i = 0; i < s.size(); ++i) {
        idx[s[i] - '0'].insert(i);
        l[sorted_s[i] - '0'] = std::min(l[sorted_s[i] - '0'], i);
        r[sorted_s[i] - '0'] = std::max(r[sorted_s[i] - '0'], i);
    }

    int i = 0;
    for (; i < 10; ++i) {
        if (l[i] == s.size()) continue;
        vec<char> vals(s.begin() + l[i], s.begin() + r[i] + 1);
        std::sort(vals.begin(), vals.end());

        int cnt_needed = vals.size();
        for (int v: vals) {
            if (v - '0' == i) --cnt_needed;
        }

        if (k <= cnt_needed) {
            break;
        }
        k -= cnt_needed;

        auto it = idx[i].begin();
        for (int j = 0; j < vals.size(); ++j) {
            res[*(it++)] = vals[j];
            res[l[i] + j] = i + '0';
        }
        int j = 0;
        auto new_it = idx[i].begin();
        for (int v: vals) {
            idx[v - '0'].erase(l[i] + j++);
            idx[v - '0'].insert(*(new_it++));
        }

    }

    if (k > 0 && i < 10) {
        vec<char> vals(s.begin() + l[i], s.begin() + r[i] + 1);
        int sz = 0;
        while (sz < vals.size() && k > 0) {
            if (vals[sz++] - '0' != i) {
                --k;
            }
        }

        auto it = idx[i].begin();
        for (int i = 0; i < vals.size() - sz; ++i) it++;
        vec<char> v(vals.begin(), vals.begin() + sz);
        std::sort(v.begin(), v.end());
        for (int j = vals.size() - sz; j < vals.size(); ++j) {
            res[*(it++)] = v[j - (vals.size() - sz)];
            res[l[i] + j - (vals.size() - sz)] = i + '0';
        }
    }

    for (int i = 0; i < s.size(); ++i) {
        if (res[i] == '.') {
            res[i] = s[i];
        }
    }

    for (char c: res) {
        cout << c;
    }
    cout << endl;



}
