//#define LOCAL
#ifdef LOCAL
#define _GLIBCXX_DEBUG
#endif // LOCAL
#if 0
#pragma GCC optimize("O3")
#pragma GCC target("avx2,avx,bmi,bmi2,lzcnt,popcnt")
#endif // 0
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#define what_is(x) cout << #x << ' ' << x << endl;
#define endl '\n'
#define iofast std::ios::sync_with_stdio(0); std::cin.tie(0); std::cout.tie(0);
#define finput freopen("input.txt", "r", stdin);
#define foutput freopen("output.txt", "w", stdout);

using namespace std;
using namespace __gnu_pbds;

std::mt19937_64 rnd(std::chrono::steady_clock::now().time_since_epoch().count());

typedef long long ll;
typedef unsigned long long ull;
typedef tree<ll, null_type, less<ll>, rb_tree_tag, tree_order_statistics_node_update> superset;
typedef tree<pair<ll, ll>, null_type, less<pair<ll, ll>>, rb_tree_tag, tree_order_statistics_node_update> supersetp;

ll fast_log2(ll n) {return 63 - __builtin_clzll(n);}
ll get_random(ll low, ll high) {std::uniform_int_distribution <ll> dist(low, high);return dist(rnd);}
ll bin_pow(ll base, ll pow, ll modulo) {
    if (pow == 0) return 1;
    if (pow&1) return base*bin_pow(base*base % modulo, pow/2, modulo) % modulo;
    return bin_pow(base*base % modulo, pow/2, modulo);
}
/*dangerous!!!!!!!!*/// struct chash {ll operator()(const pair<int, int>& x) const { return x.first * 31 + x.second; }};
#define int ll
const ll maxn = 1e5;
struct SegmentTree{
    int t[2 * maxn];
    int lazy[2 * maxn];
    void clear(int n) {
        for (int i = 0; i < 2 * n; ++i) {
            t[i] = 0;
        }
    }
    void update(int v, int tl, int tr, int pos, int val) {
        if (tl == tr) {
            t[v] += val;
            return;
        }
        const ll tm = (tl + tr) >> 1;
        const ll right = v + ((tm - tl + 1) << 1);
        if (pos <= tm)
            update(v + 1, tl, tm, pos, val);
        else
            update(right, tm + 1, tr, pos, val);
        t[v] = t[v + 1] + t[right];
    }
    int query(int v, int tl, int tr, int l, int r) {
        if (l <= tl && tr <= r) return t[v];
        if (r < tl || tr < l) return 0;
        const ll tm = (tl + tr) >> 1;
        const ll right = v + ((tm - tl + 1) << 1);
        return query(v + 1, tl, tm, l, r) + query(right, tm + 1, tr, l, r);
    }
};
SegmentTree t;
set<int> pos[10];
void solve() {
    string s;
    int k;
    cin >> s >> k;
    const ll n = s.size();
    k = min(k, (int)1e12);
    for (int i = 0; i < 2*n; ++i) t.t[i] = 0;
    for (int i = 0; i < s.size(); ++i) {
        pos[s[i] - '0'].insert(i);
    }
    vector<int> ans;
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < 10; ++j) {
            if (pos[j].empty()) continue;
            int real = *pos[j].begin();
            int x = real - t.query(0, 0, n - 1, 0, real);
            if (x > k) continue;
            k -= x;
            pos[j].erase(pos[j].begin());
            ans.push_back(j);
            t.update(0, 0, n - 1, real, 1);
            break;
        }
    }
    for (auto& cur : ans) cout << cur;
    cout << endl;



}

int32_t main()
{
    //gen();
    //precalc();
#ifdef LOCAL
    finput;
    ll clock_local = clock();
#else
    iofast;
#endif // LOCAL
    //foutput;


    int t = 1;
    cin >> t;
    while (t--) { solve(); }


#ifdef LOCAL
    cout << "\n----------------------------------\n";
    cout << clock() - clock_local << "ms\n";
#endif // LOCAL
    return 0;
}