#include <bits/stdc++.h>

using namespace std;
using ll = long long;
using ld = long double;
const int inf = 1e9;

ll n;
vector<bool> visited;
vector<vector<ll>> dist;
vector<ll> parent;
bool dfs(ll v = 0, ll way2root = 0) {
    if (visited[v]) return false;
    visited[v] = true;
    if (way2root != dist[v][0]) {
        return false;
    }
    for (int u = 0; u < n; ++u) {
        if (u == v || u == parent[v]) continue;
        bool isSon = true;
        for (int x = 0; x < n; ++x) {
            if (x == v || x == u) continue;
            if (dist[v][x] + dist[x][u] <= dist[u][v]) {
                isSon = false;
            }
        }
        if (isSon) {
            if (parent[u] == -1) {
                parent[u] = v;
                if (!dfs(u, way2root + dist[u][v])) {
                    return false;
                }
            } else {
                return false;
            }
        }
    }
    return true;
}

int main() {
    cin >> n;
    dist.resize(n, vector<ll>(n, 0));
    for (int i = 0; i < n; ++i) {
        for (int j = 0; j < n; ++j) {
            cin >> dist[i][j];
        }
    }

    parent.resize(n, -1);
    visited.resize(n, false);
    bool res = dfs();

    if (res) {
        cout << "Yes\n";
    } else {
        cout << "No\n";
    }
}
