#include<iostream>
#include<vector>
#include<algorithm>
using namespace std;
using ll = long long;
using pll = pair<ll, ll>;
const ll nmx = 4e5 + 5;
const ll INF = 1e9;
pll DO[4 * nmx];
void build(const vector<ll>& a, ll v, ll l, ll r)
{
    if (l == r - 1)
    {
        DO[v] = { a[l],l };
        return;
    }
    ll m = (l + r) >> 1;
    build(a, 2 * v + 1, l, m);
    build(a, 2 * v + 2, m, r);
    if (DO[2 * v + 1].first <= DO[2 * v + 2].first)
    {
        DO[v] = DO[2 * v + 1];
    }
    else
    {
        DO[v] = DO[2 * v + 2];
    }
}
void change(ll v, ll l, ll r, ll pos,ll val)
{
    if (l == r - 1)
    {
        DO[v] = { val,l };
        return;
    }
    ll m = (l + r) >> 1;
    if (pos < m)
    {
        change(2 * v + 1, l, m, pos, val);
    }
    else
    {
        change(2 * v + 2, m, r, pos, val);
    }
    if (DO[2 * v + 1].first <= DO[2 * v + 2].first)
    {
        DO[v] = DO[2 * v + 1];
    }
    else
    {
        DO[v] = DO[2 * v + 2];
    }
}
pll query(ll v, ll l, ll r, ll tl, ll tr)
{
    if (l >= tr || r <= tl)return { INF,-1 };
    if (l >= tl && r <= tr)return DO[v];
    ll m = (l + r) >> 1;
    pll p1 = query(2 * v + 1, l, m, tl, tr);
    pll p2 = query(2 * v + 2, m, r, tl, tr);
    if (p1.first <= p2.first)return p1;
    return p2;
}
void solve();
signed main()
{
    cin.tie(0)->sync_with_stdio(0);
    ll t = 1;
    //cin >> t;
    while (t--)
    {
        solve();
    }
    return 0;
}
void solve()
{
    ll t;
    cin >> t;
    ll pr = -1;
    while (t--)
    {
        string e;
        ll k;
        cin >> e >> k;
        vector<ll>A(e.size());
        ll n = A.size();
        for (ll j = 0; j < A.size(); ++j)
        {
            A[j] = e[j] - '0';
        }
        build(A, 0, 0, n);
        ll i = 0;
        vector<ll>ans = A;
        while (i < n-1 && k>0)
        {
            pll kek = query(0, 0, n, i + 1, min(n,i + k + 1));
            ll je = query(0,0,n,i,i+1).first;
            if (kek.first < je) {
                k -= kek.second - i;
            }
            else
            {
                ans[i] = je;
                ++i;
                continue;
            }
            ans[i] = kek.first;
            change(0, 0, n, kek.second, je);
            
            ++i;
        }
        while (i < n)
        {
            ans[i] = query(0, 0, n, i, i + 1).first;
            ++i;
        }
        for (ll i = 0; i < n; ++i)
        {
            A[i] = INF;
        }
        build(A, 0, 0, n);
        for (ll j = 0; j < ans.size(); ++j)
        {
            cout << ans[j];
        }
        cout << '\n';
    }
}