#include <iostream>
#include <vector>
#include <string>
#include <map>
using namespace std;

std::vector<int> binary = {119, 18, 93, 91, 58, 107, 111, 82, 127, 123};

int get_cifra(int binary_form){
    for (int i = 0; i < 10; ++i) {
        if (binary[i] == binary_form){
            return i;
        }
    }
    return -1;
}

int BAD_NUM = -100000;

int main() {
    string mask1;
    string mask2;

    std::cin >> mask1;
    std::cin >> mask2;

//    mask1 = "1111111";
//    mask2 = "1010000";
    int mask1_bin = std::stoi(mask1, nullptr, 2);
    int mask2_bin = std::stoi(mask2, nullptr, 2);

//    std::cout << mask1_bin << '\n';
//    std::cout << mask2_bin << '\n';
//    return 0;

    int max_len = 0;
    int cur_len = 0;
    int sign1 = 0;
    int sign2 = 0;

    int result_sign1 = 0;
    int result_sign2 = 0;

    int prev = BAD_NUM;


    int cur = BAD_NUM;
    for (int i = 99; i > 0; --i) {
        sign1 = i / 10;
        sign2 = i % 10;
        if (sign1 == 0)
            result_sign1 = 0;
        else
            result_sign1 = get_cifra(binary[sign1] & mask1_bin);

        result_sign2 = get_cifra(binary[sign2] & mask2_bin);

        if (result_sign1 != -1 and result_sign2 != -1) {
            cur = result_sign1 * 10 + result_sign2;
            if (prev != BAD_NUM) {
                if (cur == prev + 1) {
                    cur_len++;
                    max_len = max(cur_len, max_len);
                } else {
                    cur_len = 0;
                }
            }
            prev = cur;
        } else {
            prev = BAD_NUM;
            cur_len = 0;
        }
    }

    std::cout << max_len;
    return 0;
}
