#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
#include <string>
#include <deque>
#include <numeric>

using namespace std;

const int mx = 1e9;

signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int n;
    cin >> n;
    vector<int> a(n); 
    for (int i = 0; i < n; i++){
        cin >> a[i];
    }
    int s, t;
    cin >> s >> t;
    bool swapped = false;
    if (s > t) {
        swap(s, t);
        swapped = true;
    }
    vector<int> d(n - 1);

    for (int i = 0; i < n - 1; i++){ 
        d[i] = abs(a[i + 1] - a[i]);
    }
    s--;
    t -= 2;
    for (int i = s; i <= t; ++i) {
        if (d[i] == 1) {
            cout << "Impossible" << endl;
            return 0;
        }
    }
    d.push_back(1);
    /*
    for (auto i: d) {
        cout << i << ' ';
    }
    cout << endl;*/
    vector<std::pair<int, std::pair<int, int> > > ans;
    int cur = 0;
    int start = s + 1;
    d[t + 1] = 1;
    for (int i = s; i <= t + 1; ++i) {
        if (gcd(cur, d[i]) == 1) {
            ans.emplace_back(cur, std::make_pair(start, i + 1));
            start = i + 1;
            cur = d[i];
        }
        else {
            cur = gcd(cur, d[i]);
        }
    }
    if (swapped) {
        reverse(ans.begin(), ans.end());
        for (size_t i = 0; i < ans.size(); i++) {
            swap(ans[i].second.first, ans[i].second.second);
        }
    }
    for (size_t i = 0; i < ans.size(); i++){
        std::pair<int, std::pair<int, int> > a = ans[i];
        if (a.first == 0) {
            a.first = mx;
        }
        cout << "Kaban-" << a.first << ' ' << a.second.first << ' ' << a.second.second << endl;
    }
}
