#include <cmath>
#include <iostream>
#include <vector>

using namespace std;

struct point {
  int x, y;
};

bool cmp(point A, point B) { return A.x <= B.x; }

void print(vector<point> vec) {
  for (int i = 0; i < vec.size(); ++i)
    cout << vec[i].x << " " << vec[i].y << endl;
}

void print(point a) { cout << a.x << " " << a.y << endl; }

int main() {
  std::ios_base::sync_with_stdio(false);
  std::cin.tie(0);
  std::cout.tie(0);

  int n;
  cin >> n;
  vector<point> x;
  vector<point> nx;
  x.reserve(n);
  nx.reserve(n);

  for (int i = 0; i < n; ++i) {
    point t;
    cin >> t.x >> t.y;
    if (t.y > -1 && t.y < 1)
      x.push_back(t);
    else
      nx.push_back(t);
  }

  if (x.size() < 2 || n < 3) {
    cout << 0;
    return 0;
  }

  double s = 0;
  for (int i = 0; i < x.size() - 1; ++i) {
    for (int j = i + 1; j < x.size(); ++j) {
      for (int z = 0; z < nx.size(); z++) {
        double ts = double(abs(x[i].x - x[j].x) * abs(nx[z].y)) / 2.0;
        if (s < ts)
          s = ts;
      }
    }
  }

  cout << s << endl;

  return 0;
}
