#include <algorithm>
#include <iostream>
#include <vector>

using namespace std;

class point {
public:
  int x, y;
};

bool cmp(point A, point B) { return A.x <= B.x; }

void print(vector<point> vec) {
  for (int i = 0; i < vec.size(); ++i)
    cout << vec[i].x << " " << vec[i].y << endl;
}

void print(point a) { cout << a.x << " " << a.y << endl; }

int main() {
  int n;
  cin >> n;
  vector<point> vec(n);
  vector<point> an;
  for (int i = 0; i < n; ++i) {
    cin >> vec[i].x >> vec[i].y;
    if (vec[i].y == 0)
      an.push_back(vec[i]);
  }
  sort(an.begin(), an.end(), cmp);
  point ans = vec[0];

  for (int i = 0; i < vec.size(); ++i) {
    if (abs(ans.y) < abs(vec[i].y))
      ans = vec[i];
  }
  int r = an.size() - 1;
  if (an.size() < 2) {
    cout << 0;
    return 0;
  }
  if (an[r].x == an[0].x) {
    cout << 0;
    return 0;
  }
  if (vec.size() < 3) {
    cout << 0;
    return 0;
  }
  if (ans.y == 0) {
    cout << 0;
    return 0;
  }

  cout << abs(ans.y) / 2.0 * abs(abs(an[r].x) - abs(an[0].x));
  return 0;
}
