import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.util.Deque;
import java.util.LinkedList;

public class Main {
    public static void main(String[] args) throws IOException {
        BufferedReader bufferedReader = new BufferedReader(new InputStreamReader(System.in));
        int t = Integer.parseInt(bufferedReader.readLine());
        StringBuilder ans = new StringBuilder();

        for (int i = 0; i < t; i++) {
            String[] line = bufferedReader.readLine().split(" ");
            char[] chars = line[0].toCharArray();
            int n = chars.length;
            long k = Long.parseLong(line[1]);

            Deque<Character> deque = new LinkedList<>();
            for (char c : chars) {
                deque.add(c);
            }

            for (int j = 0; j < n && k > 0; j++) {
                int limit = (int) Math.min(n - 1, j + k);
                int minIndex = j;

                for (int lb = j + 1; lb <= limit; lb++) {
                    if (chars[lb] < chars[minIndex]) {
                        minIndex = lb;
                    }
                }

                long movesNeeded = minIndex - j;
                if (k >= movesNeeded) {
                    char minChar = chars[minIndex];
                    System.arraycopy(chars, j, chars, j + 1, minIndex - j);
                    chars[j] = minChar;
                    k -= movesNeeded;
                }
            }

            ans.append(new String(chars)).append("\n");
        }
        System.out.print(ans);
    }
}
