#ifdef LOCAL
#define _GLIBCXX_DEBUG
#endif

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;

//using namespace __gnu_pbds;
//template<class c, class cmp = less<c> > using ordered_set = tree<c, null_type, cmp, rb_tree_tag, tree_order_statistics_node_update>;

//#pragma GCC optimize("O3, unroll-loops")
//#pragma GCC target("avx2,bmi,bmi2,popcnt,lzcnt")
#define int long long
#define str string
#define all(a) a.begin(), a.end()
#define rall(a) a.rbegin(), a.rend()
#define ff first
#define ss second
#define ll long long
#define db long double
#define ld long double
#define ull unsigned long long
#define sz(a) (int) a.size()
#define debug(x) cerr << (#x) << ": " << x << endl

template<typename T>
istream &operator>>(istream &in, vector<T> &arr) {
    for (auto &i: arr) in >> i;
    return in;
}

template<typename T>
ostream &operator<<(ostream &out, vector<T> &arr) {
    for (auto i: arr) out << i << ' ';
    out << '\n';
    return out;
}

template<typename T1, typename T2>
ostream &operator<<(ostream &out, pair<T1, T2> p) {
    out << p.first << ' ' << p.second;
    return out;
}

template<typename T1, typename T2>
istream &operator>>(istream &in, pair<T1, T2> &p) {
    in >> p.first >> p.second;
    return in;
}


void fastios() {
    ios::sync_with_stdio(0);
    cin.tie(nullptr);
}

const ll INF = 1e9;
const db EPS = 1e-6;
const int MOD = 1e9 + 7;
const int MOD2 = 998244353;
const int MAXN = 1e6 + 1;
//const int p = 123;
//const int q = 1789
mt19937 rnd(time(0));

void solve();

signed main() {
    fastios();
#ifdef LOCAL
    freopen("inp.txt", "r", stdin);
    freopen("out.txt", "w", stdout);
    double start_time = clock();
#endif
    int ttt = 1;
    cin >> ttt;
    while (ttt--) {
        solve();
#ifdef LOCAL
        cout << "----------------------\n";
#endif
    }
#ifdef LOCAL
    cerr << "Time: " << (clock() - start_time) / CLOCKS_PER_SEC;
#endif
}

void solve() {
    str s;
    int k;
    cin >> s >> k;
    int n = sz(s);
    vector<pair<char, int>> a;
    for (int i = 0; i < n; ++i)
        a.emplace_back(s[i], i);
    sort(all(a));
    vector<bool> used(n);
    str ans = "";
    for (int i = 0; i < n; ++i) {
        if (a[i].ss - i <= k) {
            ans += a[i].ff;
            k -= a[i].ss - i;
            used[a[i].ss] = true;
        } else {
            for (int j = 0; j < n; ++j)
                if (!used[j])
                    ans += s[j];
            int ind = a[i].ss;
            while (k--) {
                swap(ans[ind], ans[ind - 1]);
                ind--;
            }
            break;
        }
        if (k == 0) {
            for (int j = 0; j < n; ++j)
                if (!used[j])
                    ans += s[j];
            break;
        }
    }
    cout << ans << '\n';
}