#include <iostream>
#include <vector>
#include <deque>
#include <string>

std::string f_min(std::string s, long long k) {
    int n = s.size();
    std::deque<char> dq(s.begin(), s.end());
    for (int i = 0; i < n && k > 0; ++i) {
        auto min_pos = dq.begin() + i;
        for (auto it = dq.begin() + i; it != dq.end() && it - dq.begin() - i <= k; ++it) {
            if (*it < *min_pos) {
                min_pos = it;
            }
        }
        char min_value = *min_pos;
        dq.erase(min_pos);
        dq.insert(dq.begin() + i, min_value);
        k -= (min_pos - dq.begin() - i);
    }
    return std::string(dq.begin(), dq.end());
}
int main() {
    int t;
    std::cin >> t;
    std::vector<std::pair<std::string, long long>> inputs(t);
    for (int i = 0; i < t; ++i) {
        std::cin >> inputs[i].first >> inputs[i].second;
    }
    for (int i = 0; i < t; ++i) {
        std::cout << f_min(inputs[i].first, inputs[i].second) << std::endl;
    }
    return 0;
}