#include <iostream>
#include <vector>
#include <algorithm>
std::string f_min(std::string s, long long k) {
    int n = s.size();
    for (int i = 0; i < n && k > 0; ++i) {
        int pos = i;
        for (int j = i + 1; j < n && j - i <= k; ++j) {
            if (s[j] < s[pos]) {
                pos = j;
            }
        }
        if (pos != i) {
            char min_value = s[pos];
            s.erase(s.begin() + pos);
            s.insert(s.begin() + i, min_value);
            k -= (pos - i);
        }
    }
    return s;
}
int main() {
    int t;
    std::cin >> t;
    std::vector<std::pair<std::string, long long>> inputs(t);
    for (int i = 0; i < t; ++i) {
        std::cin >> inputs[i].first >> inputs[i].second;
    }
    for (int i = 0; i < t; ++i) {
        std::cout << f_min(inputs[i].first, inputs[i].second) << std::endl;
    }
    return 0;
}