def max_area(points):
    x_points = [(x, y) for x, y in points if y == 0]
    non_x_points = [(x, y) for x, y in points if y != 0]
    if len(x_points) < 2 or not non_x_points:
        return 0.0
    max_area = 0.0
    for i in range(len(x_points)):
        for j in range(i + 1, len(x_points)):
            x1, _ = x_points[i]
            x2, _ = x_points[j]
            for _, y in non_x_points:
                area = abs(x1 - x2) * abs(y) / 2.0
                max_area = max(max_area, area)
    return max_area

n = int(input())
points = [tuple(map(int, input().split())) for _ in range(n)]

result = max_area(points)
print(f"{result:.9f}")
