def max_area(points):
    x_points = [x for x, y in points if y == 0]
    non_x_points = [y for x, y in points if y != 0]
    if len(x_points) < 2 or not non_x_points:
        return 0.0
    x_points = sorted(set(x_points))
    max_height = max(abs(y) for y in non_x_points)
    max_area = 0.0
    for i in range(len(x_points)):
        for j in range(i + 1, len(x_points)):
            base_length = abs(x_points[j] - x_points[i])
            area = base_length * max_height / 2.0
            max_area = max(max_area, area)
    return max_area

n = int(input())
points = [tuple(map(int, input().split())) for _ in range(n)]

result = max_area(points)
print(f"{result:.9f}")