import re

def parse_ordinal(input_str):

    if input_str == '{}':
        return 0


    def count_levels(s):
        level, max_level = 0, 0
        for char in s:
            if char == '{':
                level += 1
                max_level = max(max_level, level)
            elif char == '}':
                level -= 1
        return max_level


    levels = count_levels(input_str) - 1
    return levels

input_str = input().strip()

print(parse_ordinal(input_str))
